commit 3582409ab0c6e0d3f807cabd5aea9b54c98e1da8
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Aug 1 06:45:29 2017 +0900

    Gtk-2.0: [GtkButton] Reduce inner-border values in GtkToolBar's buttons

commit 35438bd77a9d597efecfc70019a28ff721ac2d29
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Aug 1 06:39:45 2017 +0900

    Gtk-2.0: [Xfce4-panel] Unset inner-border spacing from GtkButton
    
    This commit fixes the issue: #471.

commit f678dc01118616327be03979696695ee25e7ed29
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 31 09:00:27 2017 +0900

    Gtk-3.22&4.0: [Gnome-builder] Add some missing styling in 'Preferences' stack

commit e6642defaebac93bb51824ab3a1bde3e397dad93
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 30 05:02:32 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkTooltip] Add workaround for EclipseNeon
    
    We can not accept for their tooltip design at all (which contains
    GtkTreeView and/or GtkTextView?). Totally upstream design issue...
    
    Anyway I've stopped tracking this down anymore.
    
    This commit may or may not fix the issue: #470.

commit ab3b97f4c9da3f4f9d572caf7f381f082c70ecdc
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 29 06:30:44 2017 +0900

    Gnome-Shell-3.24&3.26: [SearchEntry] Revert to previous styling

commit f37907f631fcebad0131fc460e906e520b6bf5f4
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 29 01:40:12 2017 +0900

    Gnome-Shell-3.24&3.26: [PanelButton] Add 'MessagesIndicator' specific styling
    
    * Apply the same styling with our Gtk+ 3.x 'notification-dot'.
    * Prevent unwanted scaling via font-scaling for safety.

commit 1528504b6f8a44f5dbf21f4f0d8c47961aff1514
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 28 22:25:12 2017 +0900

    Gnome-Shell: [SearchSectionSeparator] Fix typo in property name
    
    This commit fixes the issue: #468.

commit 174ea92b10a6b5999efbdc899decd7b34f1a7a8a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 28 12:13:18 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Polish BudgiePopover of workspace-switcher
    
    Today I've found that popover widget looked so ugly...

commit 1f35520ed45535612a3bd305e827ab470fb0b476
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 28 01:02:13 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Employ 'NavigationBar' styling for power-strip widget
    
    Power-strip contains very core and powerful tools, so let's switch
    to NavigationBar styling...

commit 803c8b077eb3adc8f8618e196781e2118d3efb2c
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 27 23:42:30 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Add one more workaround for 61.0.3159

commit a771ed7c9c891424a9522bddb4f01ecc3dd2e540
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 27 08:35:24 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Update styling for 1.6.1

commit 0d21539e4570740a9eaa19e3dc2d765e6426747b
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 27 07:10:29 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Override 'bookmark-tag-widget' foregrounds
    
    Those flowboxchilds are almost hard-coded via its own CSS,
    so we need to override label node styling a bit.
    
    Any ideas why does Ephy always bring those 'ugly' CSSs to us? :/
    I think those styles should be included in Adwaita instead...

commit 677318e2f26a53031c45856b54abb019dc36af4d
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 27 03:16:29 2017 +0900

    Cinnamon: Code cosmetics

commit a791877e51d40d50b8257bee3ed6cf0a0837f403
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 27 02:35:09 2017 +0900

    Gnome-Shell: [SearchSectionSeparator] Replace gradient properties with background-color
    
    We no longer use gradient-ed separators.

commit a380089ea5c6cb8c420542bf272201d97798af18
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 26 11:50:48 2017 +0900

    Gtk-3.20&3.22&4.0: [LibreOffice] Fix conflicts with Nautilus's Preference window

commit 3fa7ad46ef7a91ac20d8d35d521db1f44f1b5fd2
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 26 09:24:49 2017 +0900

    Gnome-Shell-3.24&3.26: [DashToPanelExtenstion] Refactor styling
    
    * Remove related selectors from common section completely.
    * Apply extension specific selectors and node names.
    * Add orientation specific indicator placements.

commit 1f76929a446d250a05c70782d6a13cd0e7ae75f8
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 25 21:23:42 2017 +0900

    Gtk-3.x&4.0: [GtkLevelBar] Stop using selection colour for bits

commit a6f56d19f061e1a67389e76553c5fe58efaab968
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 25 08:49:29 2017 +0900

    Gtk-3.20&3.22&4.0: [Slick-greeter] Add missing spinner definition inside the entry node

commit efcf9c9fe31f62dd7bdbad7bdf0a7b4b8f379cb8
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 24 12:20:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Lightdm-greeter] Add slick-greeter styling (almost broken)
    
    There's few things I could do. Almost ugly and out of control.
    Damned pixmaps, fonts, colours, and almost everything is broken...
    
    This commit may or may not enhance the report: #459.

commit bcc1614def8afee1bbac5b783b8ef3f771b10451
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 24 07:53:16 2017 +0900

    Gtk-3.18: [GtkToolBar] Backport recent changes from 3.2x

commit 229e5d4d56da0ec1cfefd288543e0d1befcdb345
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 24 07:37:26 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 326752e7de51e444c1bd2b86ffb449d9917b3545
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 24 07:20:11 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkToolBar] Add some missing styling in .inline-toolbar class
    
    This fixes the issue: #466.

commit e36d982ee839bfde5c75fd051454a1dcb72313dd
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 22 08:20:24 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Fixed missing '.places-section-header' styling in git current PlacesIndicator
    
    * But there's few changes in actual spacing values.
    * Optimize the styling of label and image node.
    * Revive smooth transitions to child 'expanded' button node.
    
    This commit fixes the issue: #462.

commit 65fb88c310b6b972c8ae2f61605741220ac2c7a8
Merge: c438b0af 1ca7bf5b
Author: Tista <tista.gma500@gmail.com>
Date:   Sat Jul 22 06:56:03 2017 +0900

    Merge pull request #461 from curantes/patch-1
    
    Update README.md

commit 1ca7bf5b28f4bfc77b270ff9f58d990dc97dd86a
Author: Matthias Eliasson <matthias.eliasson@gmail.com>
Date:   Fri Jul 21 23:49:13 2017 +0200

    Update README.md
    
    adapta-gtk-theme have been accepted to the official openSUSE Tumbleweed repositories as of today. Update readme to reflect this.
    
    Ref: https://build.opensuse.org/package/show/openSUSE:Factory/adapta-gtk-theme

commit c438b0af7413c0e4b8941068bd93f6ebc4d1da6b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 22 06:38:54 2017 +0900

    Gtk-3.22&4.0: Code cosmetics
    
    Now Gnome-tweak-tool became 'Gnome Tweaks'.

commit 5281b97f1116d21393b48acc5aee31d227efe9e8
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 21 05:14:54 2017 +0900

    Gtk-3.x&4.0: [Nemo] Fork 'canvas-item' styling from Nautilus (2)
    
    Fix typo in style-class.

commit fb62b1e67dda33e99395e788687b4e0d5961db9d
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 21 05:05:35 2017 +0900

    Gtk-3.x&4.0: [Nemo] Fork 'canvas-item' styling from Nautilus
    
    Damned Nemo...
    This commit fixes the issue: #460.

commit a9c4378adec4168c0010d324bf307367a1ac969d
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 20:05:42 2017 +0900

    Gtk-3.22&3.20: Code cosmetics

commit c1a3fccba3cbf3e1f66936c81bc8495d4c897394
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 19:58:46 2017 +0900

    Gtk-4.0: [GtkEntry] Change selectos for inline-progress node
    
    Now inline-progress nodes became full-featured GtkProgressBar.

commit 93189af69c3c117dfce1b83664f88510715f240e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 19:44:20 2017 +0900

    Gtk-4.0: [GtkNotebook] Update selectors for header node
    
    Now header and stack nodes are contained by the parent box node...

commit a21b966eebbca9787a212297db083f436adaf69d
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 19:40:10 2017 +0900

    Configure.ac: Bump version to 3.91.1

commit f0502eaa7d898202ffd39878210f5120503482bc
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 19:37:05 2017 +0900

    Gtk-4.0: [GtkFontButton] Add fontbutton node styling

commit 27565c1a919bb516735e54388a4cc05b4a4584ff
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 19:26:22 2017 +0900

    Gtk-4.0: [GtkPopover] Add minimum sizes to arrow node

commit 3a643c051d9481f74df4c12340c9379ac2524c38
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 19:18:53 2017 +0900

    Gtk-4.0: Drop outdated style properties completely

commit fbeee985f4b3a6910809522fe308cab6df05b547
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 20 08:51:00 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Refactor Raven's 'powerstrip' backgrounds
    
    Use more natural gradients and colours...

commit 065fdd8f10bbc82e4f3765ddbf190588a4cf9852
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 19 10:13:07 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Polish 'autostart apps' list in BudgieSettingsWindow
    
    * Fix truncated drop-shadow underneath the 'plus' button.
    * Give more finer alignments between 'plus' and 'minus' buttons.

commit 55de21ff4cf90072a93ec5a14ecd3ad7e202b575
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 19 06:36:33 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPlacesSidebar] Tweak 'eject' button foregrounds in selection
    
    Switch from 'brighter -> darker' to 'darker -> brighter'.

commit 1049afb1421ffa5e8f78953c63ddc779baa22e39
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 18 09:52:01 2017 +0900

    Gtk-2.0: [GtkButton] Stop depending shell/xfce-notify-4.0 (2)
    
    Drop unneeded image installer.

commit 0b61773e319061a9e30c16aa6f82940cab8e6142
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 18 09:48:33 2017 +0900

    Gtk-2.0: [GtkButton] Stop depending shell/xfce-notify-4.0
    
    Generate accent-flat-button backgrounds from its own asset-file.

commit a6ef1f527d52aea5cfb3f302c6450238d1b6e594
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 18 05:51:19 2017 +0900

    Gtk-3.x&4.0: Export opaque borders_color for some ugly apps
    
    For example, Gnome-Recipes pulls 'borders' colour to render
    'button.recipe.tile.view'. Their hard-coded stylesheet has
    'Adwaita-ish' grid-tile things we won't. Yeah it's quite far from
    modern 'raised' grid-tiles design for me. :/
    
    And we can not override their hard-coded button design,
    so we had to export opaque border colour instead, otherwise
    semi-transparent borders will bring unwanted artifacts underneath
    those borders because they defined background-clip property too.

commit 381a6280d5b8da1d2fc32a232e69119b10a3a013
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 18 00:36:21 2017 +0900

    Gnome-shell-3.24: [ListSearchResults] Drop unneeded 3.26 styling
    
    Those are just for 3.26 cycle or newer.

commit 4a9737ab689377cac55a4ac7456472832e9b5767
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 18 00:13:07 2017 +0900

    Gnome-Shell-3.26: [MessageDialog] share the styling in varous modal-dialogs as possilbe as we can

commit ef59e9f6b03f0b573a008c8d31c0677cf9463e4a
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 23:47:17 2017 +0900

    Gnome-Shell-3.26: [ExtenstionDialog] Add styling for new '.extension-dialog' class
    
    But we need to review this later to check more...

commit 34b99a9b4a38f163871166e675a806cece635931
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 23:39:04 2017 +0900

    Gnome-Shell-3.26: [MessageDialog] Add generic modal-dialog styling

commit 56836dcb7ce5f3051d58f8577f24a34825256a09
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 23:21:58 2017 +0900

    Gnome-Shell-3.26: [MountOperationDialog] Integrate styling into a single class

commit e42bfe998e49e05f52fda47b325978ffa71e2dd5
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 22:58:18 2017 +0900

    Issue_template.md: Add one more reporter info 'Display server protocol'

commit b1f58d0228d41e97703146a604ebdbf17ab7097e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 22:47:24 2017 +0900

    Gtk-3.20&3.22&4.0: [Transmission-Gtk] Unblock '.csd' style-class for XWayland

commit 52cbb028ad814694a872d384f60e1031309f8e42
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 22:41:52 2017 +0900

    Gtk-3.20&3.22&4.0: [LibreOffice] Unblock '.csd' style-class for XWayland
    
    Some pieces of hackish styling still keep blocking CSDs for safety.

commit 1969448c9e324a8026345e0b08b9bca679b161be
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 22:33:49 2017 +0900

    Gtk-3.20&3.22&4.0: [Firefox] Unblock '.csd' style-class for XWayland

commit 5d8187d737d8de92d23a872d518ab06593528771
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 22:30:12 2017 +0900

    Gtk-3.20&3.22&4.0: [Synapse] Unblock '.csd' style-class for XWayland

commit bff32f7e1690ccc38d7c967a82df1adc4487a646
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 22:25:17 2017 +0900

    Gtk-3.20&3.22&4.0: [Remmina-remote-desktop] Unblock '.csd' style-class for XWayland

commit 20a68bae70a8c9f84c5d3560c021d445ddc7e766
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 17 01:35:52 2017 +0900

    Gtk-3.20&3.22&4.0: [EclipseNeon] Unblock '.csd' style-class for XWayland mode
    
    This fixes the issue: #455.

commit a0f74047afe1448576854ea274ea76ea08e3b9e8
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 16 19:10:27 2017 +0900

    Gnome-Shell: [ListSearchResults] Rewrite styling (2)
    
    Completely rewrite spacing parameters.

commit ca0712e7e3f99b1d910f5f175271007418c9afd0
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 16 00:28:56 2017 +0900

    Gnome-Shell: [ListSearchResults] Rewrite styling

commit 5922115b32ab21f488fe4813a0ebfee211dcb071
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 22:27:56 2017 +0900

    Gnome-Shell: [LoginDialog] Add :selected pseudo-class styling for UserListItem

commit e81758ce762e935f9d90428d9df555e11162b360
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 22:14:28 2017 +0900

    Gtk-3.22&4.0: [Gnome-software] Update selectors

commit e7ef67fb8267e43e74170519ebd3629e85c6e255
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 21:27:37 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-tweak-tool] Fix some minor issues
    
    * 'Extension' teak-group's GtkListBoxRow needs to draw ripple-effects
    to kick Gnome-Software.
    * Switch to destructive action button from suggested one in startup tweak-group.
    * Clean up unneeded selectors and properties.

commit 7704a3d434c6407150ac7b6b3500536e818e7091
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 10:18:21 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Contain frame node as 'gapless' in BudgiePopoverWidgets

commit 7308dc8d0c9d7ddaa98bbd9c94e64c98856b1533
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 10:09:36 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add transition-based ripple animations to BudgieMenuLauncher (2)

commit ea51a73be867ef691ee6d1fc55314e0e19377f11
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 07:37:38 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add transition-based ripple animations to BudgieMenuLauncher
    
    That button does not have :active pseudo-class, so use transition-
    based animations instead... :(

commit cba740428b416f15a3bfcb94d89a8f8ff36a52f5
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 06:26:41 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSwitch] Set variant-specific margin values in GtkHeaderBar

commit 6a02b30e9077824e1404926d753f4b351c8cb056
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 15 05:16:04 2017 +0900

    Gtk-3.20&3.22&4.0: [Geary] Fix some minor issues
    
    * Fix incorrect base-line in 'Archive' button icon.
    * Tone up GtkTreeView 'message-list' background in conversation-frame.

commit 715d424672dc82e481ad564f36aa72aadcb0fec7
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 14 20:24:11 2017 +0900

    README.md: Now we actually uses Roboto 300 weight

commit d97feb0138d52eb1b5f3851f07f8a9e6f95dcb4e
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 14 19:18:52 2017 +0900

    Gnome-Shell: [ScreenShield] Polish time and date foregrounds
    
    * Suggest Roboto font in 'time' class as highest priority
      so that weight 300 labels are rendered properly.
    * Tone down foreground.
    * Draw slight label shadow.

commit 708349766abed4680869e344634e4c32f7f87c93
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 14 08:02:23 2017 +0900

    Gtk-3.x&4.0: [Budgie-desktop] Try preventing weird IconTaskList flashing when closing apps
    
    Sometimes that happened?

commit 080b8ce1083e4105c6588eb20fe54e7c8b2419e3
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 14 05:56:28 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Hide unneeded double-borders in SettingsWindow's buttonbox

commit 06533e572ae4662c7b0d238fa331146329e9641a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 14 04:35:45 2017 +0900

    Gtk-3.x&4.0: Switch to directly embedding png images from 'to-pixdata'

commit 4348d3b73e0029d57f9519da9c9beaf2f153f207
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 14 04:07:13 2017 +0900

    Gtk-3.x&4.0: Drop 'show-apps' images completely

commit ba0ef44af5fccc36a11dccb208132aca7dc3f98d
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 14 03:30:13 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkButton] Tweak some image-button appearance

commit 23833c20f74643ca55f901c38740db1adb67a0b3
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 13 23:11:11 2017 +0900

    Gtk-3.18&3.20: [Budgie-desktop] Drop 'budgie-menu' icon overrides

commit 924dd7e438bfbb296d649340ae71d57d727ce89d
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 13 22:16:47 2017 +0900

    Gtk-3.22&4.0: [Budgie-desktop] Drop 'budgie-menu' icon overrides
    
    This commit fixes the issue: #453.
    3.20 and 3.18 changes will be landed later...

commit 945f3a586936b4aeb8ec3af11e8085f8c34a8344
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 13 20:51:55 2017 +0900

    Gtk-3.20&3.22&4.0: [Nautilus] Do not set vertical padding inside the LocationEntry
    
    Some fonts causes jumping GtkHeaderBar height, others don't...
    So let's remove vertical padding completely.

commit 84ab82bd1d662fd88729e1f3a7a1e049d3488bd4
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 13 20:23:26 2017 +0900

    Revert "Gtk-3.20&3.22&4.0: [GtkEntry] Switch to symmetrical vertical padding in GtkHeaderBar"
    
    This reverts commit 14e8e80041c1fb1b8bea49fff9bed3839d4b054b.

commit 14e8e80041c1fb1b8bea49fff9bed3839d4b054b
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 13 20:05:28 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkEntry] Switch to symmetrical vertical padding in GtkHeaderBar

commit 73e98c7ee2d25e578e515b117c40198c14ab51e5
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 13 01:47:29 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSearchBar] Concern the 'bordered' widget height
    
    Add border height into non-bordered 'close' flat-button via margins.

commit 41b3768a4fc266d7a07922c2c3df043ff2be4faa
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 12 22:43:21 2017 +0900

    Gtk-3.22&4.0: [GtkHeaderBar] Try spacesaving in titlebutton arrays
    
    * Re-define hidden separator gap.
    * Add style-class specific negative margins.
    * Add a blocker for XWayland default-decorations.
    
    This may introduce the lateral space-saver in case 2 or 3 titlebuttons
    are contained in left/right GtkBox containers as 'gapless' alignments.
    Unfortunately we can not define those negative margins via ':*-child'
    pseudo-classes, I don't think style-class-related margin definitions
    were smart though...

commit 5eea09202a27674b41d00b6b78615d0ac9226fdf
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 12 20:57:38 2017 +0900

    Gtk-3.22&4.0: [GtkEntry] Use max-radius for entry-tags

commit 3df0b2459091b06f6a0ccda5fe0227d35a2fcfdc
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 12 07:16:20 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Drop outdated workaround for tooltip widget

commit 5a15efdb25082536e639d68540190453fdc505b9
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 12 06:34:39 2017 +0900

    Gtk-3.20*3.22&4.0: [Chrome(ium)] Update workarounds for toolbar-separators
    
    ':backdrop button' was outdated?

commit 7262aa303512925f2f5dff97fc6b08fb60f04772
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 11 22:05:16 2017 +0900

    Gtk-3.22&4.0: [Inkscape] Rewrite GtkSpinButton spacing

commit 652efc01dbd6580eaee0afaa9f4a272088072b99
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 11 21:22:38 2017 +0900

    Gtk-3.22&4.0: [GtkSpinButton] Rewrite spacing

commit de5ab588a291747a33cb8153b5aa1d162937e4f5
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 11 05:17:20 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkEntry] Add 'candidate' treeview-ed pop-down window styling

commit f79a92b17ca3375d80a486a30b407eb53d400ad8
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 10 23:46:19 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSpinner] Switch to fixed minimum-width
    
    Those might be better having the same width of favicons...

commit 6327493eaa3a6bdb950b25773d958f82073c7f8e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 10 18:01:51 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPopover] Switch to '0s' from 'none'
    
    '0s' is quite convenient when reviving the transitions than 'None' (= unset).

commit d8208e0d453d8d87bf7d3cff4ef14fa2a98d10a4
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 10 16:02:08 2017 +0900

    Compile-gresource.sh: [Gtk] Remove unneeded 'return'
    
    Ops, my mistake...

commit ca2ac54d0be4742847d292ab5e96a48f5afdb7f4
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 10 04:47:37 2017 +0900

    Gtk-3.18: [Budgie-desktop] Backport recent changes partially
    
    I don't want to tweak 3.18.x theming anymore... :(

commit d076d6831929aacccbecd0793b54e9b69dfef012
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 23:44:31 2017 +0900

    Gtk-3.18: [LightDM] Enforce fallbacking to classic non-CSD context menus

commit c41fb27489d291fdfddccebb78dd3e31ac6e43d3
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 23:30:57 2017 +0900

    Gtk-3.20&3.22&4.0: [LightDM] Enforce fallbacking to classic non-CSD context menus

commit 0a2134db72f132807adb83d2a81a09858b6c1990
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 22:20:49 2017 +0900

    Gtk-3.20&3.22&4.0: [LightDM] Enforce drawing fake-shadows beneath the main widgets

commit 476c06a02f3e3ca8ef305e3ca8367aeb6a003f36
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 20:23:08 2017 +0900

    README.md: Add a note for --enable-gtk_legacy
    
    We no longer add new styling to Gtk+ 3.18.x theming.

commit cae0c9de258da43ae25e1f852b3dc6b1a3cd57c3
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 19:03:18 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Tweak StatusIndicator icon spacing again

commit 41eece7c073d27a2bfdfd48aaac8c842baacfe29
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 06:37:42 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSpinner] Fix unstable bar height (2)
    
    I've forgotten to push this...

commit 0898c2620c8466bf5435f06d2757e9996edfd677
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 05:11:40 2017 +0900

    Gtk-3.18: [Budgie-desktop] Expect more 'GtkHeaderBar-like' RavenHeader top widget
    
    Backport recent changes from 3.2x/4.0 theming.

commit 02847c272fbf5801bdb660a77774b3dce001c51f
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 9 04:31:13 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Expect more 'GtkHeaderBar-like' RavenHeader top widget
    
    * Use exact same drop-shadow parameters with GtkHeaderBar.
    * Stop drawing 'candidate' underlines beneath the stackswitcher node buttons.

commit a77276d934fbb97aaa54ad053fc98e54fc569395
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 8 01:08:44 2017 +0900

    Gtk-3.20&3.22&4.0: [Feedreader] Fix incorrect 'close' button allocation in ImagePopup window

commit 0f6b17dc11f2c29cffbd33caf59d7ee0a054c0ed
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 8 00:50:04 2017 +0900

    Gtk-.302&3.22&4.0: [GtkSpinner] Drop outdated allocation overrides

commit 9a4efd6e099b434b8d7354171c50f02c0dbaa4ec
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 8 00:29:45 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSpinner] Fix unstable bar height

commit 00dede670dec223b91b6ce37766bc97ab0e265c0
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 7 17:34:18 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Try to stop containing 'multi-rows' wnck-tasklist
    
    We need to re-add the minimum-limit for GtkImages contained by wnck-buttons.

commit 64656704bd480f346b27c9cbd271a99f73e8de01
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 7 17:18:17 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics (2)

commit f9bf1ab26285c9c6d24dde83c407eb63d2e011ee
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jul 7 16:51:08 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit b3d5e26ebb8863f055ac190f97772a85b9557ca4
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 6 15:42:40 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Polish budgie-menu GtkListBoxRow spacing
    
    * Stop using asymmetrical padding in GtkImage.
    * Add GtkLabel specific base-line shift.
    * Drop padding of GtkListBoxRow, the parent container of GtkButtons.

commit 1f36b81b77298a295d4724ca0c5b7fd558813ff6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jul 6 13:38:21 2017 +0900

    Gtk-3.22&4.0: [Gnome-weather] Fix double borders around 'Location-List-Box' in GtkPopover
    
    The hard-coded stylesheet enforces to draw borders around that GtkListBox,
    so kill the parent GtkFrame > border node's borders...

commit 323539fc1e0a6d66845f1258cf43c032ec3764b8
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 22:20:36 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Revert hacking GtkStack margins in BudgieSettingsWindow
    
    That hack caused unwanted conflicts (visual glitches) with its own
    transition-animations when switching those stack nodes...

commit 023691a11a6c68f6c05e1366ebe9640082659798
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 21:27:35 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit bad3ae3810463aa7e0290e00392bc91546888b47
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 18:11:25 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] FIx truncated drop-shadows beneath the GtkSwitch in BudgieSettingsWindow

commit 74b19374fbae8d6bbf78d9f2834fa70a06c6d12c
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 09:29:29 2017 +0900

    Gnome-Shell: [LoginDialog] Enforce coloured CapsLock warning icon

commit b8acb8eadf39a1613c202ebcd5db8ee80992880b
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 09:14:52 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add workarounds for upcoming settings-window
    
    Let's override hard-coded margins...

commit 98af41150559df5d0abc762cef0bf4ad5d59f0a3
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 08:41:02 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Update selector for Raven's notification-lists

commit cb2954cad768815be7d4581c6d7e3bdbc3490354
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 08:00:07 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Try to keep desired width of Raven in all variants
    
    Do not scale horizontal spacing in Eta variants...

commit 0a89970a599821a2ea8762cdb2b4fc088ad6be3f
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jul 5 06:29:15 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Re-define selectors for BudgieMenuWindow

commit f1aaf68a15267a5dfb7fd6d26402703f72f46c91
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 4 15:10:08 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Polish 'battery label/icon' spacing for vertical panels

commit cc29e7917ade3755bc38e8b53111e85d3a0b0d68
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 4 03:21:54 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Polish 'battery label/icon' spacing for horizontal panels

commit 0f1010242370868b65c89bcef36bff3e2dfda3f3
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jul 4 01:37:34 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSpinner] Generate spinner animation from CSSs
    
    * Stop embedding SVGs for 3.2x/4.0 gresource files.
    * Draw spinners via pure CSS codes.
      - This improves stable (fixed) height of horizontal bars in
        various allocations.
    * Keep SVGs for legacy 3.18 gresources.

commit 9d848b6130748bb042477bc8d8665aa769a23482
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 3 19:24:09 2017 +0900

    Gtk-3.x&4.0: Drop 'running-dot' images completely

commit 63d236ae8eee48ab5dd77c9678da2ccc01e5e925
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 3 19:19:44 2017 +0900

    Gtk-3.18: [Budgie-desktop] Backport recent changes of IconTaskList styling partically

commit c25d99e3fc7a04de6a94ff2dddf2feb144bc3bc3
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 3 17:40:27 2017 +0900

    Gtk-3.22: [Budgie-desktop] Leave hackish thing as a comment for nm-applet
    
    This may or may not be used in future...

commit b772aaa3ec23af52f4ac1527e90375bd5ede574a
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 3 03:18:34 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add ShowDesktopApplet styling
    
    I've forgotten to add completely...

commit a5372c86f66a30871aaa6f4c646fcedd7b0a4621
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 3 02:51:37 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Fix unwanted oval outlines on linked image-buttons
    
    I've forgotten to push it completely...

commit 0d80a3f76f0b4383232a354141001be9d6fdc61f
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jul 3 02:20:23 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Generate 'running-dot' from CSS codes
    
    It's quite more modern than stacking with pixmap images...

commit 8305383afc1080382a3c5dcba8340ec5210e519f
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 2 17:02:58 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit a5bf2d9a10704df8e1a3275d1e64dc368a3e73b1
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 2 16:41:21 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add upcoming new workspace-switcher styling

commit 1610363918318dd347bf758eb27b014ed2a8cff6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jul 2 13:44:55 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Re-define spacing for ClockApplet labels
    
    * Drop base-line shift completely from horizontal layout.
    * Tweak margin values.

commit 0c6f6001254b72caf965ede1be4a22fbc1f3ef96
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jul 1 01:40:53 2017 +0900

    Revert "Gtk-3.20&3.22&4.0: [Budgie-desktop] Trick damned nm-applet NaChild"
    
    This reverts commit be145085369ba19f0c54ad8609b17f7c94a54dff.
    It's too problematic...

commit be145085369ba19f0c54ad8609b17f7c94a54dff
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 30 23:49:53 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Trick damned nm-applet NaChild
    
    Add negative margin to the parent NaTray box container to trick the
    nm-applet NaChild. Basically, 36px or smaller 'size' was set to
    Budgie-panel, NaTray's allocation seems to be shrunk like '24x16' or
    so, once that happned, NaChilds can't hang over that allocation.
    It means 16px un-recolourable icon images are used in panel...
    
    [Side-effect]
    On my rough tests, this commit introduces the unwanted shrinking
    of clickable area of NaChilds, it's so hard to do 'edge to click'.

commit 9fad9eee07260a9b5ea2490ff26464688bbf362f
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 30 18:49:42 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Re-add minimum-limit for GtuButton inside the budgie-panel
    
    * Override our standard button spacing.
    * Stop using variant-sepecific min-height/width.

commit 7c4ac205770bf656a981bfa54cddcdf64702a83a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 30 16:14:46 2017 +0900

    Gnome-Shell: [PopupMenuArrow] Protect hidden arrows from damned extensions
    
    This is not our issue.
    This is related to the invalid issue: #444.

commit 918b2ea4a15ad6b2e7ffe25f489279fae7ebe97a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 30 15:31:59 2017 +0900

    Gtk-2.0: [GtkEntry] Fix missing constant for standalone_entry (2)
    
    It's just for safety.

commit 77e028c53545901c3c11747229ad0db723aad313
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 30 15:12:47 2017 +0900

    Gtk-2.0: [GtkEntry] Fix missing constant for standalone_entry
    
    This commit is related to the issue: #445.

commit 79aeb667f34e95c33a42b836c1ac85cd6ef0a2b1
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 30 13:46:37 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add horizontal layout styling of new SoundApplet's popover (2)
    
    Let's try space-saving...

commit 449fe4f88b14023bee2a5088e285e66e02375474
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 30 13:32:47 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add horizontal layout styling of new SoundApplet's popover

commit 40666e051b1b08bf645629423aca74a4a95b88b5
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 29 18:49:46 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit d4fe7bc7cf6ab5fcf176c9b02ab51ff3cdfbe03e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 29 18:35:48 2017 +0900

    Gtk-3.22&4.0: [Gnome-weather] Stop using translucent foregrounds in weekly-forecast-frames

commit 2a51e15d84ce6d98f1958e2274d6b9b3bf325891
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 29 17:56:44 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add vertical spacing into Left/Right 'raven-trigger'

commit 2d05b5c87ead3f09adeb60d3fdf0898ac3665925
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 29 17:05:10 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Rewrite IconTaskList styling
    
    * Swith to use of box-shadow from border properties.
      - This improves to compute 'Raw' preferred height/width of GtkButton
        and GtkImage allocations except for border-width property.
    
    * Embed 'running-dot' into GtkImage directly
      - Once those dots are renderd as the border-images of GtkButton,
        Budgie deforms them by their own aspect-ratio modification
        mechanism. So Embed dots into GtkImage instead, then we can
        render those dots with very sharp and fine pixmap quality...
    
    * Improve <30px height of Budgie-panel
      - above 2 changes improve very tiny panel with proper height than
        before (at least 24px or taller).

commit e88fb1c531f9d463a1ce5398940de753c419807c
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 29 16:17:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Drop minimum size-limits from GtkButton in budgie-panel

commit a1949c2550aa12341d8ab84723e84c1d1d52ba45
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 29 14:19:58 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Polish orientation specific spacing of ClockApplet
    
    Our goal is to provide the finer, well-aligned widget placements in
    every orientations without any extra 'spacer' widgets. I really dislike
    to add ton of such extra applets inside the panel layouts, so let's polish
    its own spacing more and more...

commit 99e0df95a34e842b78add6da2203d4f837eb2ece
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 29 01:06:01 2017 +0900

    Gtk-3.20&3.22&4.0: [Baobab] Update selectors and geometries

commit 3c74c67fb982bb8dcb0ad77242b46dc47043e4c6
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 28 17:03:46 2017 +0900

    Gtk-3.22&4.0: [Gnome-weather] Add condition-specific responsive styling (3)
    
    Clean up the part that we can not override.
    
    This commit enhance the feature-request: #443.

commit 52984fbf20274c9b319ddcdefe6b8fe1bfc2c66e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 28 16:11:19 2017 +0900

    Gtk-3.22&4.0: [Gnome-weather] Add condition-specific responsive styling (2)
    
    Re-group 'storm' styling...
    
    This commit enhance the feature-request: #443.

commit 47053883287d4987ac2ea8c7e0b32cefaa32c0c6
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 28 15:01:55 2017 +0900

    Gtk-3.22&4.0: [Gnome-weather] Add condition-specific responsive styling
    
    I didn't clean up the codes yet, but at least those should work properly.
    [Regression]
     * new design may or may not be hard to find which elements are clickable.
    
    This commit enhance the feature-request: #443.

commit e4f8286a0ebc7dcdcdb8c7b5a6f31164161822a1
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 28 06:34:25 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Left/Right budgie-panel styling (5)
    
    Ugghh, hopefully this was the last one...

commit a74db85245788ce9a90acca8d51fbce2715de5af
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 28 05:36:44 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Fix missing drop-target styling in Left/Right panels

commit c3c0b6d671a1762dc128dad3a4cc1cd4209e717a
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 28 04:42:39 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Remove padding from BudgieMenuApplet completely

commit b1eac9f3f6df5e1036ec24c5cac576128d3195ac
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 28 04:21:01 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Define orientation-specific ClockApplet's label margins

commit d39e291dc7b3531cdb4b3e2882653bef55f9bc6a
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 27 14:23:50 2017 +0900

    Gtk-3.x&4.0: Tweak z-depth-3 displacement value

commit fcf701be6b9970fd4eb71acbaf35dbc919a9df68
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 27 13:49:42 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Do not set KeyboardApplet's spacing tweaks in Left/Right panels
    
    All should be unset and aligned center when using Left/Right panels.

commit c78f15b4fe376ac9cb4cbcbc172238322792e2f2
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 27 13:29:38 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Fix truncated 'eject' button in PlacesApplet
    
    We needed to override our default eject button spacing with specificity bump.

commit 721e15b0f65154da277431d5733d4310f2175fa2
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 26 15:47:56 2017 +0900

    Makefile.am: [Gtk/Wm] Try to enforce -j1 build alwayls
    
    This commit tries to fix the issue: #442.

commit 05ead9418c2c30733327e1555427025ac42af2d3
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 26 04:24:47 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Left/Right budgie-panel styling (4)
    
    Remove problematic spacing paramenters...

commit 908cdeb76e9c6be4f01cc1aabd574e9c6614df9c
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 26 03:40:19 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Fix weird artifacts on boxpointer of budgie-popover

commit 4143be5bee0a3a8daf4f5d5c0c6f2406c97634c6
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 26 02:40:14 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Left/Right budgie-panel styling (3)
    
    It seems enough to have 1px lateral negative margins...

commit 745ffb40ac8155175452d01b724fc13f7b34a953
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 26 02:04:26 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Left/Right budgie-panel styling (2)
    
    Stop adding vertical marings in Top/Bottom panel...

commit 675bc19773793ebe19002f8559d980b87c16cc72
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 26 01:55:03 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Left/Right budgie-panel styling

commit d200b6582a64eeee74c8c2c1079809dedc19d6e0
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 25 22:26:59 2017 +0900

    Gtk-3.20&3.22&4.0: [Lollypop] Apply workarounds more commonly (2)
    
    I don't want to touch that app anymore. Issue: #441.

commit 14166c514ce5eae7829e35326396e6a47f607f0e
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 25 20:37:48 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Tweak vertical spacing for ClockApplet label

commit 4d833b1fac4dca73c006b0314ef51d1817ff3c45
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 25 19:46:02 2017 +0900

    Gtk-3.20&3.22&4.0: [Lollypop] Apply workarounds more commonly
    
    This commit may or may not fix the issue: #441.

commit f6808f95f8b777754005e0948c0fc1ecdbf53562
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 25 18:55:40 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Follow the upstream changes for upcoming budgie-popover APIs
    
    Still we have the limitations for drop-shadows caused by upstream hard-coded
    margin values of its GtkWindow...

commit 610073d932e2b6c4d48e3c1e297f84a2e7014277
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 22 18:24:09 2017 +0900

    README.md: Drop 'librsvg-2.0' dependency for build (2)
    
    Ops, update wording.

commit 42537a05aa445cc05f98f37df79d465d6bd7b7da
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 22 18:19:52 2017 +0900

    README.md: Drop 'librsvg-2.0' dependency for build
    
    Now we embed SVGs directly while running glib-compile-resource.

commit c413efd19886a38839b7b7d4ebf660d0c3e15aa3
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 22 18:17:30 2017 +0900

    Configure.ac: Drop 'librsvg-2.0' dependency for build

commit 73d3252938c349e51b7b4d0ac31b527e3ea14b5c
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 22 18:11:43 2017 +0900

    Gtk-3.x/4.0: Drop unneeded SVGs
    
    'Show-apps' images are already generated from common asset file.

commit dbcf8ba62580b45700fb47f2348df491a28e4c18
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 22 18:09:54 2017 +0900

    Gtk-3.x/4.0: Directly embed SVGs into gresource
    
    This can compile gresource without any helper from librsvg2 libraries.

commit da70e2c5ff6ff530fbbd1edd9ece72604c71b2f6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 22 18:02:23 2017 +0900

    Gtk-3.x/4.0: [Budgie-desktop] Convert 'show-apps' images to PNGs

commit 1b7b85e7123d663390c48845e0f7f82b12a6a4fe
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 22 01:33:52 2017 +0900

    Cinnamon: [StEntry] Switch to min-height property
    
    Fixed height property causes truncated StIMText vertically.
    
    This fixes the issue: #437.

commit 99a6fe7c0960d795ba24ed488ef099c07a1bcfd3
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 21 15:37:04 2017 +0900

    Gtk-3.22&4.0: [Gnome-tweak-tool] Update for 3.24.1 or higher (3)
    
    Use selection colour for 'checked' small icon images.

commit 8d5a418d2d023f1154e24c6d4ba3f97e82809e3c
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 21 15:01:15 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-tweak-tool] Override hard-coded ugly margin
    
    There was margins in GtkStack, the parent of GtkScrolledWindow. For us,
    those margins are unneeded. So let's expand GtkScrolledWindow to the max-size
    of right-pane, and make proper spacing via GtkListBox padding.
    
    This fixes the 'gapless' placement between GtkScrollBar and child elements of
    GtkListBoxRow.

commit a4599eca995e97c33a2a15d8063eb5eee032d31a
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 21 11:09:07 2017 +0900

    Gtk-3.22&4.0: [Gnome-tweak-tool] Update for 3.24.1 or higher (2)
    
    Just for safety.

commit 34efb78ebd80f218a24f8bd7f6108ecb536f8c4b
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 21 10:59:24 2017 +0900

    Gtk-3.22&4.0: [Gnome-tweak-tool] Update for 3.24.1 or higher
    
    * Add raised vertically-stacking ListBoxRow design.
      - It seems to be too heavy, so I may or may not re-design them in future.
    * Fix weird switch allocation in modal GTkDialog (Python only?).
      - I really hate Python Apps now...

commit ce2a98ae96e112335c2f34d66d485ff2dda26c95
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 20 21:51:11 2017 +0900

    Gtk-3.22&4.0: [Dconf-editor] Tweak negative margin of .item class

commit d1ff4b1adae16f441ac1ad6e3af583e332595278
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 20 21:33:17 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Fix selector conflicts with '.icon/.appmenu'

commit 8c97015bcb4b0aae3cdf182b617d0024fcc2483c
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 20 19:35:56 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Enforce using accent coloured spinner (2)
    
    Hmm, :disabled was also needed?

commit cca4a4b6c92dd5a0c0cbff800db9c97614d71bb7
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 20 19:22:09 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Enforce using accent coloured spinner
    
    Although we can just change the foreground of spinners, but it might
    be a bit better than plain label colours...

commit fdc397c96fb5414da8de2dfeb2c80d994bbdb854
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 20 16:56:56 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Add workaround for missing separators/borders colour in main widget
    
    Upstream pulls border properties from GtkButton styling to re-use the
    colour for 'separators'... Crazy. Why devs did not see GtkPaned or
    something similar separator-oriented widgets, mystery for me.
    
    This commit fixes the issue: #436.

commit 8f45435f0098db63d6f9fb61870be21a271ba8ba
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 20 12:32:24 2017 +0900

    Gtk-3.20&3.22&4.0: [Mate-tweak] Hide unwanted/ugly frame borders

commit cbf07b65a6480d21f08b91267ebfe56f18fc1b17
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 20 10:06:32 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPaned] Fix missing positions in horizontal-pane separators

commit d4864de7ae954c9e1bd81ad63059627bdd6d3f0c
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 19 14:48:48 2017 +0900

    Gtk-3.22&4.0: [Gnome-software] Update selector for crazy .round-button class

commit 7239eb2220b9e9edce73bb6378bc754d6161f283
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 19 11:36:25 2017 +0900

    Revert "Gtk-3.22&4.0: [Chrome(ium)] Drop outdated workaround for tooltip widgets"
    
    This reverts commit 72b6adce03bf4ea9f961c96f2440b23716ea81bc.
    It's too early to push to master...

commit 72b6adce03bf4ea9f961c96f2440b23716ea81bc
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 19 00:51:54 2017 +0900

    Gtk-3.22&4.0: [Chrome(ium)] Drop outdated workaround for tooltip widgets
    
    At least that workaround has been outdated in 61.0.3128...

commit c8fb27c03b586599a3117a1ca5ea5937e4f5a6ce
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 19 00:31:22 2017 +0900

    Gtk-3.x&4.0: [Budgie-desktop] Tweak ripple alpha values again
    
    Once Dynamic or Alwayls was applied, 0.2 was too bold.

commit b59129939b3b61e46b71bbe68302e78ea39a8848
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 19 00:04:19 2017 +0900

    Gtk-3.x&4.0: [GtkInfoBar] Tone down bar backgrounds in dark variants
    
    After we've changed the dark variant colour definitions, sometimes
    those infobar nodes might look too bright and vivid in dark variants.
    So tone down to -25% brightness...

commit 19e18ccf973ec5bd524a86d3fdcf21a40dd7543d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 18 23:22:37 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 655a1a361ca0202a8d6babdc4aad27c21d07386a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 18 22:22:44 2017 +0900

    Gtk-3.20*&3.22&4.0: [GtkButton] Remove roundness from linked > .image-button.radio completely

commit 973032a1af9a10c680e3753426e0585b8afe17e8
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 18 13:47:32 2017 +0900

    Gtk-3.20&3.22&4.0: [EclipseNeon] Disable ripple animations in check/radio node
    
    That poor Gtk+ integration causes truncated ripples (by ignoring
    margin properties).

commit a59e5aac4fd836460e7b5227d4ccb9f7bb7faa29
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 18 13:35:17 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkToolBar] Fix incorrect selectors and child spacing

commit 712d2cd974f5f390686b514d80e8bdab83510b54
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 18 12:06:25 2017 +0900

    Cinnamon: [Panel] Update panel styling
    
    * Tone up label/icon foregrounds.
    * Increase the Applet horizontal spacing in top/bottom panel.

commit fbc81efcd7c038d97480d78c083c0ccac9a82104
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jun 17 14:05:28 2017 +0900

    Gtk-3.20&3.22&4.0: [Corebird] Enforce using OSD-style buttons on popup-ed image window

commit df74b61599bb617e6a2b266c2c5492e3d0091768
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jun 17 13:49:03 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Polish wnck-tasklist transitions

commit fa0c71e74970abd79cde1e34af1215d895fc04f7
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jun 17 11:57:44 2017 +0900

    Gtk-3.x/4.0: [Budgie-desktop] Introduce responsive budgie-panel with upstream changes
    
    * None-mode - keep budgie-panel solid always.
    
    * Dynamic-mode
      - Draw transparent budgie-panel if there's no max'd/tiled windows.
      - Draw depth-1 shadows beneath the icon/label node if panel was transparent.
    
    * Always-mode
      - Draw transparent budgie-panel always.
      - Draw depth-1 shadows beneath the icon/label node always.
    
    [Known issue]
    * We have no way to draw the 'icon-shadow' beneath the NaTray's child
      because NaTray renders child widgets as 'GtkWidget' instead of 'GtkImage'.
      Technically limitation from the theme-side (needs changes in upstream).

commit b8e2fe6ad86a90cef0ac2ddb5a4319eafaa9dc12
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 16 12:07:47 2017 +0900

    README.md: Update comments for Chrome(ium)
    
    Related question: #432.

commit 5a0e44d701c1cd8ef8761a3edab39d0b44b70129
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 14 20:41:04 2017 +0900

    Gtk-3.20&3.22&4.0: [Brisk-menu] Follow the upstream changes
    
    I could not understand what upstream improved with zero-padding
    though...

commit fdeefc16acabf978f13fc226707732295e34d36e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 14 12:23:49 2017 +0900

    Gtk-3.18: Fix missing variable for recent changes
    
    Ugghh, my fault.

commit 87b3b780a509ec16c01f275972752eae4e645f4c
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 14 11:39:46 2017 +0900

    Cinnamon: [Menu] Update main menu styling a bit (2)
    
    * More finer geometries with proper StLabel base-lines.
    * Switch to be more space-saving horizontally.

commit 181e720e4e685d19f7e8c222a80ba8017c8fa6d9
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 14 10:16:05 2017 +0900

    Cinnamon: [Menu] Update main menu styling a bit
    
    * Stop elevating +2 in favorite-box.
    * Draw pane separators within box elements.
    * Draw backgrounds for the selected category-button.

commit f0a88771e1caffeff8cd5d537eec4d232577530e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 14 00:16:00 2017 +0900

    Gtk-3.x/4.0: [Nautilus] Use nautilus specific text-shadow for ancient desktop-icons
    
    The issue: #430.

commit 8fdef38204d8fd50dcb98d548eeb4a1bd4a1ff88
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 13 11:51:00 2017 +0900

    Gnome-Shell: Fix typo in comments
    
    Oops...

commit 0fc918f84f70748bd467e04743c4c42923527882
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 13 11:27:00 2017 +0900

    Gnome-Shell: [TopBar] Add responsive height for sub-upscaling via font-scaling-factor
    
    This commit partially fixes the issue: #429.

commit 4fc14313af9f63b915147c8b9a4aeb2a43bf2998
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 13 10:39:43 2017 +0900

    Gnome-Shell: [AppMenu] Unset base-line shifter on StIcons
    
    In AppMenu panel-buttons, StIcon seems to be affected by StLabel's
    base-line tweaking (bottom-padding). So let's reset it for StIcon...

commit cc64d8fde7d19d82dfea96c6c8bd66a66f2943ba
Merge: cd3f16da 656d42c5
Author: Tista <tista.gma500@gmail.com>
Date:   Mon Jun 12 22:20:53 2017 +0900

    Merge pull request #427 from pschichtel/patch-2
    
    Replace the AUR package by the community package

commit 656d42c53c3418c094b6ee594818ebb97d3a2bad
Author: Phillip Schichtel <pschichtel@users.noreply.github.com>
Date:   Mon Jun 12 14:47:46 2017 +0200

    Replace the AUR package by the community package

commit cd3f16dac679e02c307f1bf4cec9846b9a1d93fd
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 12 13:20:02 2017 +0900

    README.md: Customed GtkSourceView style affects to Gnome-Sushi as well
    
    I've forgot to add Gnome-Sushi into supported apps...

commit faebfb0139a01a21bc154525d0e78ea3bb1cbf63
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 12 13:09:13 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkTextView] Disable transitions in child text node as well

commit 5fe5527fb3955ec17c2b444ab2d0cff627b9bbdb
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 11 13:23:16 2017 +0900

    Gtk-3.20&3.22&4.0: [EclipseNeon] Add some more workarounds (2)
    
    The issue: #425

commit 011d8c945f3176f76b92c4cba4b4278d85f1f35d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jun 10 17:46:32 2017 +0900

    Gtk-3.20&3.22&4.0: [EclipseNeon] Add some more workarounds
    
    This commit fixes the issue: #425.
    
    Eclipse brings nothing but visual issues... I can't believe that IDE
    was the famous.

commit 64a2118bfe99a9e9865bb48da11bb04ce516a6a5
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jun 10 11:02:27 2017 +0900

    Gnome-Shell: Code cosmetics

commit 221dafcbacca21cde922fb791722175a624253d9
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jun 10 10:57:07 2017 +0900

    Gnome-Shell-3.26: [ClassicExtension] Enforce solid-mode by default
    
    Make bottom-panel solid even if there's no GtkWindow...

commit ef9a31e45769114f6dbff5c974cb754dab763269
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 8 17:13:39 2017 +0900

    Gnome-Shell: [AppFolderPopupBin] Fix background and top-edge colours in light variants (2)
    
    Switch to OSD styling.

commit 9dcd7a70e19bf91a0110a07bff47baff39a4850f
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 8 16:56:58 2017 +0900

    Gnome-Shell: [AppFolderPopupBin] Fix background and top-edge colours in light variants

commit aff4960a1b5a437f351101cacbb373c77a66dbb3
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 8 15:04:42 2017 +0900

    Gnome-Shell: [EndSessionDialog] Tone up 'shotdown' icon colour

commit 2e5515f22ae821a037ac2b7cfbdc9ca86a3f7e72
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 8 12:55:49 2017 +0900

    Gtk-2.0: [Eclipse/SWT] Drop colour definitions from Eclipse specific ugly tooltips widget compeltely
    
    On my local test, the previous 89688e9 commit solved the issue perfectly with
    Eclipse Mars.2 4.5.2. But original reporter said that issue was still happened.
    
    ...damned. So remove colour definitions completely. non-sense commit.

commit 632604df0b28caa1b1780a134a8399a778b5cf71
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 8 12:49:01 2017 +0900

    Gnome-Shell: [ShowAppsIcon] Employ TopBar specific 'show-apps' icon SVGs
    
    Those new SVGs are used in ArcMenuExtension and DashToPanelExtension...
    At least those may improve more sharper rendering than being downscaled
    from 64px SVGs though Eta variants still might have a bit blurred
    results...

commit 58d85b43a6c82e3685e9a9586d9c19e87085147c
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 8 11:06:42 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Optimize colours with more finer blending

commit ee89bc9ce3fc422f7d87cc145150e6418372b990
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jun 7 15:31:47 2017 +0900

    Gtk-3.20&3.22&4.0: [Mate-panel] Tone down separators, grips and 'hide' button borders

commit 6aadc586a8ee0764009421cf774219c602630478
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 18:55:38 2017 +0900

    Gtk-3.20&3.22&4.0: [Caja] Update path-bar widget styling

commit 0a13cad6edee8b67d36e5bd2acfdba5195507252
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 16:47:30 2017 +0900

    Gtk-3.20&3.22&4.0: [Mate-panel] Add 'hide' arrow button specific styling
    
    That ancient feature was needed today? So far from modern... :/

commit fc27994c4e3e2dbdd2a3b21a4bf4dce701dbfc18
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 16:22:54 2017 +0900

    Gtk-3.20&3.22&4.0: [Mate-panel] Add popup-container styling for Volume-control

commit abf5fa6ff87fe1196a1db1f991bebf9b4bd504bc
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 16:00:09 2017 +0900

    Metacity-1: [Metacity-theme-2] Fix incorrect top-edge highlight colour

commit c0a2aa05d872217a56884bc525a0d6bed72a1d84
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 15:09:06 2017 +0900

    Gtk-3.20: Code cosmetics

commit 05b804a8e88d45f64dda200540d88d0cc7ba6bb0
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 15:07:43 2017 +0900

    Gtk-3.20&3.22&4.0: [Mate-panel] Update separators and grips foreground colours

commit 23ddd43d9ecfc200724f52d1cdb0745087a50e49
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 13:55:13 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 3f840e6e8600d0d6e3e9adb634767cef118e1e12
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jun 6 10:14:24 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Simplify selectors with specific '.chromium' style-class

commit 2dc24bd5906f178e5054214f931f2184dca17d3b
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 5 22:00:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-tweak-tool] Disable hover/active backgrounds and ripples in 'Shell Extensions' group
    
    That .activatable class in GtkListBoxRow is almost meaningless,
    So let's unset hover/active state effects completely...

commit 0ebb9ddc7fde3bb73968d8dd261310c22d3da641
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jun 5 12:14:43 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkShortcutWindow] Update .keycap style-class spacing
    
    This will get more finer spacing in various font sizes...

commit ad7eb38ac998f273c3e52d5a1f30bffee7e2b3df
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 4 09:13:07 2017 +0900

    Cinnamon: [ToggleSwitch] Rewrite SVGs
    
    * Use 16px sliders and draw proper depth-1 shadows.

commit 1e1cd2102f2259d53d05837506ec99dd46607fce
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jun 4 09:04:01 2017 +0900

    Gnome-Shell: Rewrite some SVGs
    
    * Drop :hover state toggle-switches.
    * Use 16px sliders and draw proper depth-1 shadows.
    * Tone down calendar-arrow icons in dark variants.

commit 89688e945a29576b33a6f268837ebd92ef8f6421
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jun 3 09:01:52 2017 +0900

    Gtk-2.0: [EclipseMars] Update Eclipse-specific tooltip widget colours
    
    This commit fixes the issue: #420.

commit 260ddf6e1eb251e37b653fecf0dc92cd6107fada
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jun 2 17:05:48 2017 +0900

    Gtk-3.x&4.0: [GtkStyleFallback] Update colour definitions

commit 6ed3916df55d376e659889c2096581a74cbe4586
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 18:07:25 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Set enough height for tall and dense fonts in alt-tab switcher
    
    If users combined normal fonts with tall/dense fonts via
    fontconfig manually, the height of alt-tab switcher window was shrunk
    or enlarged vertically while cycling apps. So let's give enough tall
    spacing for those labels with font-unrelated unit.

commit 0a2ee70e95bc9de58f4f4916e291d8666e3d2020
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 17:33:15 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Enforce 'non-radius' top-edges in .fullscreen class (2)
    
    Hide top-edge highlight border in fullscreen mode.

commit 50b21f0d60e6cb01511d3ee6f942d7dedc0006b7
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 15:00:52 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPathBar] Refactor spacing
    
    I've completely forgotten to review and update that section...

commit ad52d1c072c196587b09cdea538cb721e4651acc
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 12:55:38 2017 +0900

    Gtk-3.x&4.0: [TitleButton] Tone up 'close' button foregrounds with selected_fg_color (2)
    
    Oops, add forgotten change...

commit 927776361f5c24d6165557086e4c189157804cb4
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 12:23:38 2017 +0900

    Metacity: Follow the Gtk+ theming changes

commit 8ca08c582fc2290d23175233e77731f4747c80e6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 12:21:34 2017 +0900

    Gnome-Shell/Cinnamon: Follow the Gtk+ theming changes

commit e19de340f652b829676bf16248ea34b260266aea
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 12:11:59 2017 +0900

    Gtk-3.x&4.0: [TitleButton] Tone up 'close' button foregrounds with selected_fg_color
    
    Enforce using that colour when hovered/pressed.

commit f3db77858e84040ff6d3ae01b307c11489aaa553
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 10:45:28 2017 +0900

    Gnome-Shell-3.26: [TopBar] Drop top-edge 'indicator-container' region
    
    We're going to switch to complete transaparent TopBar by default in
    upcoming 3.26 cycle, so let's drop them...

commit ce3f9e7992940c708bbe553e495c8017f137a0a1
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 10:43:10 2017 +0900

    Gnome-Shell: [MessageListPlaceholder] Dim 'no-events/notifications' icons more
    
    Use insensitive state brightness.

commit 0732987130d4ec78891377a8bfa3270ebf2a4f72
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 07:59:39 2017 +0900

    Gnome-Shell: [Widgets] Try non-duration in :focus pseudo-class
    
    That pseudo-class is usually used in keyboard operations, so let's
    try non-duration by default.

commit 039ce24274e73f93425ffb05144877a5747cfe91
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 07:10:03 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Enforce 'non-radius' top-edges in .fullscreen class

commit 0805a2c6d62c930b4f51ec94ef809c53e9283fe3
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 06:34:46 2017 +0900

    Gnome-Shell: [ArcMenuExtension] Polish previous commit
    
    * Enforce using TopBar child widget's transitions.
    * Fix missing image-shadow styling in 3.26.

commit 532a90d3cf06228a6b30d2831cbf4b0d6ccf40f4
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 06:26:00 2017 +0900

    Gnome-Shell: [DashToPanelExtension] Polish previous commit (2)
    
    Add 'solid-mode' image-shadows as well.

commit 3692b34d12ba9df325c4f5f65c318087d6d27bd8
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jun 1 06:20:41 2017 +0900

    Gnome-Shell: [DashToPanelExtension] Polish previous commit
    
    * Enforce using TopBar child widget's transitions.
    * Fix missing a workaround for 3.26.

commit 612128b2228f40d5dca5cf0879b3385ee70ebee6
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 23:31:02 2017 +0900

    Gnome-Shell: [AppViewControls] Remove unneeded extra spacing

commit d7c4675137578ccf289b25048eda4cd38c0a034e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 23:20:55 2017 +0900

    Gnome-Shell: [AppFolder] Revive background decorated app-folder appearance

commit ea875bfa04c29f6b42921169c3fc6fbe3343b489
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 12:39:46 2017 +0900

    Gnome-Shell: [DashToPanelExtension] Add ton of workarounds for that extension
    
    It was nightmare for me...

commit 56a3dad263a51de7f655df144fefd6b09710eb39
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 10:29:28 2017 +0900

    Gnome-Shell: Code cosmetics

commit 1847371d78e516b8a6e49af4fef38793ae6ba195
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 09:41:03 2017 +0900

    Gnome-Shell: [ShowAppsIcon] Set longer durations
    
    This commit improves more finer transitions for our specific
    'show-apps' svg icons...

commit e72b6dc85b6cd1fc3e2d23fe368e5d72bfef039d
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 09:30:00 2017 +0900

    Gnome-Shell: [Dash] Set longer duration for dash

commit 4f71d7024e574bd51cb3c8725121300fbfd21f31
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 09:22:25 2017 +0900

    Gnome-Shell: [OverviewIcon] Tweak pseudo-class specific styling
    
    * Stop filling selection-colour in :checked pseudo-class.
    * Draw underline-indicator in :checked pseudo-class.
    * Unset all decorations of :checked pseudo-class in Dash.
    * Set longer durations in :checked pseudo-class.

commit a1178bd6fb6f6d747a783780746858d51574386e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 31 06:09:18 2017 +0900

    Adapta-gnome.m4: Check minimum required gnome-shell version

commit 88132dfc40f1adbd83966b8bdce84051ce8f3c0b
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 30 13:56:16 2017 +0900

    Gtk-3.x&4.0: Code cosmetics

commit 528fc4e3e642ce8ea786ecb007ee8c9bf22b2804
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 30 08:02:24 2017 +0900

    Gtk-3.x/4.0: [GtkSwitch] Increase trough alpha from 0.1 to 0.2 in pxmap based switches

commit 655493592d8a9eac3049bd827d2251c1f7fa08a4
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 30 08:01:21 2017 +0900

    Gnome-shell/Cinnamon: [ToggleSwitch] Increase trough aplpha from 0.1 to 0.2

commit 1350182e10096dc879f6e9b25306c361f73f19ed
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 30 06:55:05 2017 +0900

    Gnome-shell/Cinnamon: [ToggleSwitch] Update colour blending
    
    * Enfoce using light_color in pixmap based sliders (light variant).

commit 6ceb69f6718016b611c607fa8dcb9b13614ddb8f
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 30 06:42:34 2017 +0900

    Gtk-3.x/4.0: [GtkSwitch] Update colour blending
    
    * Use a bit brighter :insensitive/:disabled sliders/troughs.
    * Enfoce using light_color for sliders in GtkHeaderBar.
    * Enfoce using light_color in pixmap based sliders (light variant).

commit 633ae368ed402b0f372a84bf6637ac9fc7af73eb
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 20:47:30 2017 +0900

    Gnome-Shell: [PromptDialog] Stop using Eta-specific dialog width (2)

commit 3134bb1cc37eb96f8ae41997500cf2f4fa82ce2a
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 20:40:10 2017 +0900

    Gnome-Shell: [PromptDialog] Stop using Eta-specific dialog width
    
    That caused unwanted fold-overs in some modal dialogs...

commit 6b1ab85de5723c5a1c1411a53255ce106a48991d
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 20:32:00 2017 +0900

    Gnome-Shell: Code cosmetics
    
    Move specific colour definition to _colors.scss.

commit 828ac00569a919cf31f87f342e5bc6dfc64c74eb
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 20:10:14 2017 +0900

    Gnome-Shell: [ArcMenuExtension] Add specific styling

commit 5e39421eb3f68ad77cdb2de36e59d6566cb3696b
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 17:05:38 2017 +0900

    Parse-sass.sh: [Shell] Code cosmetics

commit edf004f801a88dd2058a75191658c60e97bac33f
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 16:21:36 2017 +0900

    Adapta-gnome.m4: Remove duplicated variable
    
    That was already defined by autoconf...

commit 3e394c54f9e8997a5f6beed39c99a822be84ad50
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 14:48:23 2017 +0900

    README.md: Update wording

commit 6dc0a1dc254e178eee1003fcc6139ffe5df14ae3
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 14:45:12 2017 +0900

    Gnome-shell: Drop backward compatibility from 3.26 theming

commit 492a8b704fdd7701447ec8eb7bbf604cb4d76705
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 14:20:32 2017 +0900

    Configure.ac: Fix typo

commit 4fc0bebd4f46a88ca4304a21b97f5e0a1ce273e1
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 14:18:28 2017 +0900

    README.md: Update for new '--enable/disable-gnome' build option

commit 8965f4a87c7232b456bc4884eae217f73e6ff413
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 14:17:56 2017 +0900

    Configure.ac: Check gnome-shell path

commit e13244896a2df96585d1ea35480cd7e89f1b504e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 29 14:16:28 2017 +0900

    Makefile.am: [Shell] Introduce '--enable/disable-gnome' build option
    
    [Important Chnages]
    * From this commit, gnome-shell binary is needed if --enable-gnome was added.
      - Upcoming 3.26 cycle will bring the new adaptive top-bar feature,
        so we need to check the installed gnome-shell version at build time.
    * Add version specific SCSSs for upcoming 3.26 cycle.
      - 3.24 or lower, use sass/gnome-shell/3.24 directory.

commit 1fb03b28fd429c07b9f028edf7d0d3bb17897660
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 27 05:40:18 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Prepare for upcoming changes in places-menu applet
    
    * Move parent padding to child's spacing.
    * Pre-add upstream PR changes.

commit 858dc8717c333e882dfbae10f5a7595727cb4a15
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 26 04:22:51 2017 +0900

    Gtk-3.x&4.0: [Budgie-desktop] Rewrite 'show-apps' icon again
    
    * Shrink image size to 32px from 64px.
    * 32px image size may draw sharper/finer icons than downscaling from 64px.
    * A bit larger dot is used.
    * This may keep the image quality even if panel height was decreased to 30px
      or smaller, at least it should be better than downscaled from 64px images.

commit c5231340c4a9ab0f8a8c7aeb60147877dbb1f738
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 26 02:41:56 2017 +0900

    Gtk-3.x&4.0: [Budgie-desktop] Follow upstream changes
    
    * Improve new 'always expand places' option in places-menu popover.

commit 557c3d4159e1a249bfcf2ff73bd398b22bd5a494
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 25 09:25:54 2017 +0900

    Gtk-3.x&4.0: [Budgie-desktop] Increase pixel precision from 2 to 4 in 'running-dot'

commit 66c5115aacc8ff072eb795481b1a7f587f2e9e1f
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 24 10:47:27 2017 +0900

    Configure.ac: Bump version to 3.91.0

commit f1eefce0202988f7ca2baf75a1f5ba76846471d6
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 24 10:42:38 2017 +0900

    Telegram: [MsgOutDateFg] Fix invisible 'Date' foregrounds when selected

commit d305108d23da84dac8d10fb40c5b93d72c83c89e
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 23 21:53:03 2017 +0900

    Telegram: [Notifications] Update colour definitions (2)

commit 9fbf0abc0b20a16d49d0254c6d56893dba305ff3
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 23 21:35:57 2017 +0900

    Telegram: [Notifications] Update colour definitions

commit efbe94e0af19612d40276664f2c3d84aadb4b07e
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 23 21:16:26 2017 +0900

    Telegram: Update some colour definitions
    
    * Replace red/yellow/green/blue colours with our Material colours.
    * Use accent_color for some radial(?) and arrow(?) foregrounds.

commit 7064ba7acc8ea9e74538031a56863bfb3bf7ff3b
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 23 20:30:24 2017 +0900

    README.md: Update wording

commit 41179fad396fb4a4b1fca99f990718ae7a76b7ae
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 23 01:16:54 2017 +0900

    Gtk-3.x&4.0: Code cosmetics

commit 76c0e811f99078ca8cc6fadbdc660085591c69f7
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 22 08:30:23 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-todo] Add more lateral padding in 'New List' button (2)
    
    Hmm. it's better concerning about the conflicts with other apps...

commit d0f80ebd2e6f119bd7b73149a86374542ee3d5ed
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 22 08:17:42 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-todo] Add more lateral padding in 'New List' button

commit d17dbb8089de43a862319f06200f7926394b062e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 22 06:39:03 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Tweak some GtkHeaderBar buttons (3)
    
    Set inner padding more precisely...

commit 28e43c9d90a8f90798147f319d50d7ea3d8520bd
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 22 06:03:39 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Tweak some GtkHeaderBar buttons (2)
    
    * Improve upcoming new '.session-sidebar-button' style-class.
      https://github.com/gnunn1/tilix/commit/023bd9686793b1499dc5409e8f73e4933bdaca63
    
    This commit enhances the issue: #417.

commit 83b60a5372db9f3dc988ca2aa083839668bb1ca9
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 22 03:10:38 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Tweak some GtkHeaderBar buttons
    
    * Revive circular shape in "Create a new session" button.
    * Make a rigid gap between "View session sidebar" button and "Create
    a new session" button (but semantically -- not good. Because those buttons
    are the child elements in "linked" GtkBox container).
    
    This commit enhances the issue: #417.

commit 168d8bea9ba6d916fc8f2f82485bed38d2e709c9
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 21 23:12:34 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Add proper depth for left-side revealer

commit ef35185d9bad2d474a022a4a31c113616d5fbdc2
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 21 06:04:26 2017 +0900

    README.md: Update TODOs
    
    Add new TODO for preparing Meson build.

commit 5e3583309470027946b35a45e14a3d3260fd22d8
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 21 05:51:01 2017 +0900

    Gnome-Shell: [TopBar] Set 'non-transition' in .panel-button class as default
    
    Once those buttons are embedded into panel-corder region, it seems
    all of transition properties were ignored, maybe...
    So set zero-durations as default for them.

commit e5e6e8ad5debce473f1d0c020408c4fecf9a5498
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 21 04:34:03 2017 +0900

    Compile-gresource.sh: [Gtk] Check required PNGs/SVGs before starting

commit 37c5aa3f62d28f1f4131064cd8ae7a8bf6c2c804
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 11:02:45 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Tweak ripple-effects in raven-trigger applet

commit c31306881170d33e9663bb838037ced4887c54fa
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 10:34:08 2017 +0900

    Gtk-3.x/4.0: Code cosmetics (2)
    
    Oops, add remained changes.

commit d8e328cd84d785074d9486c54328f2b5093830a0
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 10:27:20 2017 +0900

    Gtk-3.x/4.0: Code cosmetics
    
    Add missing 'seconds' unit in transition properties.

commit d8218bd269f064264c64b4a8851f667e2ac3ea66
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 10:13:08 2017 +0900

    Gnome-Shell: [TopBar] Pre-add upcomming adaptive-topbar feature as comments (3)
    
    Apply slow-slope as well...

commit d34d76b5a91a065721b0a52b746600a296419fb6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 10:06:21 2017 +0900

    Gnome-Shell: [TopBar] Pre-add upcomming adaptive-topbar feature as comments (2)
    
    Hmm, it seems OK to enable long transitions partially now...

commit f1d9761d72be1e27355f2c6096d0cddc258cd627
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 09:56:48 2017 +0900

    Gnome-Shell: [TopBar] Pre-add upcomming adaptive-topbar feature as comments
    
    That feature in 3.25 cycle breaks currect styling, so keep them as
    comments currently...

commit c54598a1d0829d5ea25aef361be23663562466a8
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 06:46:19 2017 +0900

    Gnome-Shell: [ShowAppsIcon] Update 'show-apps' icon images (2)
    
    Rewrite once more...

commit 1d2476047a8d04cf575d89dac73f3f1df03bd828
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 06:43:31 2017 +0900

    Gtk-3.x/4.0: [Budgie-desktop] Rewrite budgie-menu applet appearance (2)
    
    If SVGs are downscaled around 50%, this commit may improve more finer
    sub-pixel smoothing...

commit ce61ce2c79d4d39756619827602c99e4495053b4
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 05:25:29 2017 +0900

    Gnome-Shell: [ShowAppsIcon] Update 'show-apps' icon images
    
    Follow the changes in Gtk+ theming.

commit b203532e6f1ab3ece492d126482f4b8bb79abf73
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 04:53:11 2017 +0900

    Gtk-3.x/4.0: [Budgie-desktop] Stop using under/over-line indicators in Raven-trigger applet

commit 06cf11b223fa6f35ba03c14471cdc479d5c5016d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 20 04:45:12 2017 +0900

    Gtk-3.x/4.0: [Budgie-desktop] Rewrite budgie-menu applet appearance
    
    * Stop using under/over-line indicators.
    * Introduce 'DayDream-like' 9-dots icons.
    * Expand icon images as possible as we can.

commit b7724a4b6232186c0a5496ae75eae3aaa84d15d5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 19 18:21:16 2017 +0900

    Gtk-3.20&3.22&4.0: [Inkscape] Rewrite styling (2)

commit 9b33c3b925801b42c4729557d21ea8902ed7a07b
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 19 17:17:08 2017 +0900

    Gtk-3.20&3.22&4.0: [Inkscape] Rewrite styling

commit c6d2f1f299db7c112d79e6c001cc4417fd4d9a4c
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 18 23:49:00 2017 +0900

    Gtk-3.x/4.0: [GtkInfoBar] Switch background colour of '.info' class from Cyan to Teal
    
    That .info class does not have any actions of 'selectable', so let's
    switch to Teal colour like the other notification widgets...

commit 5b6f90213110597058f1e23673a8bed3ca9d648f
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 18 23:35:36 2017 +0900

    Telegram: [PlaceholderFg] Update 'placeholder' label colours
    
    Follow the changes in Gtk+ theming...

commit fc36ba4ed4c2a442e9cc143d72e9d355c9f16fab
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 18 10:35:00 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 9923c4ffb6ebada601171405fd9ddda2ca2fd326
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 18 10:28:35 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkTreeView] Move a border hack of header buttons to the last part
    
    Follow the upstream changes even though I'm not sure this could make sense...

commit b0d824e050032952c38be91c5bc5a88e9285c8e6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 18 04:19:31 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListBoxRow] Tweak transitions from :acitve to :selected (3)

commit aa5014e64a9f1d7b6ac36b06980ed3c72e5c6366
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 18 04:07:33 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListBoxRow] Tweak transitions from :acitve to :selected (2)

commit 03dca80a0fabd5f4cc84939d15549bd121f9cb08
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 18 03:45:41 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListBoxRow] Tweak transitions from :acitve to :selected

commit f34d28c3bbcb84687e83aaf6a91971e224505db9
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 17 23:33:21 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkScrollBar] Update slider-colour definition in WebKitGtk2
    
    This hopefully may improve proper 'overlay' slider-bit colour in both
    light/dark variants...

commit 719740403ee6265fd943bb5d71fb78093f4be0d9
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 17 09:42:09 2017 +0900

    Gtk-3.x/4.0: Introduce monolithic 'placeholder' label color
    
    This solves the unmatched label birghtness in various widgets with
    both light/dark variants...

commit ee3f56f498c25ef9bd23903709d2590ec49af9f7
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 17 01:16:26 2017 +0900

    Gtk-3.20&3.22&4.0: [Feedreader] Update some styling
    
    * Fix incorrect roundness of text-buttons in GtkHeaderBar.
    * Polish article-list styling.

commit 5d98894022fba79842970eb69ef0b635d10ca226
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 17 00:47:55 2017 +0900

    README.md: Fix incorrect developers of NotoSans
    
    This commit fixes the issue: #414.

commit 140df336aa0bb84a1088a76cc684938253b15156
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 16 06:41:56 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Tweak budgie-menu styling for bottom-panel specific
    
    * Add bottom border to left-panel 'categories' widget.
    * Revive 2px bottom padding to make a gap between boxpointer and contents.

commit 4a6d510351b9a1f12ada904f7a5424e4240374c2
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue May 16 00:02:26 2017 +0900

    README.md: Fix typo

commit 639c85a4aa93b3701b3bfea620646c4be4dafbe7
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 15 07:09:30 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add minimum-width-limit for 'Top Panel'/'Bottom Panel' combo node
    
    When we switched Top -> Bottom or Bottom -> Top in Raven, Raven seems to
    re-compute the total width and try keeping minimum width of Raven widget.
    It might be unwanted resizing horizontally when switching...
    So let's set the minimum-limit to most widest raven-header region.

commit d7bd319cd79979189869c6b968882429520fab12
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 15 06:17:02 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Polish in-line titlebar styling (2)
    
    Add 'Small' titlebar-style specific spacing.

commit 2bb261c1147ec75311493ca4737db6236079508a
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 15 00:01:55 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Polish in-line titlebar styling

commit 1340dc8519692d22485d6d7d411c8785e517499c
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 14 22:59:15 2017 +0900

    Gtk-3.22&4.0: [GtkEntry] Add '.entry-tag' style-class styling (3)
    
    * Fix missing outer margins in .photos-entry-tag class.
    * Fix incorrent foreground colour definitions.

commit 66a78ffbdc996a59ae6fa2b75ee1abf62c548391
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 14 21:02:05 2017 +0900

    Gtk-3.22&4.0: [GtkEntry] Add '.entry-tag' style-class styling (2)
    
    * Fix broken entry-tag styling (style-class-only selector was bad).
    * Add extension to .photos-entry-tag, too.

commit 68795985fc653462b64717432a2653e241a8c36e
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 14 19:58:15 2017 +0900

    Gtk-4.0: Fix copy&paste error

commit d914c5a372a80e6e319cfb385d69524c5f47b71b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 13 08:57:53 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPaned] Fix unwanted extra spacing outside the wide-separators

commit db8c4a7ae43c6f4b8668d9d2ace4896143ecf979
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 13 08:26:04 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Polish left-side revealer styling a bit

commit d84cb7fcc06cbac00afc5b3cccd94c7e4024ba93
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 13 07:56:50 2017 +0900

    Gtk-3.20&3.22&4.0: [Tilix] Stop using inperfect circular "plus" button in GtkHeaderBar
    
    Because of upstream's hard-coded lateral padding, we no longer draw
    the perfect circular button...

commit 7cb577fe134b29d75c8074b7187be180a2490a4c
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 12 22:06:18 2017 +0900

    Gtk-3.20: [GtkNotebook] Fix missing background expansion

commit 5110658897f6a2711b475058afaaca57b955fc0f
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 12 19:54:26 2017 +0900

    README.md: Update TODOs
    
    * FlatPak packaging in someday...
    
    This is related to the request: #413.

commit fe0a09a0406341e8ee82a6290e583b6520ba38c2
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 12 01:52:20 2017 +0900

    Gtk-3.22&4.0: [GtkEntry] Add '.entry-tag' style-class styling
    
    Based on extisted '.documents-entry-tag' class styling, then move
    it to common section...

commit d87a4933c804473bb2f60e3e2a292853d3da8ad6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 06:36:38 2017 +0900

    Gnome-shell: [LookingGlass] Update some styling
    
    * Use high-contrast foregrounds in suggested action-button.
    * Switched to zero-elevation (in-line) inspector child window.

commit 1fc490de28df38b17b9c06afec4a1ccd91bbeae6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 01:57:15 2017 +0900

    Makefile.am: [Gtk/Shell] Stop using '-a' option in SassC
    
    In some older releases, -a option was not supported...

commit a57a58b4d5058d91766fd8cee9ec92b4a65d54e1
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 01:15:22 2017 +0900

    Configure.ac: Bump version to 3.90.1
    
    We have to be ahead of schedule bumping the version since separated
    dark-variants had come...

commit 7dd62b2a3bc23d80f6046a91a8ed26e372b75c1c
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 00:49:24 2017 +0900

    README.md: Update current dark-variant status
    
    From this commit, we no longer watch the key
    'gtk-application-prefer-dark-theme' anymore in Nokto-variants
    like Adwaita did as "Adwaita-Dark" 3.22/4.0 cycle.
    
    * This introduces impossibility of mixin' light-variant Gtk+ 3.x/4.0 theming
    with dark-variant Gtk+ 2.x theming (heavy regression).
    * This also introduces ugly firefox dark-variant theming (almost
    out of control, at least I won't do anything for FF's appearance
    currently).

commit 61abe8e549319991c57816a635d9c0f3e5cfd642
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 00:45:23 2017 +0900

    Makefile.am: [Wm] Code cosmetics

commit 0612946a2cb18fc9fa61233cc198a356897b6dcd
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 00:42:19 2017 +0900

    Render-asset-gtk3.sh: Separate 'eta' specific window-button rendering

commit db46cfc3044966db37b7b7e5a8b85389be4191a1
Merge: b8cacb92 b83d2ee1
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 00:36:02 2017 +0900

    Merge branch 'origin/master'

commit b8cacb928e57c8910a46abb0879c995352966be2
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 11 00:35:26 2017 +0900

    Merge: origin/master

commit b83d2ee1db067e1f6d833882958535dbcb2bf2e1
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 23:53:21 2017 +0900

    Makefile.am: [Gtk/Wm] Tune-up parallel (2)
    
    Add 'zero' argument delimiter with '-0' (= print0) option.
    This commit solve the issue: #412, maybe...

commit bf93dc0c2d89b2e3f86e22043428fb7205a7c421
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 22:35:38 2017 +0900

    Makefile.am: [Gtk/Wm] Tune-up parallel
    
    This may or may not affect the issue: #412.

commit b352ece51806feefc61703a7b952426651f4bfeb
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 20:04:44 2017 +0900

    Gtk-3.x/4.0: Stop including 'thumbnail' PNGs into gresource files
    
    Those are unused in Gtk+ theming.

commit 0bc3bfcadc4fb10c3b3df2f58e8b1e33b0afb1d2
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 20:03:15 2017 +0900

    Makefile.am: [Gtk/Shell] Add '-a' option to SassC

commit 222a13a3be6e74dbf9f0db6bd97f41ddc3e16daa
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 09:54:07 2017 +0900

    Makefile.am: [Gtk] Install separated dark-variants (4)
    
    * Do not install x2 scaled thumbnail images.
    * Rename '-dark' suffix name when installing thumbnail images.

commit 0173e81f5f370f505eb9c4495bb066faf683ad2d
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 09:36:45 2017 +0900

    Makefile.am: [Gtk] Install separated dark-variants (3)
    
    Fix typo.

commit b29d1ba5cd7cbdc84fcae00733853e039be43aa5
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 09:18:18 2017 +0900

    Makefile.am: [Gtk] Install separated dark-variants (2)

commit 3c255112ee175bd39d9df79c63d5d36561333453
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 08:53:23 2017 +0900

    Compile-gresource.sh: Generate proper gresources

commit 875482f1d9be8df010a86b0130485d31e7238236
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 07:44:08 2017 +0900

    Asset-gtk3.svg: Add separated dark-variant specific thumbnail image

commit 8b7a12376843dcfbd869499d1207d8234934fa93
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 07:31:41 2017 +0900

    Makefile.am: [Gtk] Install separated dark-variants

commit b5ce2447dfb7ae5cf7450745aef995b74f0b4503
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 06:56:32 2017 +0900

    Parse-sass.sh: [Gtk] Generate separated dark-variants

commit 4f6238f76c41569d531df1f3affa1c14438c4c87
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 10 05:37:07 2017 +0900

    README.md: Update TODOs
    
    We have to be ahead of schedule providing separated dark-variants.

commit 3414e4f35a233fa3ef52857e6fe0aaac859a4cf4
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 8 01:57:47 2017 +0900

    README.md: Add caution for dark-variants.

commit 2d8df7d8f4dd54237a4088e2f233ba19f4122945
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 14:49:38 2017 +0900

    Gtk-3.18: [Xfce4-panel] Add ':active' state background for panel buttons
    
    I'm not quite sure that makes sense...

commit cd7c45e03e7c139d8b5ebc30ee57c67ce08e68d0
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 14:48:18 2017 +0900

    Gtk-2.0: [Xfce4-panel] Add ':active' state background for panel buttons

commit 02d69faf6f1b4610f24aeee2746e7e79166bf5d4
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 14:43:55 2017 +0900

    Gtk-3.20&3.22&4.0: [Xfce4-panel] Add ':active' state background for panel buttons
    
    I'm not quite sure that makes sense...

commit 942065fa9c268f199cee228ae3d0f5e519c5f777
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 13:20:49 2017 +0900

    Gtk-3.x/4.0: [XfceHeading] Stop using base_color background

commit f7cf1030d5b150e7ecb9b4e38e253b5994c7f232
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 13:17:25 2017 +0900

    Gtk-2.0: [XfceHeading] Stop using base_color background

commit 3949ad0b33a7c7c8e2a40d8c599f6b08646a7dda
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 12:38:01 2017 +0900

    Cinnamon: [WindowListItemDemandsAttention] Update styling
    
    * Switch to semi-transparent background.
    * Draw indicator lines as well.
    * Use high-contrast foreground when blinking.

commit 75d19460e4afbbd8c5314c7f26a599fb6088d24b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 05:54:59 2017 +0900

    Gnome-Shell: [LoginDialog] Tone up normal state foreground colour in suggested-action button
    
    Use the same foreground brightness of 'Login' button with Gtk+ 3.x theming.

commit a7a20f85b68adbedc182baca092bf0774f3835e5
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 01:16:00 2017 +0900

    README.md: Limit for the Unity7 support
    
    In future Gtk+ 4.0, we drop support for Unity7.

commit 976e3493d65c0ff252bdf01732458148d948e799
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 01:11:42 2017 +0900

    Gtk-4.0: [Unity7] Drop all of Unity7 related theming
    
    There's no reason we have to carry on...

commit cb4d1c6bee1239cb4eb5839f67ea568c86faa04a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun May 7 00:46:41 2017 +0900

    Metacity-1: Clean up unused SVGs
    
    Today we've dropped maxd/tiled effects already, so let's purge those
    specific SVGs as well...

commit f1ef4ea56858d920c355e7b5d9d70daae392a1bd
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 22:18:34 2017 +0900

    Gnome-Shell: [PromptDialog] Switch to scaling 'em' unit for width/height
    
    Follow the uptream changes...

commit d6a51219af1080cbab4ee192c0300765fda7d4c2
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 06:26:53 2017 +0900

    README.md: Update for unveiled '--enable-gtk_legacy' option

commit 83299241b6baa7f329bbaaa88053119a26d6443b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 06:22:14 2017 +0900

    Makefile.am: [Gtk] Add '--enable-gtk_legacy' specific build sequence

commit 3aece13d08c30e21157c0f04d6d780d5c2df9ca0
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 06:21:44 2017 +0900

    Autogen.sh: Disable gtk_legacy option by default

commit d55d80f8c727fdc2874887099616392c7ef43027
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 06:15:10 2017 +0900

    Configure.ac: Introduce '--enable-gtk_legacy' option
    
    Today most of users have moved to Gtk+ 3.20.x or3.22.x, then ancient
    Gtk+ 3.18 support has been wasting disk-space for those who live with
    rolling-released OS.
    
    So default supported minimum Gtk+ version was set to 3.20.x. If uses
    and contributors needed Gtk+ 3.18.x support, please pass that option
    at build-time...
    
    To be honest, I really want to purge Gtk+ 3.18 support.

commit cf36fc437f930df87ad368c58718548643369673
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 02:57:12 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkEntry] Follow the changes of Gtk+ 2.x entry design
    
    Fork the same design to our 'fallback-mode' entries...

commit 9063aae6b8cdffd2bc37fb838ced6bae783d81d2
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 02:50:24 2017 +0900

    Gtk-2.0: [GtkEntry] Change 'Active' pseudo-class entry design
    
    * Stop highlighting background in :active (:focus) class.
    * Use selection-coloured hightlight borders instead.
    
    Since we've changed GtkEntry to 'non-elevation' (rest) materials,
    so switch to highlight border design...

commit 54303adc6a6e460a64b3b50254c45d5714510202
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 02:48:37 2017 +0900

    Gtk-2.0: [GtkButton] Add inner padding

commit 41774d64d8c2fe57d3a838c44410a469c035fbe6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat May 6 02:45:38 2017 +0900

    Gtk-2.0: [GtkEntry] Add GtkEntry specific properties
    
    * Enable state-changing for Active/Insensitive pseudo-class again.
    * Add inner padding.

commit 2d87eb7f5077e663da92cb187b07aae33deb065f
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 18:26:07 2017 +0900

    Metacity-1: Code cosmetics
    
    Revert to use "max_" image loading when max'd and tiled.

commit 1669cff8112dda26813caa081c046993cfa1d2ee
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 17:07:08 2017 +0900

    Gtk-3.20&3.22&4.0: [Cinnamon-control-center] Polish styling again
    
    If that app was kicked from "Configure..." menu via right-click on
    Applets, out styling was broken. So support such cases, too...

commit ab2630a27cb095c4a5ee6f4ca01b558e20e26127
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 07:12:12 2017 +0900

    Gtk-2.0: [GtkEntry] Fix incorrect selected-region stying
    
    In the recent updates, it might be broken in case selected-region
    was unfocused, so let's fix...

commit 7f14cca8f56ad31a56046f31da6106cd1f530b86
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 06:29:44 2017 +0900

    Cinnamon: Update some SVGs (2)
    
    It seems OK to be rendered without embedded edge shadows...

commit 3eb25e065729323eb6dcdcc09f9ee1c669f5438b
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 04:43:48 2017 +0900

    Cinnamon: [MenuFavoritesBox] Draw actual borders

commit 82cd46c6bb16f2f9c3ce46acebad748c592efcb5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 04:15:11 2017 +0900

    Gnome-Shell: [ToggleSwitch] Update SVGs with current light_color

commit a8209bc2d665f3eb34ef6320117ee2f21e9c67a9
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 04:10:59 2017 +0900

    Cinnamon: Update some SVGs
    
    * Use current light_color in dark 'toggle' image.
    * Add top-edge highlight for popup-menus.

commit 4e0723287e08ca69529e6acc130e589608445bef
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 03:02:13 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 05e82e8566f72557666740499360e7ac636e4ea3
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 02:40:39 2017 +0900

    README.md: Add a comment for newer Chrome(ium)
    
    We no longer need such legacy external theme files in 59.0.30xx or newer.

commit f450c6579d442ffdf8138cfc89b107e07bd63242
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri May 5 02:30:20 2017 +0900

    Extra: [Gedit] Tone up 'current_line' with base_color

commit 0df20cbe4d2eed14f377e9fafd0d459928fc8ba7
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 18:46:06 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkNotebook] Employ ripple-effects for tab nodes (2)
    
    Optimize spread speed and shape...

commit de6cff13f5417053092ade0f16bd677e35923e5c
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 18:33:56 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkNotebook] Employ ripple-effects for tab nodes
    
    * Use transition-based animations without using animation properties.

commit 77309da49bb5cc56094934f1945558ec08c18e6a
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 17:54:32 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPopover] Rewrite some stuffs (2)
    
    * Oops, fix typo.
    * It seem to be enough to concern background-image only for ripple-effects
      in GtkListBox...

commit 18133e08bd54b8eeb1f929bd0861dda3f5e3979e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 17:45:08 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPopover] Rewrite some stuffs

commit c9c1141979593f130cc39b008786452742e61ea2
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 07:32:20 2017 +0900

    Gtk-3.x/4.0: Use '-M' option of SassC (2)

commit 365c8183789b0626026d6add12cca0c1d1667e46
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 07:31:15 2017 +0900

    Shell: Use '-M' option of SassC (2)

commit 3a161c34b512008b8ac6ec930ec1e64b7a79c7ff
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 07:29:31 2017 +0900

    Shell: Use '-M' option of SassC

commit 1b86fda18e093a9bbfbaac4633937b42ef5f6324
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 07:24:24 2017 +0900

    Gtk-3.x/4.0: Use '-M' option of SassC
    
    This might be better?

commit cd63d8ca8c8930a8e3781d978374e7927c7b3b41
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 06:50:50 2017 +0900

    README.md: Show complete path to 'styles' folder for Gedit/Builder colour scheme

commit ecb99ed901eb9f7475a7b6d72b02c324cb59a35a
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 06:47:35 2017 +0900

    README.md: Update 6-HEX values for Vivaldi
    
    Update for current colour scheme.

commit 7625cda0ed5b41339e5f1e8f8acbdcd231c19a33
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu May 4 05:55:51 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkComboBox] Prevent transtisions in the child GtkPopupWindow
    
    This commit may or may not fix the issue: #409.

commit 46e89319082f6916a4bf2269fb5f23bb476876b3
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 3 22:39:15 2017 +0900

    Gtk-3.x/4.0: Refactor 'fallback-mode' buttons/entries design
    
    * Employ new 'light_color' for dark-variant.
    * Re-define insensitive background-colors.
    * Rewrite toggle images.
    * No longer used base_color for those widgets, use light_color instead.
    
    [Side-effect]
    * In LibreOffice's retractable text input area stacks with only just
    '.view' style-class without textview node. Means internal region
    of that input-box can not be drawn with light_colors but base_color.
    This is the upstream issue. Maybe their poor 'multi layered elements'
    might not be able to blend with transparent background, so they seem
    to put .view style-class inside the entry node. If so, I don't have
    any ideas why they ignored the textview node.
    If textview node was existed in that place, we could override that
    input-box background colour... :/

commit d23b1d4a448b99d3335f2f373e975fbaf6dd548f
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed May 3 22:11:35 2017 +0900

    Gtk-2.0: Refactor GtkButton, GtkEntry and GtkSpinButton images
    
    Completely rewrote those images with our 'fallback-mode' widget design.
    No longer used base_color for those widgets, but did light_color instead.

commit b819e17c44f3100c18284943eb2cae141374ef38
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 1 19:34:57 2017 +0900

    Gtk-3.18: [GtkScrolledWindow] Enforce expanding overshoots (2)
    
    Reduce effective height of overshoots...

commit e5de5285633f2c90036e01f8dc7f23492b666a32
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon May 1 19:24:18 2017 +0900

    Gtk-3.18: [GtkScrolledWindow] Enforce expanding overshoots
    
    This commit fixes the issue: #407.

commit 981680cf18e87be6e24588e869300e3630686a91
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 30 21:06:04 2017 +0900

    Gtk-3.20&3.22&4.0: [Polari] Update left-pane GtkListBox styling a bit (3)
    
    Prevent the conflicts with other apps...

commit 202e89362fc42d7da58888c1e69d1ee7d55cd6f6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 30 20:51:47 2017 +0900

    Gtk-3.20&3.22&4.0: [Polari] Update left-pane GtkListBox styling a bit (2)
    
    Revert to 700 weight...

commit 8a20800179345d9418e77acb2a6dbf42e55d01fc
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 30 20:44:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Polari] Update left-pane GtkListBox styling a bit
    
    Damned Polari... :/
    This commit fixes the issue: #406.

commit ad0da6dd71cc73e389ffc25b5f87b7aa0f375908
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 30 18:50:24 2017 +0900

    Cinnamon: Follow upstream changes
    
    * Stop using 'auto' margin definitions.
    * Add 'level-bar' style-class (forked from Gnome-Shell theming).

commit a55bc0dff231aa00d5590d1963d37996f1a8d0c3
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 30 18:44:33 2017 +0900

    Cinnamon: [SystemStatusIcon] Add new 'warning' and 'error' style-class

commit 61fe64106f3f3211447c8f109086555bbfe658fe
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 30 18:41:52 2017 +0900

    Cinnamon: [SysTrayApplet] Add new .systray style-class

commit 104abb6c5e989a48462564e42027a2c73b34b657
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 30 18:25:26 2017 +0900

    Cinnamon: [AppletIcon] Shrink icon size to 16px from 22px
    
    But at least Cinnamon is NOT my desktop environment, so it may or may
    not introduce side-effects.
    
    This commit fixes the issue: #405.

commit 21c5a65d2280bd6854d4c707582b8b7b67084548
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 29 17:55:36 2017 +0900

    Gtk-3.x&4.0: [GtkHeaderBar] Enforce high-contrast foregrounds in '.default' style-class as well (2)
    
    Hmm, we need to concern the case if .default class was used without
    suggested/destructive classes...

commit aeb1c75f23d949c6492ef888a649267e844d496c
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 29 17:42:38 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Enforce high-contrast foregrounds in '.default' style-class as well
    
    In some GtkDialogs, they use '.default' style-class as suggested-action bottons,
    So let's apply high-contrast foregrounds to those buttons.

commit 8bd9100effae2252573598809d0c4e589c98bf2f
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 29 15:10:29 2017 +0900

    Render-asset.sh: [Gtk] Drop outdated 'radio-symbolic' image entries
    
    Those images have been droppped already.

commit f2f396cf0c6c9e354f6ddc24a397b8ed9b098f69
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 28 21:20:04 2017 +0900

    Gtk-3.2x&4.0: Drop outdated tiled effects completely

commit 048de23a1b6f811e671ebd471c337b33b1e30043
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 28 16:57:28 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkCheck/RadioButton] Introduce new 'solid' images for non-native Gtk+ backends
    
    Previously I've tried to fix without adding png images, but I could
    not get any better results. So let's add specific images filling
    inner region with solid backgrounds. Those new images are used in
    Webkit2 rendering web pages like Ephy and LibreOffice's backends...

commit 5d7412dce29b4a89f528d61233e2919e2292c270
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 28 05:09:54 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkCheck/RadioButton] Make icon images darker for Gtk+ backend
    
    The previous workaround was ugly, so use -gtk-icon-shadow instead.

commit 9f95eaf31b16c3d883ac1e270844191200d4adf5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 28 04:04:45 2017 +0900

    Gtk-3.20&3.22&4.0: [Lollypop] Fix weird '.trackrow' widgets when hovered
    
    Lollypop... There's nothing I can say.
    This commit fixes the issue: #403.

commit db3c0f29e00f09d2be144bcaf4982af07359d3ce
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 28 03:17:51 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkCheck/RadioButton] Fill inner region in Gtk+ backends

commit a2785bc28d113665a0ec421e27c2436e0aca679e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 27 20:45:34 2017 +0900

    Gtk-2.x: [(He)XChat] Elevate chat-entry input area down to zero
    
    * When changing the background colours, it might be better using our
    "fallback-mode" non-elevation entry styling.
    * Enforce solid-white background as default (bad ideas, too bad).
    
    This commit will fix the issue: #402.

commit 6734224f52331fe6df220a1affde364baf1f74cc
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 27 12:38:12 2017 +0900

    Gtk-2.0: [GtkScale] Use pseudo-class specific image loading
    
    Otherwise unspecific image loading overrides insensitive pseudo-class.

commit 07cd3dd3df22da42d4c4e3428cff10ef0cb36b00
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 27 09:57:06 2017 +0900

    Shell: Overhaul the dark-variant colour definitions (3)
    
    Oops, remained changes...

commit 47cc27a6d4f1a94ca71ecd666413ea1fb129f7d5
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 27 09:51:54 2017 +0900

    Gtk-2.x/3.x/4.0: Overhaul the dark-variant colour definitions (5)
    
    This is almost the final commit for overhauling dark-variant colours.

commit 8fd77d5d43e064daccb3330ffa2f0c770b0f6a86
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 27 08:20:04 2017 +0900

    Gtk-2.x/3.x/4.0: Overhaul the dark-variant colour definitions (4)

commit a430e0127eae86a6070a591928fe62941c8080fa
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 21:55:22 2017 +0900

    Extra: Overhaul the dark-variant colour definitions (3)
    
    Fix frame-background colours in light-variant legacy Chrome(ium) theming.

commit 111834a71bb09c2f044eb3ffc860f6575184468e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 21:39:29 2017 +0900

    Gtk-3.x/4.0: [GtkButton] Enforce high-contrast foregrounds in suggested/destructive action buttons

commit 64c98bfc4a146fbfd88dd2e49decb7b862f94f3d
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 13:58:05 2017 +0900

    Gtk-3.x/4.0: [Budgie-desktop] Stop dimming end-region icons
    
    Since the recent changes of colour definitions, new foreground colour
    of panel brought 5% darker label/icons, so drop them as outdated.

commit 9dfd9ba716465051004e02ac0fa89c209bda9662
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 06:05:53 2017 +0900

    Extra: Overhaul the dark-variant colour definitions (2)

commit 701bb741dbd69907da9f7881020debb066834574
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 04:50:27 2017 +0900

    Gtk-2.x/3.x/4.0: Overhaul the dark-variant colour definitions (3)

commit 12e17c747c5332b45ddff2980eb8d221dafa4342
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 04:06:48 2017 +0900

    Gtk-2.x/3.x/4.0: Overhaul the dark-variant colour definitions (2)

commit b6fb93e38c0e6866ae7efbd6d212415bd1d2e1f8
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 03:45:34 2017 +0900

    Extra: Overhaul the dark-variant colour definitions

commit 052b575b095d8c67c2263cd15154910e0afa5a33
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 02:48:05 2017 +0900

    Shell: Overhaul the dark-variant colour definitions (2)

commit b054fa02571eff93b2526ac3c42278361677c866
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 02:43:10 2017 +0900

    Wm: Overhaul the dark-variant colour definitions

commit 779f3135286a8634246e37bb87774048cd1975b7
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 26 01:20:26 2017 +0900

    Shell: Overhaul the dark-variant colour definitions

commit b289c18c42ef50edccbf9d10b79f551c3d8e99ab
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 25 23:57:03 2017 +0900

    Gtk-2.x/3.x/4.0: Overhaul the dark-variant colour definitions

commit fb381ad8936164f4cc30a3850121f7b148f8f225
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 25 12:49:42 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-terminal] Add a workaround for downstream 'transparency' patch (2)
    
    This might be a bit better definition.

commit 49c74b45e0011d00dfde2573761516cdbc198147
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 25 12:29:44 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-terminal] Add a workaround for downstream 'transparency' patch
    
    Gnome-terminal devs do not suggest that transparency patch, but still
    downstream (distributions) carries on. That patch causes unwanted
    solid outer margin artifacts outside its GtkWindow in XWayland mode
    if users keep enabling 'background transparency' option...

commit 5e180678214c0914396b813f397eacfb080eedbe
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 24 21:48:26 2017 +0900

    Gtk-3.20&3.22&4.0: [Nautilus] Fix style conficts with Gnome-Calendar
    
    Those workaround for 'batch-rename' dialog causes conflict with
    Calendar's 'Note' input-area, so use negative margins instead.

commit 42efa47ab14c6c1ab678d067ced5e2251e7287cc
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 24 21:35:00 2017 +0900

    Gtk-3.x/4.0: [GtkTextView] Remove some properties for animated transitions
    
    Those properties are not needed by plain textview node as input-areas,
    so let's drop those stuffs.

commit 56f983ef8a85a923883dcbec899b5f865c869b36
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 24 00:51:15 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit b018a5e41769479d33f019e6885a713b85f9f7b2
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 23 10:58:23 2017 +0900

    Gtk-3.18: [Budgie-desktop] Backport recent changes from 3.2x/4.0
    
    * In Gtk+ 3.18, we can not elevate this GtkWindow to level-4.
    * In Gtk+ 3.18, we can not set any minimum-width.
    
    But most of widgets are styled as we've done in Gtk+ 3.2x/4.0...

commit 3fc2c1739ba00e5f7a38a3e7d17731e516d290a6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 23 07:17:40 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Drop workaround for 10.3's NaTrayApplet
    
    Upstream switched minimum-width from 16px to 22px, then nm-applet can be
    drawn with symbolic icons re-colourable in 37px or taller budgie-panel.
    So let's drop the workaround.

commit 3b31dc52e57254733db53f66b88537ed7fc3265a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 22 17:01:25 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Update styling
    
    * Improve 59.0.3067 or higher (up to 3079).
    * Add workaround for the upstream tooltip widget issue.
    
    This commit fixes the issue: #398.

commit b9e217e2eebcb068df0e9b556e6e3ca10830e0cb
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 21 22:55:46 2017 +0900

    Configure.ac: Revert "Add version checking for SassC and Inkscape"
    
    This commit fixes the issue: #396.

commit 44b9c08356bc760e66ece6c523b890b5cfdc15e3
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 21 22:42:40 2017 +0900

    Metacity-1: Drop tiled effect

commit dfb455da1169aff81ec508a12d862d3d7ae325f8
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 21 22:21:34 2017 +0900

    Gtk-3.x/4.0: Drop tiled effect

commit 1da9206021e64491508963fc50ad0649cd30a477
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 21 12:11:47 2017 +0900

    Gnome-Shell: [Dashboard] Remove outer marings of .dash-item-container (2)
    
    One more.

commit b44d85ae02dbced574a58864c3b6e96c34d3f570
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 21 12:07:40 2017 +0900

    Gnome-Shell: [Dashboard] Remove outer marings of .dash-item-container
    
    This commit fixes the issue: #395.

commit 132c32e7d577f78e7d49249b7c1de951ca381045
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 20 16:29:47 2017 +0900

    README.md: No need to concern the 'micro' version of sassc/libsass
    
    I hope all of 3.3 series would work as we expected...

commit 94c6630775bfd7594126205116cf86569c8ed600
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 20 16:28:03 2017 +0900

    Configure.ac: Add version checking for SassC and Inkscape

commit 327a22f9053b187478cd68b80564b4cb386df8c9
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 19 23:40:11 2017 +0900

    README.md: Add required version of Inkscape
    
    Most of modern distributions have had 0.91 or higher...

commit e09f99f22718b61bc74c47e2c6fefa83b8e36176
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 19 23:07:14 2017 +0900

    Render-asset.sh: [Wm] Get Inkscape version as major + minor only

commit 900a9f6e65bcd9ae47458d1ca8d091f85aadcef0
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 19 23:04:36 2017 +0900

    Render-asset.sh: [Shell] Get Inkscape version as major + minor only

commit b7f469c40ab579f81a4bb61a30ff98e109ef0d81
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 19 23:03:03 2017 +0900

    Render-asset.sh: [Gtk] Get Inkscape version as major + minor only

commit b9236e7e1c719eec52a52bdc23f9ed2c8af9ba29
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 19 01:19:48 2017 +0900

    Telegram: Follow the upstream changes for 1.0.29
    
    Some selected messages would get more finer contrast in foreground
    colours.

commit 810cfea09b618bf7ca986e9aaf92aedd3352b660
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 19 00:20:57 2017 +0900

    Gtk-3.20: [Budgie-desktop] Backport recent changes from 3.22/4.0
    
    I'm not testing well though...

commit 6c69f645926e8a0141eaaae8451650c03770f592
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 19 00:05:26 2017 +0900

    Gtk-3.22&4.0: [Budgie-desktop] Add a workaround for 10.3's NaTray icon allocations (2)
    
    Hmm, 2px margin was too thick.

commit d6e991e2f809fd9d6642eafb699b39f33e24a0b6
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 18 22:48:40 2017 +0900

    Gtk-3.22&4.0: [Budgie-desktop] Add a workaround for 10.3's NaTray icon allocations
    
    In 10.3 (or 10.3.1), The codes of NaTrayApplet was changed. Especially
    'nm-applet' icon are allocated by 16px * 16px even if the clip-area had
    24px * 24px or enough. This causes un-recolourable SVGs/PNGs from
    theme-side, so let's extract the 'dummy' clip-area height enough
    to render the 24px symbolic icons.
    
    Anyway this is an ugly workaround should be fixed in somewhere else
    (upstream). :(

commit a92278926ec4d8b71183633800011f616deca4d1
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 18 21:59:36 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-panel] Enforce 24px NaTray icons
    
    We can not re-colour the 16px SVGs/PNGs in notification tray. So let's
    switch to generic 24px icon images...

commit 7bc482a7c776864777ae019563ca34fd16e997ac
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 18 13:46:21 2017 +0900

    Gtk-3.20&3.22&4.0: [LibreOffice] Exclude '.frame' style-class in notebook node
    
    That .frame style-class is used in many places today, so let's exclude
    it...

commit 92adcd730b1051aecd6a74404cf511d5afccfc4f
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 18 04:17:16 2017 +0900

    Gtk-2.0: [GtkScale] Refactor styling
    
    * Cleaned up and rewrite rc files to fix the missing troughs in
    Qt-Gtk backend.
    * Add transparent gaps around the slider pixmap images. Otherwise
    Qt-Gtk backend can not contain whole image area enough. That's
    really weird for me, messing me.
    * Revive hover pseudo-class slider pixmap.
    
    This commit fixes the issue: #392.

commit 79f2af6dd2860a161f585fb1ac066565fa301230
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 17 22:09:47 2017 +0900

    Gtk-3.20&3.22&4.0: [Nautilus] Add one more exception for GtkNotebook workaround
    
    Hmm, node-name was needed?
    This commit fixes the issue: #391.

commit d505a2843e43a0a72c8ec999321f373ff5136087
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 17 15:17:15 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Update 'places' GtkPopover styling
    
    * Optimize inner padding and borders of GtkPopover.
    * Fix truncated 'eject' button.
    * Re-define vertical spacing for .name-button to make more room.

commit 5a861746c4c762b89b4616abf69d238dfc2d9230
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 17 00:28:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Alt-Tab apps switcher styling (5)
    
    Make a bit more room for GtkLabel.

commit d8bfc6efaec11fe0951df2ff9dedc7c2e8f196ce
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 16 21:22:16 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Alt-Tab apps switcher styling (4)
    
    Hmm, it might be better computing the width from flowbox-childs directly,
    So switch from font based calculation...

commit b27f0a8ffe2ab3b68a3cbfcbe19f05e6b70f202a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 16 18:55:21 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Alt-Tab apps switcher styling (3)
    
    Add a specific style-class for GtkLabel placed at the bottom of switcher
    window.

commit e95b93cacad677c840c9bb35d076b163f96a538a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 16 18:13:19 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Alt-Tab apps switcher styling (2)
    
    In Gtk+ 3.22 or higher, The width/height of GtkWindow strongly depends
    on its child element allocations. And Adapta is the scaling Gtk+
    theme. Once this combo happnes, we can not keep the width defined
    by upstream's ui file(s) like 'max_chars' and/or 'max_children_per_line'.
    
    So let's add the blocker for minimum width of GtkLabel via non-scaled
    px value, at this time, 13.33px x 45 chars = 600px was applied. Then we
    can keep at least the number of GtkFlowBoxChilds (8) in a sigle row
    even if we've set 0.9 or 0.8 to font-scaling-factor...

commit ca4ec56d9471882efb0b2f3dfd3278d674e16e41
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 16 15:49:13 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListBoxRow] Set proper 'eject' button sizing again
    
    The recent fix for truncated drop-shadows caused unwanted enlargement
    of 'eject' button in placessidebar node again...

commit 93b56e040c34c25cd61f38e99539fe206981c858
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 16 14:57:26 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add Alt-Tab apps switcher styling
    
    Upstream unveiled that great feature in graphical application siwtcher,
    so let's follow the upstream changes and fork the styling of our
    Gnome-Shell theming...

commit c53e45f65873107cce90f92aedc1185fc0a80801
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 16:09:32 2017 +0900

    Gtk-3.20&3.22&4.0: [LibreOffice] Update styling (2)
    
    * Revert to non-border header node.
    * Add fake-shadows on the header node.

commit 0fc135e674092b50cac2e878473da4b733b086dc
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 15:33:55 2017 +0900

    Gtk-3.20: [LibreOffice] Backport the recent changes from 3.22/4.0

commit 445b45903f3dcb3b83d1b278d96d0847e57966d3
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 15:17:24 2017 +0900

    Gtk-3.22&4.0: [LibreOffice] Update styling
    
    * Add a workaround for weird GtkGrid placed at the right-side of
      GtkMenuBar, enforces to fill the same background colour with
      GtkMenuBar.
    * Change drawing method of border between header node and notebook node.

commit 37dec0553340e48cef14b0c5e7548d7f00e06c9c
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 13:59:42 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkScrollBar] Refactor code styling (2)
    
    * Code cosmetics.
    * Revive backward compat for Gtk+ 3.20 (Still needed?).

commit d8bed33796f5273acd3cf151b074b5733d86b3e8
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 13:42:09 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkScrollBar] Refactor code styling
    
    * Use more SCSS-ish code-base.
    * Add workaround for some damned 'non-overlay-indicator' desktop environments
      like Cinnamon and Mate, they enforce to disable overlay-indicators,
      once that happened, our 'gapless' sliders/troughs made ugly 2px gaps
      around the scrollbar node. This seems to be caused by Gtk+ itself though,
      anyway negative margins can solve this (Make sure that non-native Gtk+
      backends are excluded from this workaround).

commit 40be1ee1fc35788326352cf1131222c3807ef240
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 01:51:10 2017 +0900

    Cinnamon: [StScrollBar] Convert to scalable em unit

commit 8d5ebaff196eab6deb68380073f218026849f511
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 01:45:50 2017 +0900

    Gnome-Shell: [StScrollBar] Convert to scalable em unit

commit 14a4115610faba209bbf3370f8734d6c29303687
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 15 01:28:14 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkScrollBar] Code cosmetics

commit f6513eb21349b640eb5614d517026dceb3fb78b2
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 14 12:00:01 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListRow] Fix circular button spacing
    
    I'm not sure what happened in GtkListRow, but at least we seemed to
    concern the outer margins to expose drop-shadows behind the raised button
    widgets, otherwise shadows unfortunately were truncated with its
    spacial limitaion of margin property...

commit 2e229a01bb74e8ec4682db4d8d6bf56443956416
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 14 10:48:22 2017 +0900

    Gtk-3.20&3.22&4.0: [Cinnamon-control-center] Update styling a bit
    
    Damned cinnamon...
    Very lack of compatibility with CSS-inspector, how devs debug CSS
    styling? :/

commit 01aae3a911f67903b24d167ee5720241ac580888
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 13 21:46:14 2017 +0900

    Revert "Gtk-3.22&4.0: [Gnome-control-center] Draw fake-trough behind the arrow-pointer in Night-Light widget"
    
    This reverts commit a93e4dd992cc347b37cde3275bff05fb09277c15.
    That was too problematic in many other GtkDialogs.

commit a93e4dd992cc347b37cde3275bff05fb09277c15
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 13 21:25:26 2017 +0900

    Gtk-3.22&4.0: [Gnome-control-center] Draw fake-trough behind the arrow-pointer in Night-Light widget
    
    That arrow-pointer and other elements are rendered by its own code-base
    (cairo?), meant that widget ignores Gtk+ colour variant at all.
    Once that widget was rendered with dark-variant, it's hard to see
    the arrow-pointer what pointed to the current position of sunlight.
    
    this is really bad hack by drawing the trough on the parent GtkBox,
    so in future, this should be dropped/replaced...

commit f9f2d8a6beca52d904d1a8428a71326ea136dcbf
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 12 17:02:33 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Align applet icons more finer again
    
    Hmm, it's really hard to get uniformity of allocation sizes...

commit 69f8b78d5c3aaa11605474f5cc0f96f2cd4f07ca
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 11 11:19:54 2017 +0900

    Gtk-3.22&4.0: Code cosmetics

commit 4aca6db51a2a889695fb6cb233a9ca24009820d2
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 11 11:10:39 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Refine GtkPopover of 'bookmarks' (2)
    
    * Fix missing frame borders when switched to 'Tags -> Favorites'.

commit dc343af2e7dc5a6b7696554dc3753c439f6f542d
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 11 10:58:43 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Refine GtkPopover of 'bookmarks'
    
    * Set proper foregrounds for normal/hover/active pseudo-classes.
    * Use circular 'cog' image-buttons.

commit ae02808c6c4a35632bf15bfa31185b8e5659f42d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 9 23:49:43 2017 +0900

    Gtk-3.20&3.22&4.0: [Cinnamon-screensaver] Remove unneeded outer borders around the 'Unlock' and 'Switch users' circular buttons

commit 35f1413aca5b45418e06becb62b9e8248da14ba9
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 9 14:45:29 2017 +0900

    Gtk-3.22: [GtkHeaderBar] Drop .toggle.popup class styling in appmenu and icon titlebuttons
    
    Today 3.22.12 was landed, so let's drop backward compat, then simplify with
    .icon and .appmenu style-classes.

commit 23170aea5ea14da14275e72611b96a9bbad4a5c3
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 9 13:54:48 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Refine budgie-menu styling
    
    * Remove side/bottom borders and padding from GtkPopover.
    * Switch to secondary_dark_color in left-pane 'categories'.

commit 48de4f0de561e70385af0a6cf7e0caecfceecc9b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 8 21:06:59 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkCheck/RadioButton] Add GtkHeaderBar specific styling
    
    Currently the case those checks/radios are placed inside the GtkHeaderBars
    is rare though...

commit bae876b98b2ec20a18f8d6d3c091433ba53a58bd
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 8 13:56:17 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkExpander] Keep colour-variant related 'textview' inside the messagedialog node
    
    This fixes the missing caret.

commit 68c9225569949de17c22b630e4dae65143585fed
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 8 08:18:49 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Fix incorrect edge borders in main toolbar's entry widget (3)
    
    Hmm, it's enough to override the border properties since other
    properties would be ignored. So let's simplify the overrides.
    
    And alpha-blended border colour can be accepted.

commit e6ac54d2d4307dd157452a44f9c5152e23e737e2
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 8 00:30:50 2017 +0900

    Gtk-3.20&3.22&4.0: [LibreOffice] Tweak 'Notebookbar' background colours
    
    This is very problematic, it may or may not affect to some other
    classic SSDs applications. I guess the case GtkNotebook was directly
    included by the parent GtkWindow might be the rare case though...

commit 55090c5097a729cdd8844923362a9c6785c3e81e
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 7 18:46:47 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Fix incorrect edge borders in main toolbar's entry widget (2)
    
    It's quite better excluding .default-decoration to prevent conflicts
    with all of ServerSideDecorations like Mutter, Metacity and more...

commit 59a104474a97845bc2b54ee8ed90894696ff1179
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 7 18:37:35 2017 +0900

    Gtk-3.20&3.22&4.0: [Chrome(ium)] Fix incorrect edge borders in main toolbar's entry widget
    
    This commit overrides our standard border-image colours. Especially
    in dark variant, border colour switches from light to dark.

commit 9bb4982f74e81625f4732de3eb92cb67f8a9a758
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 7 16:29:33 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkComboBox] Stop using transitions in popup-ed context-menus (2)
    
    Drop unneeded workarounds.

commit 92d7791a1556b3c50f08cc8a1622d9b33a8e2d52
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 7 16:22:09 2017 +0900

    Gtk-3.x/4.0: [GtkComboBox] Stop using transitions in popup-ed context-menus

commit 545d4dc74416480dfb58593a4890f53b0e6264b0
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 7 13:53:48 2017 +0900

    Gtk-3.20&3.22&4.0: [Firefox] Stop using wildcard selectors
    
    After some trials and errors, it seems to be 'button in botton' or
    'entry in entry'...

commit 7b294940e9cac82565f1e581fa0f90f77b59c661
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Apr 7 00:12:59 2017 +0900

    Gtk-3.18: [Gedit] Fix weird pane-separator inside the GtkHeaderBar

commit d772ceac169c2d84c093c6843ca3848ca623c260
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 6 23:51:47 2017 +0900

    Gtk-3.22: [GtkHeaderBar] Add unveiled '.appmenu' and '.icon' style-classes
    
    Upstream introduced new 2 classes.
    Those 2 classes are just for appmenu and icon buttons rather than
    close/minimize/maximize buttons...

commit 206c59524667727c1fb9b713082d4aa25e2d680e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 6 23:45:44 2017 +0900

    Gtk-4.0: [GtkHeaderBar] Add unveiled '.appmenu' and '.icon' style-classes (Retry)
    
    Those 2 classes are just for appmenu and icon buttons rather than
    close/minimize/maximize buttons...

commit a1c0d63c9e496069240144868922c528607f7f50
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 6 23:43:40 2017 +0900

    Revert "Gtk-4.0: [GtkHeaderBar] Add unveiled '.appmenu' and '.icon' style-classes"
    
    This reverts commit 37df70de56e92dd3513437377b1a4f8387991402.
    Oops, wrong definitions.

commit 37df70de56e92dd3513437377b1a4f8387991402
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 6 23:39:16 2017 +0900

    Gtk-4.0: [GtkHeaderBar] Add unveiled '.appmenu' and '.icon' style-classes
    
    Upstream added those 2 classes as additional class for .titlebutton.
    So let's add them...

commit 57c1199e4fc6d9d831a803fbd5296d7fc9b4b23d
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Apr 6 10:53:09 2017 +0900

    Gtk-3.20&3.22&4.0: [Gedit] Remove inset shadows in GtkHeaderBar completely

commit d4f9ed26ad14e8049a8445220ec21c86ccfd3e56
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 18:00:55 2017 +0900

    Gtk-3.x: [GtkHeaderBar] Elevate +2 to the same z-axis with Window-managers in in-line mode (2)
    
    Force keeping normal haeder-bar styling even on max'd and tiled.

commit 9c7199770dfdcfd1ba45c98efbc0c86e15bbb036
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 17:37:54 2017 +0900

    Gtk-3.x: [GtkHeaderBar] Elevate +2 to the same z-axis with Window-managers in in-line mode
    
    This removes the inset drop-shadows from in-line header-bars.

commit afb5aa19c0cd5d14075732517b4948e29f84f4a8
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 16:23:06 2017 +0900

    Metacity-1: Drop 'maximization' effect (5)
    
    Rewrite 'unmaximize' icons.

commit 0b08fdbeb1e3a03aaf78fc0b89972717ed149ccc
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 16:22:02 2017 +0900

    Metacity-1: Drop 'maximization' effect (4)
    
    Fix incorrect icon loading in 'unmaximize'.

commit 6bd7b9a770b57ab78c99f57e9b94c5f8e608e62b
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 15:58:27 2017 +0900

    Metacity-1: Drop 'maximization' effect (3)
    
    Revert to normal icons when max'd.

commit 974c156cf23fac885751a21031cf5b8ba64525e6
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 15:51:23 2017 +0900

    Metacity-1: Drop 'maximization' effect (2)
    
    Fixed typo.

commit 33f53a9eb4f1eb5307febe9dab6d6ff7bee05cf4
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 15:43:01 2017 +0900

    Metacity-1: Drop 'maximization' effect

commit c32a0c954a5c907c5cff8a7e7de49a77da011e9a
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 15:39:21 2017 +0900

    Gtk-3.18: [GtkHeaderBar] Drop 'maximization' effect

commit fcdcfbc115300bfacec6315b64cbbe47b7151113
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 15:29:04 2017 +0900

     Gtk-3.20&3.22&4.0: [GtkHeaderBar] Drop 'maximization' effect (2)

commit 4cdb9772e068605517763266faa8dd068026f650
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 14:58:23 2017 +0900

    Gtk-3.22&4.0: [GtkHeaderBar] Drop 'maximization' effect

commit dafc8afd9b6cc0a23174a6ca50446b005c0504d5
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 14:30:28 2017 +0900

    Gtk-2.0: [GtkMenuBar] Elevate +1 to the same z-axis with Window-managers

commit c3d1f89ff7e41c2009255f17ea6f7171e01e047c
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 14:21:12 2017 +0900

    Gtk-3.x: [GtkMenuBar] Elevate +1 to the same z-axis with Window-managers
    
    Design change: I don't want to do this though, in some ancient window-managers
    like XFwm4 and Openbox-3, our efforts of design will be too early to
    integrate with them. And most users do not need 'Real' Material Design, I
    now think so.
    
    So let's drop our specific design since my motivation of design totally
    run dry.

commit 8454b16afe89c50fb067227040d424622488edbe
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 12:08:55 2017 +0900

    Gtk-3.20&3.22&4.0: [Gedit] Refine popup-toggle button spacing in left pane

commit d0226ab3066896734122f35b9f0441758419b90f
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Apr 5 11:56:11 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Try to prevent unwanted shrinking vertically
    
    If GtkHeaderBar contained just text-button especially suggested-action
    and destructive-action, Adapta automatically subtructs the label spacing
    for taller font-families. So let's add one more rule to expand those
    text-buttons vertically again...

commit e034918bbc7c23472eecedd5d7b73bf46594a195
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 4 21:22:15 2017 +0900

    Gtk-3.20&3.22&4.0: [Mate-control-center] Tweak styling a bit
    
    Almost out of control, and still looks quite ugly.
    I really want to stop supporting that desktop.

commit 9b03b700aae6c1c554fedf99da4a45457002bb94
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Apr 4 17:00:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Brisk-menu] Add specific styling
    
    I think it's too early to push the master though.
    This commit enhance the issue: #387.

commit 06172c97b41e430dcdde969e48a6ef666a6369e5
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 3 21:41:09 2017 +0900

    Gnome-Shell: [ToggleSwitch] Convert to scalable em unit
    
    When we've decreased text-scaling-factor under 1.0, sometimes those
    switches might look a bit bigger. So let's scale them like Gtk+ theming.

commit 076755207c2d175b48d3660057c00d77ef41f8cf
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 3 16:42:27 2017 +0900

    Gnome-Shell: [MessageListPlaceholder] Dim icons/labels
    
    Those contents are just as place-holder...

commit 2911ec85e7e1e5d6329e528f7ebafb60df474699
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 3 16:17:16 2017 +0900

    Gnome-Shell: [OverviewIcon] Re-define fill_colours and transitions

commit 4960ae248818b71e840a1e0de29e2a459cef9a12
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 3 13:16:14 2017 +0900

    Gtk-3.22&4.0: [Gnome-control-center] Fix double density border at the bottom of carousel-container (2)
    
    Add more additional style-classes for safety in future. I'm nor sure
    whether devs're going to enhance those widgets in many places or not,
    but at least we should define the proper orientation classes at this time.

commit 56568c02dfea7003ad9d3ea60af8abe786c4e1cd
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Apr 3 12:55:42 2017 +0900

    Gtk-3.22&4.0: [Gnome-control-center] Fix double density border at the bottom of carousel-container
    
    Unveiled 'carousel' widgets are overwrapping 1px as bottom border, but in Adapta
    we use alpha-blended borders, so let's hide one of them...

commit 202f3817e1593627de30d5157a6aa0b780177144
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 2 20:00:12 2017 +0900

    Gtk-3.22&4.0: [Gnome-recipes] Fix some more incorrect theming
    
    * Fix truncated tile's drop-shadows more.
    * Fix weird left-pane sidebar in Cuisines -> Categolies.

commit a1821358ada9538154dcd5cbb6399b16491e1b34
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Apr 2 11:44:23 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-flashback] Draw actual background for close-button of gf-bubble
    
    Upstream calls gtk_image_new_from_icon_name with 'window-close'
    instead of 'window-close-symbolic', means icon foreground depends
    on selected icon-theme's png image colour. So we need to draw
    actual background on normal pseudo-class as well, at least this
    introduced missing-icon with beloved Paper icon-theme.

commit b819c03345bacc2bc74d9bda5cb160135e39e588
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 1 22:35:23 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkComboBox] Clean-up whole codes
    
    * Drop unused border-radius properties completely.
    * Clean-up linked button section.
    * Drop unused left-overs.
    * Add workaround for damned LibreOffice specific linke-button styling.

commit 957e872123473b63bb45262a271dbc8c39162191
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 1 18:59:53 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkComboBox] Drop unnused styling

commit ecc27a2e8b9f4dc808b187410d358418f9c2d6e2
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 1 11:45:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Corebird] Dim quoted '.dim-label' class, too

commit 1f2b3de8bca5b4c2cf441706cb2e0ccaee3d89b3
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 1 10:08:12 2017 +0900

    README.md: Add notes for unsupported elementaryOS
    
    In any cases, there's no plan to support that distribution.

commit 3781df7d85d50e116ecee5dd49618d7596619319
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 1 10:00:46 2017 +0900

    README.md: Simplify required minimum versions

commit c76872d6a6700b28ca5d91e9caf42e172c8a08d7
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 1 09:03:25 2017 +0900

    Configure.ac: Bump version to 3.90.0

commit 2153db1ecc6aed29558c639889e940cc8215f897
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Apr 1 09:01:03 2017 +0900

    README.md: Embed '[Settings]' section header into code sample
    
    Might it be more useful?

commit 214f92c57456af975c8ee3981c8f8809f7d9639c
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 19:07:10 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Add slight padding at bottom of notification-rows

commit 0135650aef0c269f8798e584545c820cdb8ffccb
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 18:57:50 2017 +0900

    README.md: Fix typo
    
    [settings] -> [Settings]

commit 1571d67d3c3aedc7effcb370c677b38ea1602d32
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 18:52:38 2017 +0900

    Gnome-Shell: [LoginDialog] Update gdm-greeter styling
    
    Lots of changes landed...

commit c16b6cc4dc234182d4e93024cad1adbdb4f0a00b
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 15:28:07 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [GtkTooltip] Use corner-roundness only for CSDs
    
    Otherwise solid black artifacts are appeared on each corners.

commit a8c8d71ac8392ae3fc431b1e2067e7357acfd2da
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 14:36:33 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 9d440ba24804876b3957eb34829258edb1e49924
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 13:05:53 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Re-design notification-list in Raven (2)
    
    Hmm, icon adjustments via margins are not needed in pixmap coloured icons...

commit 229ff972000fef0769affd484532d2f292d1d00f
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 12:34:17 2017 +0900

    Gtk-3.22&4.0: [Nautilus] Remove unused 'zero-padding'

commit 5daec6871e00fd413f9662ccc3295cd8bbf10836
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 11:27:21 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Re-design notification-list in Raven
    
    Recently I've changed that list in Geary, so let's fork the similar
    selected-row appearance...

commit 81c72c48b59a46ffdb0b298b8fb217bf0ba582b8
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 03:55:28 2017 +0900

    Gtk-3.20&3.22: [Firefox] Enforce 'fallback-mode' buttons/entries inside the HTML pages (3)
    
    It seems OK on ver. 52.x, too...

commit e395768ea5f29a9d84a0bd65cf9d6885bc81d4b4
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 03:48:10 2017 +0900

    Gtk-3.20&3.22: [Firefox] Enforce 'fallback-mode' buttons/entries inside the HTML pages (2)
    
    Improve ver. 50.x as well.

commit 9c93b4bfd725a194d88e6b85e62beeb644ed680a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 31 03:21:26 2017 +0900

    Gtk-3.20&3.22&4.0: [Firefox] Enforce 'fallback-mode' buttons/entries inside the HTML pages
    
    This is the very experimental trial to employ solid button/entry widgets
    inside the HTML pages rendered by Gecko engines. In ver. 53.0 or higher,
    Firefox completely ignores outset box-shadow property of buttons, so we
    can not render any widget-edges around the buttons. On the other hands,
    sometimes transparent background of entries caused missing foreground in
    some background-colours in pages specific.
    
    So let's try to enforce drawing solid widgets for them like Webkit2Gtk.
    
    But unfortunately this commit may or may not introduce some side-effects
    outside the Gecko...

commit a1de68f2474cf8a255f11e9c399234f1172459ca
Merge: 0b10e992 60efb467
Author: Tista <tista.gma500@gmail.com>
Date:   Thu Mar 30 20:58:59 2017 +0900

    Merge pull request #382 from GabMus/patch-1
    
    added double newline after h3 title

commit 60efb46705c66229c4d26ce8787bef1effdf35d5
Author: Gabriele Musco <emaildigabry@gmail.com>
Date:   Thu Mar 30 13:03:08 2017 +0200

    added double newline after h3 title

commit 0b10e99217fe9acd42454dd254552c8c2092aed7
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 29 18:09:50 2017 +0900

    Gtk-3.20&3.22&4.0: [MySQL-workbench] Refine 'Home' icon spacing

commit d3ca141a09b768a069b281d45a860b9ad1c5c782
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 29 13:43:40 2017 +0900

    Gtk-3.18&3.20: [Lightdm-gtk-greeter] Improve more finer indentations between button.combo and entry (2)
    
    Hmm, Gtk+ 3.18 does not need specific lateral padding in GtkEntry...

commit 9357919a51b77d49ec20478075468446a078104e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 29 13:38:47 2017 +0900

    Gtk-3.18&3.20: [Lightdm-gtk-greeter] Improve more finer indentations between button.combo and entry

commit cf8b3913872c19a5c03f31c9202948f0d14172f9
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 29 13:30:30 2017 +0900

    Gtk-3.22&4.0: [Lightdm-gtk-greeter] Improve more finer indentations between button.combo and entry

commit 0c0951692df9bd784dc8eb19fe9e3265e9b29fd2
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 29 12:34:16 2017 +0900

    Gtk-3.20: [Gnome-builder] Fix some minor issues in 'greeter' stack
    
    * Enforce 700 weight fonts in 'Select a Project' label.
    * Revive the fake drop-shadow.

commit 9e4221cab78a26a3b50d029bd8e2dd46023eac71
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 29 11:12:25 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-builder] Polish some separator nodes
    
    * Vertical-separators should be expanded vertically inside the layouttab.
    * Define multi-columned editor view's vertical pane-separators.
    * Fix double density border colours in layouttab when multi-columned
      (splitted-window) editor view was activated.
    * Pane-separator between multi-columns seems a bit bold though.

commit c7d1bb2e73339e1638b6376f20657f0cb25fdef8
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 28 16:27:58 2017 +0900

    Gtk-3.20: [Geary] Backport recent changes from 3.22/4.0

commit 444cc08077a730b11bb062451929b3ba555dc1bc
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 28 16:24:50 2017 +0900

    Gtk-3.20: [GtkTreeView] Backport recent changes from 3.22/4.0

commit 4e4f979eb9d24247b2b2e3ca0d9c3cccd653dc8c
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 28 13:14:37 2017 +0900

    Gtk-3.22&4.0: [Gnome-recipes] Fix some minor issues
    
    * Fix circular roundness in text-button in actionbar node.
    * Change 'heading' label colour to selection-colour like Gnome-calendar.
    * Fix unwanted 'shadow truncation' of flowbox-childs by adding
      bottom margins.

commit 32eb841cffbd6bc2e0b2f5915c018a960a301df1
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 28 12:41:44 2017 +0900

    Gtk-3.22&4.0: [Geary] Update sidebar styling
    
    Use Material Design's 'selection' appearances more and more...

commit 0bbddf4ed5286c1aa7e286389b9ee15cbbc8f2d7
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 28 11:44:55 2017 +0900

    Gtk-3.22&4.0: [GtkTreeView] Update styling
    
    * Apply modern selected-items to some more apps's side-pane.
    * Clean-up selectors.

commit a8fc6b4408cc872ec5d479d245efc5bc47ed5d91
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 27 11:24:26 2017 +0900

    Gtk-3.20&3.22&4.0: [Mate-panel] Fix unwanted enlargement vertically
    
    This commit fixes the issue partially: #381.

commit 8fefba3475cb2abe2720bc6274ac1dd23ed01681
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 27 11:15:43 2017 +0900

    Gtk-3.18&3.2&3.22&4.0: [Gnome-panel] Fix unwanted enlargement vertically
    
    The paddig of menuitem node/style-class caused that issue, so let's
    clean-up vertical padding parameters...

commit d7b9c08baea1cc8f4db2e6c93c8c4e2367c2978d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 25 19:48:51 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Employ adaptive label adjustment for clock-applet
    
    By using the combo 'scaled negative margin + fixed padding', the label
    of clock might be aligned vertically more finer especially if we've
    applied very tiny fonts like 8pt on low-resolution LCDs...

commit 350c167b7f0338d169236936fb8c9397cd4f9d69
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 24 10:51:45 2017 +0900

    Gtk-3.22&4.0: [GtkFlowBoxChild] Add some gap between contents and check images in selection-mode
    
    Move check images to the inside of contents totally.

commit 2dd07981385c198b807d6333df292ec0106a8b05
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 24 10:24:56 2017 +0900

    Gtk-3.22&4.0: [GtkFlowBoxChild] Re-implement '.tile' styling
    
    Refactor almost everything...

commit c45ef42e6e267f1bbaa369e62dbfdb5a98569bc8
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 24 09:23:42 2017 +0900

    Revert "Revert "Gtk-3.22&4.0: [GtkFlowBox] Add new '.tile' style-class styling""
    
    This reverts commit 3b9609d061c1d524b96d5594404d1590d691fa46.
    Restart .tile style implementation...

commit b842a36752c90ee0bdc0a95e71887e77a6712abf
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 23 18:19:06 2017 +0900

    Gnome-Shell: [CalendarToday] Make 'Today' more vivid
    
    Fork the recent Gnome-calendar style 'Today' highlight. For me,
    this looked too vivid, but in daylight use, or some situations would
    need such highlight, I suppose so...

commit 43da289025807bf8842d894b625136244bee589a
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 23 17:52:37 2017 +0900

    Gnome-Shell: [DatemenuTodayButton] Re-define foregrounds when hovered/activated
    
    That button is the standard flat button, so let's define our default
    foreground setting for some pseudo-classes...

commit c69bde4cec95e4fd82f09d3c3b1b190c4f9ce138
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 23 17:25:53 2017 +0900

    Gtk-3.22&4.0: [Gome-builder] Drop outdated workaround and styling
    
    Do clean-up...

commit 262a7142d25a6825594512465d24ef46043b1f22
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 23 16:15:11 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Fix foregrounds on new 'entry.starred' style-classes (2)
    
    Change 'star' icon colour if bookmarked in SSD's.

commit b048501d63a883dcbd1a51256a23d1957430e4dc
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 23 15:51:22 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Fix foregrounds on new 'entry.starred' style-classes
    
    This does happen only in SSD's.
    This commit fixes the invalid issue: #380.

commit 8bfd2b63d7f0c50b6accd65265b9e1968f144a2a
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 22 22:37:53 2017 +0900

    Gtk-3.20: [Gnome-builder] Update 'perspective switcher' styling

commit 06053cad1f1ca95292cc250d0f31ccd8084a5183
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 22 15:44:01 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSwitch] Add specificity bump for pixmap based switches
    
    Ugghh, the previous commit caused unwanted jumping switches when switches were off.
    This fixes the previous commit: f77f50b

commit f77f50b1e2894e888cf5f89409de6d915aec89f4
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 22 15:05:39 2017 +0900

    Gtk-3.22&4.0: [Gnome-tweak-tool] Wordaround for weird switch node in .tweak-titlebar-right
    
    In 3.24 release, it draws GtkSwitch in GtkHeaderBar, but its switch
    completely ignores our geometries in common headerbar styling. At least
    this does not happen in Gnome-control-center. So use pixmap based switches
    instead...
    
    Sometimes Python apps are the fantasy for me.

commit f55f1f6ae5fa4e5bc161ddfa3400de130f3ca12f
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 22 10:51:28 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSwitch] Compute more accurate outer margin in GtkHeaderBar

commit 75dd1a0d40c2b49fce6ad87ed42c3f8db6670546
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 22 08:50:46 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-Tweak-tool] Update styling
    
    * Stop drawing any effects on hovered/activated in basic row node
      in right-pane.
    * Refine vertical spacing in row node.
    * Tweak 'titles' foregrounds and add proper indentations between
      titles and contents.

commit da7aa7f6b8e295e811375e3dca297a8311bc38fe
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 21 08:10:57 2017 +0900

    Configure.ac: Code cosmetics (2)
    
    Apply more GNOME-ish AC-INIT styling.

commit 548fc90163ffcc60a90b6db719fa95a51d29d7ad
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 21 07:45:50 2017 +0900

    Configure.ac: Code cosmetics

commit ab0bf1e7895d28d7e5836916bf12ae4756db12d8
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 20 21:37:23 2017 +0900

    Gnome-Shell: [MessageIconBin] Align icons vertically more finer
    
    Padding of 'Close' button inside the .message affected that alignment,
    so let's subtruct their padding from IconBin and MediaCoverIcon...

commit 10bde40cabe95e2f3cef52776bf909074cc64ddf
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 20 20:39:06 2017 +0900

    Gtk-3.18: [GtkTreeView] Backport recent changes from 3.22/4.0 (2)

commit 122774d1d35a3afea55dead8d20d744f925ba4cd
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 20 20:16:05 2017 +0900

    Gtk-3.22&4.0: Drop unneeded overrides as ancient workarounds
    
    In 3.19.x cycle, I've added those overrides for weird separator colours,
    but currently stable 3.20.x or higher does not need them anymore.

commit 8f9ae694a71a472bdb40296005a600e32b4e5f63
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 20 20:10:57 2017 +0900

    Gtk-3.20: Drop unneeded overrides as ancient workarounds
    
    In 3.19.x cycle, I've added those overrides for weird separator colours,
    but currently stable 3.20.x does not need them anymore.

commit 276b9316ebd45ebe93c0c7651e63f3a98f3a4996
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 20 20:08:24 2017 +0900

    Gtk-3.18&3.20: [GtkTreeView] Backport recent changes from 3.22/4.0

commit cb8b4b2891f0c7b3f9a2288db5a06bfdfa70e5cc
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 20 19:51:37 2017 +0900

    Gtk-3.22&4.0: [GtkTreeView] Update styling
    
    * Stop drawing grid-line seprators globaly.
    * Switch header background-color from base_color to bg_color.
    * Drop some unneeded properties applied as workarounds in past.

commit 510e6453564aee6d00c22ba85205efc2790a56fa
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 14:02:20 2017 +0900

    Gnome-Shell: Code cosmetics

commit 4d02d35a4bd2af65441810a2fcce53ae98eca5cc
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 13:48:54 2017 +0900

    Gnome-Shell: [Message] Add overrides for -title/-content foregrounds against stock gresource
    
    This may fix the issue: #377.

commit fabe7cc87b8edcda0a3e43ce3821046866cc5101
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 11:41:28 2017 +0900

    Gtk-3.20: [Budgie-desktop] Backport recent changes from 3.22/4.0

commit 4d19504749f65ef23206c6fd6954ba46ec7f6cd6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 11:12:50 2017 +0900

    Gnome-Shell: [Message] Use osd/popup specific foregrounds more and more
    
    I don't think .event-time was embedded into osd windows though,
    but it would be safe especially for light variants...

commit ee9bb52c207a748a789ee053d090d3ed4d077eff
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 10:45:49 2017 +0900

    Gnome-Shell: [MediaMessageCoverIcon] Set more specific fore/backgrounds for 'fallback' mode icon
    
    * Revert to elevation-0 material (rest).
    * Define :hover/:active specific colours.

commit 019ac8652a65b3231eee0d6562940e9a008d11cb
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 10:29:58 2017 +0900

    Gnome-Shell: [MessageIconBin] Add :hover/:active specific foregrounds
    
    Currently Adapta tries to render symbolic icons for those, so let's
    highlighten when message was hovered/pressed...

commit e5de9244014e66cd429dab037f756ed63f8f2e55
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 09:16:29 2017 +0900

    Gnome-Shell: [Message] Set fore/backgrounds in both osd/popup for safety

commit 89f0d27a09573285cebdac74b5a496881dd52b91
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 08:37:47 2017 +0900

    Gtk-3.22&4.0: [Budige-desktop] Try to align end-region icons more finer spacing
    
    We know NaTray is too hard to tweak the spacing parameters, so let's try optimizing
    the other widget icon's spacing to fit to damned NaTray's spacing.
    [Side effect]
     * This causes unwated wider end-region, in some low-res LCDs might need to drop some
       'spacer' applets if added. But it's nicer if symbolic-icons in end-region
       could be aligned properly without any fixed-width spacer applets...

commit 8fe944484730c72b63839467897a5ce0ec0a29ea
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 19 07:29:38 2017 +0900

    Gnome-Shell: [MediaMessageCoverIcon] Use Album-art specific icon size (3)
    
    Hmm, 'fallback' mode icon needs re-override the parent icon-size
    once again...

commit 35b1cb786a1e2cbe7148de79fc6e756eb8ed572b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 15:18:11 2017 +0900

    Gnome-Shell: [StScrollView] Disable all 'undershoot' effect by default
    
    In Gtk+ 3.x theming, we've already dropped those undershoots,
    in Gnome-Shell theming, Adapta does not use any adaptive overlay-scrollbars.
    So once StScrollView were enabled, we can recognize the total height of
    scrolled-window by seeing the sliders and troughs of StScrollBar.

commit 1d90fb2121c5f78937f477d1029f8fe25d5871e9
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 14:57:36 2017 +0900

    Gnome-Shell: [MediaMessageCoverIcon] Use Album-art specific icon size (2)
    
    * Enlarge Album-art size to 36px from 32px (Eta variant).
    * Use same bottom margin in all variants.
      - 36px images will be already enough taller than the height of
      the combo 'artist' + 'track-title', so let's set the same margin
      at top/bottom...

commit c4d7ca15b5251df7119ed0730359103b9c14604a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 14:39:11 2017 +0900

    Gnome-Shell: [MediaMessageCoverIcon] Use Album-art specific icon size
    
    * Stop being based on .message-icon-bin > StIcon size.
    * Set variant specific Album-art size.
    * Tweak the bottom spacing for symmetrical vertical padding of images.
    * Finally We can use lots of generic 16px symbolic icons in .message-icon-bin
      without any side-effects related to cover-icon style-class...

commit 1d5b8e8dd801198baa7b3910c9337b352b215571
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 11:15:44 2017 +0900

    Gtk-3.22&4.0: Code cosmetics (2)
    
    Simplify more...

commit 323f9b893c3e7552f47089827fe255ddfc96c457
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 11:09:26 2017 +0900

    Gtk-3.20: [Gnome-builder] Update some styling (2)
    
    Simplify more...

commit 0b892695fb8e9d65c5a9e8402a745b2920e17e63
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 11:04:53 2017 +0900

    Gtk-3.22&4.0: Code cosmetics
    
    Forwardport the changes from 3.20.

commit 2d0d1725052961ddb426649e23005b99af68b6a1
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 10:58:11 2017 +0900

    Gtk-3.20: [Gnome-builder] Update some styling
    
    * Backport recent changes from 3.22/4.0 theming.
    * Clean up some codes.
    * Update selectors for proper styling.

commit 02c1cfbf42d754a76185c5299dfd0b2138dbcee7
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 18 06:02:37 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPlacesSidebar] Refine spacing properties
    
    * Stop embedding global padding into row node container.
    * Add image/label specific padding for finer base-line alignments.
    * Tweak 'eject' button spacing again for preventing unwanted
      enlargement vertically in row node of removable media.

commit f7d99de7b5544f7c83a700020d7c4c6c761e6528
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 17 17:25:30 2017 +0900

    Gtk-4.0: Convert remained 'gtk-gradient' propertly to radial-gradient
    
    'gtk-gradient' property is now deprecated.

commit b1512b80a6798feb7618587ef60f512a4c00fa94
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 17 17:19:02 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPopover] Update border styling

commit 9b981196eba91079bd78f443617040e078bb9bb5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 17 11:29:37 2017 +0900

    Gtk-3.20: [MySQL-Workbench] Backport recent changes from 3.22/4.0

commit ba7ae6aae7d85fb788ca777889e333bc2012e486
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 17 10:02:42 2017 +0900

    Gtk-3.22&4.0: [MySQL-workbench] Add specific styling for 6.3.9
    
    The combo Cross-plaform + Gtkmm always makes troubles... :/
    This commit may or may not fix the issue: #375.

commit 34f60e79a8e283c18c61375a6297211cb1d6bb1d
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 17 07:23:17 2017 +0900

    Gnome-Shell: [ApplicationsMenuExtension] Refine right-pane styling
    
    Framed right-pane was too heavy.

commit ec399370c06bf5f86ea706395918af33a494d467
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 16:55:22 2017 +0900

    Gtk-3.20: Fix copy&paste error

commit 4f52938ee0fe8285434e7d9ec1776942384a528a
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 16:32:40 2017 +0900

    Gtk-2.0: [SexySpellEntry] Revive workaround for HexChat
    
    I'm not quite sure this could make sense...

commit bbf2f05bb8b1b8fa0faaf8fa0eddf0cb6a411c9e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 16:22:56 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: Code cosmetics

commit 24a98fdbd7a8fae928cce256a7fcc5987601ea81
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 15:39:17 2017 +0900

    Gtk-2.0: [WnckTaskListButton] Enforce regular weight label
    
    Because of lxpanel's limitation, enforce regular weight in xfce4-panel
    as well (Gtk+ 3.x wnck-tasklist has already been tweaked).

commit faf07b36a87d02a5c13a990cc75e558ea2c392bf
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 15:20:21 2017 +0900

    Gtk-2.0: [XfdesktopIconView] Refine label shadows
    
    * Use same elevation on both rest/raised.
    * Use more sharper/narrower shadow spread and colour.

commit cd5abdd3360de6284d232632ea65175ed039fb27
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 12:15:58 2017 +0900

    Gtk-3.20&3.22&4.0: [Lightdm-gtk-greeter] More finer indentation between button.combo and entry

commit 2a46d6819e1d629990259688c05ef7ed582c3704
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 11:55:07 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-clocks] Fix weird spacing/shape in headerbar
    
    * Stop using unneeded spacing parameters from weird radio node
      inside the stack-switcher.
    * Tweak selection-menu button.

commit 13d68271183f832686950b2d08be9ac87e606004
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 10:03:19 2017 +0900

    Gtk-3.20: Code cosmetics

commit ace8e160bf1587ea901d03640c2408325fee864b
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 16 10:00:59 2017 +0900

    Gtk-3.22&4.0: Code cosmetics

commit 890e6e5a5b0f666bc36dd93c4270c060750ce5c1
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 15 16:02:32 2017 +0900

    Gtk-3.18: [XFce4-panel] Add overrides for stock css_providers
    
    That panel has some css_providers inside those codes to fallback/override
    the user themes, so we need to re-override again (not tested yet)...

commit 27d4de5c80c78c55516a3a107dfee5831de9ff8c
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 15 15:56:55 2017 +0900

    Gtk-3.20&3.22&4.0: [XFce4-panel] Add overrides for stock css_providers
    
    That panel has some css_providers inside those codes to fallback/override
    the user themes, so we need to re-override again (not tested yet)...

commit 6766a6b0441ae15027b135e99698ad0ad939d416
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 15 11:05:03 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkActionBar] Enforce square outlines for linked-popup buttons

commit e13717835db2836b732e36f7a4e417ad70256e59
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 15 10:49:03 2017 +0900

    Cinnamon: [PopupMenu] Switch background colour from 'bg_color' to 'secondary_base_color'
    
    Backport the recent changes in Gnome-Shell theming...

commit 115b126cf73730a79dfe58ccd482ff7b43da0c08
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 15 10:07:38 2017 +0900

    Cinnamon: [PopupMenu] Tone down the default foregrounds

commit 3c03c0a15f8e99f49b1dff1caca75531f30c0c75
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 15 10:01:58 2017 +0900

    Gnome-Shell: [PopupMenu] Update styling
    
    * Switch background colour to 'secondary_base_color' from 'bg_color'.
    * Add vertical pane-separator between messages and calendar.

commit cd14d304dc5f03d2c39339b7d8cecdae67b93145
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 23:53:35 2017 +0900

    Gnome-Shell: [DateMenuDisplays] Add spacing between displays

commit f8884a074e9fbf707a7f02771a4b446910c2fb63
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 23:21:23 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkEntry] 'Fallback-mode' entries should be used in .linked as well
    
    LibreOffice 5.3.1-beta needs that .linked entry node inside the
    combobox node, crazy... :/

commit c734d9de3d4e918ac9ccdfe5500f1a08b160de05
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 19:50:17 2017 +0900

    Gtk-3.22&4.0: [Gnome-builder] Add OmniBar styling
    
    This commit fixes the issue: #371.

commit f7e855bbf7ec64a556e30404bb62ccc5ac9dda9b
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 15:03:01 2017 +0900

    Gtk-2.0: [GtkMenu] Use 'secondary_base_color' for context-menus

commit 0b5bcb35d7522c6e73c71a12d5e39f09d7591be3
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 13:28:33 2017 +0900

    Gnome-Shell: [PadOsdWindow] Apply cascading structure for child style-class
    
    It's enough to be included by the parent pad-osd-window style-class...

commit d565ad47e4082a6032380f241017141f92ef8601
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 12:54:29 2017 +0900

    Configure.ac: Bump version to 3.89.5

commit f540f214026beb597b16c6c65d576c094a157459
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 09:24:27 2017 +0900

    Gnome-Shell: [PadOsdWindow] Imprement PadOsdWindow specific CSS

commit ef0efa776121dbd6e4bcbc544ced97e9087efb73
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 08:26:55 2017 +0900

    Gnome-Shell: [PadOsdWindow] Follow upstream changes
    
    * Added 2 new style-classes:
      - .pad-osd-title-box
      - .pad-osd-title-menu-box

commit 3c2b8ede554d176a0890aa250c3790d89e1df906
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 06:27:04 2017 +0900

    Gtk-3.18: [Synapse] Add workaround for weird 'GtkWidget:selected' row
    
    Is that app really maintained perperly? :(
    Tell me which Gtk+ theme could render that weird GtkWidget without
    workarounds...
    
    This commit fixes the issue: #370.

commit 75de90a66a6a467cbb022ea1bf9d08d2f20ffe8b
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 14 06:00:20 2017 +0900

    Gtk-3.20&3.22&4.0: [Synapse] Add workaround for weird 'widget:selected' row
    
    Is that app really maintained perperly? :(
    The node name 'widget' + ':selected' pseudo-class acts like almost
    unknown styling in standard Gtk+ themes. Upstream issue...

commit ac38a6132de8372cbd1e2b58925627a098f0a51e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 13 10:57:05 2017 +0900

    Telegram: [lightButton] Stop using alpha-blended fill colours
    
    Ton of Telegram's limitations, switch to pre-blended solid colours...
    Damned very low technologies. :/

commit 277bad9c5a748bbb562a03dba36627a94cc536f7
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 13 10:07:24 2017 +0900

    Telegram: Rebase colors.tdesktop-theme with latest upstream default.tdesktop-theme

commit 27d71b1e1da66f3993f5e8d9b4898ae5ef000933
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 12 17:13:03 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [GtkHeaderBar] Avoid backdrop effect on inline-headerbar mode

commit 778633821f95c3347c68ac7e380ff0a38f10e06e
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 11 13:41:45 2017 +0900

    Gtk-3.20: [Gnome-music] Backport recent changes from 3.22/4.0

commit 6c9a93d1d36881df54438f24cc25204d9cdec5a7
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 11 12:27:37 2017 +0900

    Gtk-3.22&4.0: [Gnome-music] Clean up codes
    
    * Drop non-working and outdated codes.
    * Move GtkActionBar styling to common section.

commit 1972c34f098eec8894d4ed9815ebeca6d22de915
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 11 10:45:46 2017 +0900

    Gtk-3.22&4.0: [XFce4-panel] Drop outdated styling

commit 7ccea82821a5fdea6248271c803b2ac4b36b870b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 11 08:45:53 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics
    
    Move the fix for Remmina's headerbar roundness to common section.

commit 6d0b963674a68b8bd8ff02c3028aa1a2699dd8df
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 11 08:28:29 2017 +0900

    Gtk-3.20&3.22&4.0: [Remmina] Fix crazy headerbar appearance
    
    This commit fixes the issue: #367.

commit c041f047f5b0a775ce0d6862481d89ed543be60d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 11 07:09:12 2017 +0900

    Gnome-Shell: [MessageIconBin] Switch to margin from padding for finer alignment

commit a624b269ac662a9fa39f12c63073f909c5e174dd
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 20:56:00 2017 +0900

    Gtk-3.22&4.0: [GtkSpinButton] Eta variant specific negative margins for button node
    
    This may improve the similar height of spinbutton node compared with
    entry node...

commit 0623be2790ef5376754eb9dfb9ac927bbac69a9f
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 19:52:15 2017 +0900

    Gtk-3.22&4.0: [Gnome-flashback] Refine button styling in candidate-popups

commit 6af5562e5982990b1004c04f4b78937466b11fc1
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 14:24:23 2017 +0900

    Gtk-3.22&4.0: [Gnome-calendar] Polish 'Year-view' sidebar styling (2)
    
    Inset borders seem too vivid, let's remove...

commit c6b8876e4f2a0f965080beb8a518237bd29d1bdb
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 13:41:59 2017 +0900

    Gtk-3.22&4.0: [Gnome-calendar] Polish 'Year-view' sidebar styling
    
    In Gnome-Calendar, those .sidebar classes are shown at right-pane,
    so let's add specific styling for them...

commit 27f71169fb56efb176a5829fe40ae93a64cdb2fd
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 03:44:22 2017 +0900

    Gtk-3.20&3.22&4.0: [Rhythmbox] Update toolbar styling for alternative-toolbar
    
    Damned rhythmbox...
    
    * Stop using inset drop-shadows.
    * Extend negative margins in the parent frame node as well.

commit c76f33564c6b0448cdc327f7216355f57004c0e9
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 03:07:26 2017 +0900

    Gtk-2.0: [Xchat] Add input-box workaround
    
    I'm not quite sure this made sense...

commit e8b49d2fa85f757c91fea4b891bc50460cbff4de
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 02:54:46 2017 +0900

    Gtk-3.22&4.0: [Polari] Update styling
    
    * Drop outdated (carzy) separator hack in GtkHeaderBar.
    * Add bottom-paned entry area backgrounds by using inline-toolbar styling.

commit a37eb419576c2dd7a7485716dcd476701b292f35
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 10 02:41:46 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Fix incorrect roundness definitions in boxed headerbars

commit 0c7e8bfaa8999c66126ace5ef110245cc95394c6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 15:05:50 2017 +0900

    Telegram: [FilterInput] Dim search entry backgrounds in insensitive state

commit 3f054429fc0759f36490df38e519c8a35228535b
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 14:09:04 2017 +0900

    Gtk-3.x: [GtkScrolledWindow] Unset transitions from 'overshoot'

commit e7001bf9aa6ca3cdae7155291cc8dfebf0b41bf3
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 10:54:55 2017 +0900

    Gtk-3.22&4.0: [Gnome-panel] Enforce transparent backgrounds in all of child elements
    
    In 3.22 or higher, gnome-panel seems OK to render child widgets
    without any solid backgrounds. So let's unset the solid background colour
    from child elements...

commit 1797ede7cd665c922f04588b6c9b82467d18f9d8
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 10:26:59 2017 +0900

    Gtk-3.20&3.22&4.0: [Corebird] Dim labels only inside the 'quotes'
    
    Dimming image node seems over-dimmed...

commit 46b50870e6bf128df511c8ddfa4b943922e25d13
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 10:16:31 2017 +0900

    Gnome-Shell: [PopupMenu] Tone down some foreground colours
    
    Those headers and buttons are clickable widgets, so should be
    dimmed while staying under normal (rest) state.

commit 980a9188b1249205314f9b082f21374b861d79cb
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 10:06:58 2017 +0900

    Gnome-Shell: [MessageSecondaryBin] Refine styling
    
    * Change foreground colour when the parent .message was hovered/activated.
    * Set more finer and adaptive bottom padding for .event-time class.

commit 07da044de1979a1fdbf2b1243929b9719c01ee70
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 08:40:32 2017 +0900

    Gnome-Shell: [Message] Fix weird vertically alignment of '.event-time' class
    
    * Add bottom padding same with .title class.

commit 5bbf3ed651d68d48116ec8d337fc5ee290284b73
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 9 08:29:56 2017 +0900

    Gnome-Shell: [MessageList] Update 'Clear all' button styling

commit 76a4c6b0195fc801ddcbf35c2f460f061021f8ee
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 8 04:56:31 2017 +0900

    Gtk-2.0: [GtkRange] Add outer spacing for Qt-Gtk+ backends
    
    Qt-Gtk+ backends had 'truncated slider' issue, so add ugly outer
    spacing to GtkRange itself...

commit 814235793f21285f8ccba6fa27ad42a99bf7d87b
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 7 17:10:50 2017 +0900

    Gtk-3.20&3.22&4.0: [Gedit] Get more uniformity of tab 'height'
    
    This commit can set the almost same height of tab node with Nautilus,
    Epiphany and some other 'reorderable-tabs' apps...

commit 9c291ce44e832414527514230139da91523b1c08
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 7 16:47:56 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [Budgie-desktop] Enforce OSD-style buttons in budgie-osd windows
    
    That osd windows has the specific style-class '.budgie-osd' already,
    but GtkButtonBox buttons are contained in '.drop-shadow' parent widget...

commit 0f2bebf151213770e1f6b58bbe5c6a466deb17bf
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 7 05:21:19 2017 +0900

    Gtk-3.20&3.22&4.0: [Epiphany] Add some workaround for 'incognito-mode' headerbar
    
    That GtkHeaderBar contains almost hard-coded widget styling by Ephy's
    stylesheet, but we need to tweak the foreground colours at least.

commit 2aebfba54f7f403f49741cadda13c78f1d5f8e80
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Mar 7 04:02:03 2017 +0900

    Gtk-3.22&4.0: [GtkTooltip] Add tooltip specific 'keycap' backgrounds
    
    In Gnome-Builder 3.23.91, it embeds keycaps in GtkTooltip as shortcuts,
    so let's follow the upstream changes...

commit 0af3209cdc3a64142739e076e75d615d7891589a
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 17:48:13 2017 +0900

    Gtk-3.x: Add comments to _colors-public.scss

commit a4fb1c5bb62edc8a824766018379d9b3c0676ae1
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 17:42:52 2017 +0900

    Revert "Gtk-3.18&3.20&3.22&4.0: Drop unneeded colour exporting"
    
    This reverts commit 8e612ecc0b7ef1e6804df56a0ef490c75a529fd7.
    
    It's better re-exporting those colours again...
    2nd shot for the issue: #362.

commit cd96810c9ae87d39fa50936afe653540f5e6d426
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 17:41:23 2017 +0900

    Revert "Metacity-1: Add forgotten changes"
    
    This reverts commit c4b31f2a1aeabc8c55ae7129408e4e76610f2de0.
    Hmm. this can not be the fix...

commit c4b31f2a1aeabc8c55ae7129408e4e76610f2de0
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 17:13:07 2017 +0900

    Metacity-1: Add forgotten changes
    
    After the commit 8e612ec, I've forgotten to push this to master...
    This commit fixes the issue: #362.

commit baaf1d948beb353c17ba59170872fda1eed5c1a4
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 11:32:38 2017 +0900

    Revert "Gtk-3.22&4.0: [GtkFrame] Follow upstream changes"
    
    This reverts commit 5583ad041937e3fa3c40fc02492eb7da0a531ecc.
    Ugghh, upstream reverted:
      https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-22&id=31832f86484430c7ef5759e0427ffb2f8509d4d7

commit 7d53756cd25b45891176d0230320d4671f522bf0
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 11:22:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Rhythmbox] Update button spacing in primary-toolbar
    
    Damned rhythmbox...

commit 08ce1ff3270d6116e17c746292ccbab9648bfa49
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 10:46:37 2017 +0900

    Gtk-3.20&3.22&4.0: [Rhythmbox] Draw underline indicator on 'edit'/'browse' buttons when checked (2)

commit 3d9334f80d9fe503092df1bdb776ed002f3df268
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 07:07:15 2017 +0900

    Gtk-3.20&3.22&4.0: [Rhythmbox] Draw underline indicator on 'edit'/'browse' buttons when checked

commit f291e7daa0707f9e2b4ace07f921c11683e8ef9a
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 01:31:45 2017 +0900

    Gtk-3.18: [Gedit] Fix some minor issues
    
    * Stop rounding the button place in left-paned GtkHeaderBar.
    * Optimize foreground colours of MenuStackSwitcher button.
    * Stop using circular shape of 'up' button in FileBrowserWidget.

commit d0d899d3d00f061712605d4ef5924493eddac902
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 01:10:56 2017 +0900

    Gtk-3.18: [GtkListRow] Optimize GtkEntry spacing
    
    Do not overhang the height of GtkButton...

commit 5a3f0ba49d7c06c8c0ab392174ef0d18c7164541
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Mar 6 00:59:39 2017 +0900

    Gtk-3.18: [GtkTreeView] Backport recent changes from 3.2x (2)
    
    For indentation of GtkLabel, 1px borders are needed...

commit 63999c6af7894e942f2cde675fec6ca6fa411a92
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 5 23:27:14 2017 +0900

    Gtk-3.18: [GtkTreeView] Backport recent changes from 3.2x

commit a756c55bd9550abacb426e1e3a6d8b3fda30f270
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 5 23:16:23 2017 +0900

    Gtk-3.20&3.22*4.0: [GtkTreeView] Fix weird entry node appearances
    
    * Add some more spacing.
    * Enforce background colours via background-image property.

commit 7ea3e1ac4cc89eec4b6f1f35fe35883d6366ee8c
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 5 09:33:23 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [XFce4-panel] Enforce regular weight fonts in popup-menus
    
    I don't think it might be needed, but for safety...

commit 8b017176416465ed0d64ae348faca44d23370cfb
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Mar 5 05:44:11 2017 +0900

    Gtk-3.20: [GtkFlowBoxChild] Update geometries
    
    * Add outer margins.
    * Increase inner padding.

commit 31de468f85f565c28e1a3037817246a766c7df9e
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 4 19:36:07 2017 +0900

    Gtk-2.0: [GtkMenuItem] Revive menuitem specific check/radio images (2)
    
    Employ new images in rc files.

commit 0b9b4a02ae9eb1090552ca2228914b4ba634e335
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 4 19:20:31 2017 +0900

    Gtk-2.0: [GtkMenuItem] Revive menuitem specific check/radio images
    
    * Allocation size: 16px x 16px.
    * Add 2px transparent gap area around the actual images.
    * 75% scaled (12px) images might be rendered without acculate radius though,
      but it seemed 'not so bad' at least...

commit 0327b201576059335cc34da50cc9682e1f3bd97d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 4 08:19:40 2017 +0900

    Gtk-3.20&3.22&4.0: [Corebird] Dim 'quotes' inside the tweet node
    
    It might be better dimming that GtkGrid 'in-line quotes'...

commit 71ae68db5f9bad4ed6c4573405ff4c9c2ee4851d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 4 03:36:29 2017 +0900

    Gnome-Shell: [ApplicationsMenuExtension] Add specific styling (2)
    
    It seems better adding orientation specific inner padding.

commit 498d05e0dea54f9957ad69b7c6221a33107206c4
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 4 03:31:03 2017 +0900

    Gnome-Shell: [ApplicationsMenuExtension] Add specific styling

commit 49cf97995659bc0ebbb01de3c2e6ad9de520eb8b
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Mar 4 01:20:49 2017 +0900

    Gtk-3.20: [LibreOffice] Drop unneeded workaround
    
    That workaround was included in fallback-mode button styling already.

commit 148ba5ad044156d408d445c4bb7c2fded491d58a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 23:33:46 2017 +0900

    Gtk-2.0: [GtkTreeView] Define odd/even row background 'stripes' correctly
    
    I personally dislike those stripes though, but someone might still depend
    on them...

commit bfaa430d606baf71304fbd2331a56d0d468c3187
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 22:52:31 2017 +0900

    Gnome-Shell: [StScrollBar] Update colour blending for trough/slider
    
    Follow the method of Gtk+ theming.

commit 117e83ae4aa780bbc65994d21312f8c462a8c63d
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 15:23:14 2017 +0900

    Gtk-3.20: Backport 'fallback mode' widget styling from 3.22 (2)

commit 5e114951d3e6ad46c843609141514e9ce5765567
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 14:40:49 2017 +0900

    Gtk-3.20: Drop outdated style-classses '.button' and '.entry' from global section (2)
    
    Fix side-effect of previous commit.

commit 88da891d4a8d564fc13c987b4ac791bada0899bc
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 14:31:35 2017 +0900

    Gtk-3.20: Drop outdated style-classses '.button' and '.entry' from global section
    
    We don't have to carry those style-class in global section now.

commit 3b9609d061c1d524b96d5594404d1590d691fa46
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 13:24:38 2017 +0900

    Revert "Gtk-3.22&4.0: [GtkFlowBox] Add new '.tile' style-class styling"
    
    This reverts commit da06e687d72dac2c06b2bd15f822b3a1d51dd64b.
    It's too early to push to master...

commit f4dfcea9bf83d1649ae7fa0585e2aa15ad2c7b6e
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 13:21:25 2017 +0900

    Revert "Gtk-3.22&4.0: [GtkCheckButton] Update selectors for newer 'selection-mode' checks"
    
    This reverts commit 5222aab04d0240aefa937ca5fd273e3e9fc4352a.

commit da06e687d72dac2c06b2bd15f822b3a1d51dd64b
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 12:34:25 2017 +0900

    Gtk-3.22&4.0: [GtkFlowBox] Add new '.tile' style-class styling

commit 5222aab04d0240aefa937ca5fd273e3e9fc4352a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 12:26:17 2017 +0900

    Gtk-3.22&4.0: [GtkCheckButton] Update selectors for newer 'selection-mode' checks

commit b81aa81c1b0b0f7e58498ad5dc7837b9dcc122c5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 11:45:32 2017 +0900

    Gtk-3.20: [GtkNotebook] Backport recent change in close buttons from 3.22/4.0
    
    Hmm, that change seems suitable in 3.20 as well...

commit 2f6780f9bff10400a5a973a2a59ae87919191344
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 11:38:59 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkColorSwatch] Remove roundness around the colorswatch node (2)

commit 0d45627b1f9666f67f5ef71c393a8e635b08e03c
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 11:23:10 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkColorSwatch] Remove roundness around the colorswatch node

commit ca47a754c2081b77a0f851b73b26d23a2a285fab
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 11:09:29 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkColorSwatch] Switch to node name completely
    
    Stop using widget-name.

commit 4de8cf181adcf2566c0fb68a66a1a64e5ac7790a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 10:50:22 2017 +0900

    Gnome-Shell: [MailNagExtension] Drop specific styling
    
    Those are ignored anyway, so let's drop meaningless styling.

commit d5854542eb3e823f3bf7681e509166e4b4b1439b
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 10:29:53 2017 +0900

    README.md: Update TODO
    
    Almost finished telegram 1.0 basic theming, I hope...

commit 7899a886c15ae263c0802de80b06267beb9ab03f
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 10:21:16 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 4a4a58747c228187d745811119480e982c6b5ed4
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 09:35:47 2017 +0900

    Gtk-3.20: Backport 'fallback mode' widget styling from 3.22

commit 23a8ccc25cf808620f4f4757833a07568d306099
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 07:32:40 2017 +0900

    Gnome-Shell: [MessageMediaControl] Add new ':insensitive' pseudo-class for back/forward buttons (2)
    
    Use accent-colour specific insensitive foreground colour for media-controls.

commit 70b5b40fe9047f20a2ba3212a0099b5ddc1ce001
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 06:56:32 2017 +0900

    Gnome-Shell: [MessageList] Revert to 32px 'album-cover' image
    
    16px images are still suitable for symbolic icons though.

commit 234cca3e3a419cb7c3669393206bf74039fa250a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 06:48:32 2017 +0900

    Gnome-Shell: [Message] Do not set height/min-height for .message style-class
    
    That caused unwanted shrinking vertically if lots of messages are contained
    in scrolled-view mode...
    
    This commit fixes the issue: #361.

commit b5d2e7436e37545d345a86df6eeb2c0c03ed2e87
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 06:36:18 2017 +0900

    Gnome-Shell: [MessageMediaControl] Add new ':insensitive' pseudo-class for back/forward buttons

commit ea93154a6b9caa8ef359be3ec17a505d81d63401
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 06:30:55 2017 +0900

    Gnome-Shell: [MessageList] Update some styling to follow the upstream changes
    
    * Enforce using symbolic icons for MessageIconBin.
    * Add new '.event-time' style-class.

commit e5b42e20c02816b7f5e26d02fcf0b5647d6bccbf
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 06:21:16 2017 +0900

    Gnome-Shell: [MessageListSection] Add new '.event-section-title' styling
    
    That style-class should be the replacement of '.message-list-section-title',
    but anyway we need to keep backward compat. for 3.22 or lower versions...

commit 450e916c0a5189c58efbe7954bf790e1aa06a91a
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 06:16:53 2017 +0900

    Gnome-Shell: [MessageList] Add new 'Clear All' button styling

commit bd9edb824c12d0248c03d87c6801c37567099570
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Mar 3 06:09:57 2017 +0900

    Gnome-Shell: [WeatherClient] Add new WeatherClient style-classes

commit 75a22d9ca59dd12a2e2339a220e11fcd71e7692a
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 2 10:28:26 2017 +0900

    Gtk-3.18: [Budgie-desktop] Backport recent changes from 3.2x

commit acc73290fdee0bd30ecb2bb380bb01183951dd24
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Mar 2 10:13:49 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Set 'opacity' property only for image node
    
    It's better excluding border properties when dimming via opacity.

commit 5583ad041937e3fa3c40fc02492eb7da0a531ecc
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 1 13:47:00 2017 +0900

    Gtk-3.22&4.0: [GtkFrame] Follow upstream changes
    
    Should connect '.flat' style-class to frame node directly.

commit 046e284e5e3e5da22148f0981e8d5cacba8cbd04
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 1 04:45:50 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Enforce 'linked' button-array styling in dialogs
    
    Don't know Why devs ignored '.linked' GtkBox parent container... :(

commit 450ecbdc00ced6d3a5224deec88b0ed4a7604ff4
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 1 04:36:30 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Drop the hack for action-buttons in GtkDialog
    
    That hack affected some other dialogs as well, so dropped.

commit 085e65abf2cb66db7f7d064f4c0ecd332ab7f350
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 1 04:09:21 2017 +0900

    Gtk-3.22&4.0: [Nautilus] Follow upstream changes
    
    Nautilus 3.23/24 currently uses GtkFlowBox for icon-view, so let's
    implement those styling as experimental (not tested yet...).

commit 892144daffa28ec313f0ccf1de638e8ab2a206db
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 1 04:01:57 2017 +0900

    Gtk-3.22&4.0: [GtkFlowBoxChild] Update geometries
    
    * Add outer margins.
    * Increase inner padding.

commit 38c830c52696e777035792cd2f627060802671a5
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Mar 1 00:10:03 2017 +0900

    Gtk-3.22&4.0: [Gnome-builder] Update button styling in 'layouttab' node
    
    * Switch to non-scaling unit in button and separator node's margins.
    * Rename the selector 'button:last-child' to 'button.close'.
    * Add specificity bump for '.popup.toggle' style-class.

commit ac856a8e3e23441ad0919fd49265992cb9b67396
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 28 17:15:36 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListRow] Add vertical margins to circular buttons
    
    Some box-ed parent containers sometimes expanded vertically...

commit d8bc2b773ee0218f7260c05ccea353874e68f438
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 28 16:32:36 2017 +0900

    Gtk-3.22&4.0: [GtkAssistant] Drop headerbar specific button styling
    
    Hmm, those should be defined by apps-side instead...

commit 7761623b692193db6d5e8ec634cc2f8c6c725db1
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 27 21:32:19 2017 +0900

    Gtk-2.0: Code cosmetics
    
    Use upper-case chars in colour definitions.

commit e15cfdbe2de5017e97d9f978ad1e20218f375c50
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 27 21:22:35 2017 +0900

    Gtk-2.0: [GtkFrame] Respect application frame shadow preference
    
    Upstream issue: https://bugzilla.gnome.org/show_bug.cgi?id=770359

commit 315335a0c4539c1321bd00b7f80ff6ab2276ca1e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 27 00:34:08 2017 +0900

    Gtk-3.22&4.0: [Nautilus] Drop outdated widget-name styling
    
    That "widget-name" are completely outdated in Gtk-3.22/4.0, and
    trash-bar is moved to 'revealer > infobar' already.

commit 2d3ee452762798aab7346668edb7f39cb63a4760
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 27 00:29:02 2017 +0900

    Gtk-4.0: Code cosmetics
    
    Drop unneeded left-overs.

commit 98618f711239087c1a9598155cc83fc93371435d
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 27 00:11:43 2017 +0900

    Gtk-3.22: Code cosmetics
    
    Drop unneeded left-overs.

commit 75c9c97fe168f53c613777e925176eb1605fea03
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 25 08:31:20 2017 +0900

    Gtk-3.20&3.22&4.0: [Epiphany] Update selectors for .flating-bar style-class

commit 0bb5549f25d17d44f6663d6c505a074f4f8d2d23
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 25 07:55:01 2017 +0900

    Gtk-3.22&4.0: [GtkNotebook] Do not pull 'fallback mode' entry styling

commit 694775fa5dd396525a972b109242cc964bff356c
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 25 07:49:09 2017 +0900

    Gtk-3.22&4.0: [GtkNotebook] Refactor 'tab-close-button' styling (2)
    
    * Stop specificity bump for child image node.
    * Define foreground colours more smarter.

commit 1393668dcc4cbd0add3a27bc56b2da25a1e80497
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 25 07:33:00 2017 +0900

    Gtk-3.22&4.0: [GtkNotebook] Refactor 'tab-close-button' styling
    
    * In Gtk+ 3.22.8 or higher, those buttons are embedded as '.flat'
    style-class already, so stop including flat-style.
    
    * Set foreground colours more precisely with .flat style-class.

commit c01020c2da0db0c9f62ecf71675067b85509db07
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 25 07:12:19 2017 +0900

    Gtk-3.22&4.0: [GtkActionBar] Update flat-button definitions
    
    * Enforce flat styling to text-buttons as well.
    * Code cosmetics.

commit ef9520e929603dfbd2563a3c4f7b42a44d884813
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 24 22:11:07 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkBox] Make 'floating-bar' style-class global
    
    That style-class sometimes was used in Webkit2 in-line windows as well,
    So let's set the styling as global at root.

commit cc390c65b3567f9a51529060af1d0b462caa228f
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 24 05:50:06 2017 +0900

    Gtk-3.22&4.0: [GtkSpinButton] Fix side-effect of previous commit
    
    Unset most of porperties in entry node.

commit f84c23adb01418bda1f5b5cd67c4b1fc3b639f10
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 24 05:19:04 2017 +0900

    Gtk-3.22&4.0: Add 'fallback-mode' widget styling for non-native Gtk+ backends
    
    This commit is the big change in some non-native apps, like damned
    LibreOffice and Webkit2Gtk. This brings 'Gtk+ 2' like flat elements
    in GtkButton, GtkEntry and GtkComboBox.
    
    * Removed any drop-shadows from buttons, combos and entries.
    * Draw solid thin borders around those widgets.
    * Add hover/active state background colours like Gtk+ 2 theming.
    
    So those widgets are rendered as 'non-elevation' elements though,
    but anyway this commit is really useless on native Gtk+ 3 apps and
    mozilla's apps...

commit 2fef6033e27a3b66f9760629f75cabaa2a08f3a4
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 24 01:34:46 2017 +0900

    Gtk-3.22&4.0: [Firefox] Update radio-button's image name
    
    I've forgotten to commit this change...

commit 37fa70c32b1acfc7e88140c22397468460eca751
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 23 22:05:26 2017 +0900

    Telegram: [Contacts] Stop using alpha-blended hovered backgrounds
    
    This commit will fix the issue: #359.

commit 351b4b210ffbeea031f430a36cfcd1f40c69892a
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 23 21:48:13 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkFileChooserDialog] Enforce square shape in 'Cancel'/'Open' button
    
    Some weird apps calls that dialog with rounded buttons.

commit fa512e34b9c0d230eaea5eb1e65de87c5b05acd8
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 22 23:58:41 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkEntry] Enlarge the gap between labels and images
    
    Both left/right side of image node would be better having the same
    spacing inside the entry node...

commit bfb251664067f4f604365b182ccdb2c91e9900a5
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 22 05:58:07 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkTextView] Add ':selected' style-class Fedora specific patch for Firefox (2)
    
    The 2nd shot for #347 and #357.

commit 590c25a7972b1ff4108fbfb06638331dec37802e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 22 05:50:28 2017 +0900

    Revert "Gtk-3.20&3.22&4.0: [GtkTextView] Add unknown 'view' node for Fedora specific patch for Firefox"
    
    This reverts commit bd8c6fa99e1c13fbd9b0b734a40a20324c107d73.
    'textview text:selected` was correct?

commit bd8c6fa99e1c13fbd9b0b734a40a20324c107d73
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 22 05:36:09 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkTextView] Add unknown 'view' node for Fedora specific patch for Firefox
    
    This commit tries to fix the issue: #347 and #357.

commit d6e08f7ba1ae17272f409a844069d012b4e257d6
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 22 05:14:01 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkComboBox] Update some styling
    
    * Use more precise selector for context-menu popups.
    * Stop using transition for :checked pseudo-class of button.combo node.

commit 8e612ecc0b7ef1e6804df56a0ef490c75a529fd7
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 21 05:26:24 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: Drop unneeded colour exporting

commit ee479b6c915112ae90b232861b98636516103afe
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 21 04:35:45 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-contacts] Enforce 500 weight fonts in side-panel's GtkListRow

commit 344b7200b7cf87b2c557e68e39ea2acb8197218b
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 20 22:19:38 2017 +0900

    Gnome-Shell: Code cosmetics

commit 58d98ef76fb58a17ee9337e8abbc56df9fb682a0
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 20 22:11:45 2017 +0900

    Gnome-Shell: [StScrollBar] Stop variant-sensitive trough background in global section (2)
    
    Simplified by using common osd_fg_color.

commit 01b5b25fde65a415a1b8208461335e2272a132af
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 20 22:05:24 2017 +0900

    Gnome-Shell: [StScrollBar] Stop variant-sensitive trough background in global section
    
    In most cases, troughs are placed in OSD-like widgets...

commit 19cc3a1a1c854775ef0356582ad818f0cc3dd177
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 06:42:42 2017 +0900

    Gnome-Shell: [PopupMenu] Use variant-sensitive scrollbar's slider
    
    In some extensions, those scrollbars are needed...

commit 7287df36373c3a9a2e6fed47da6da7abe30e7e10
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 05:45:44 2017 +0900

    Gnome-Shell: [CalendarDayBase] Add short durations for day-base

commit d3df19249a87ec054b20cf916f414555ba03d105
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 05:27:24 2017 +0900

    Gnome-Shell: [NmDialog] Update styling
    
    * Refine header section to be more modern.
    * Reduce frame-border width to 1px standard.
    * Drop unneeded property in .nm-dialog-item.

commit 845b61b4ff20a2193ea0297d5f77ac1fd0c2b48a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 04:35:56 2017 +0900

    Gnome-Shell: Re-define transitions for 3.23.x (3)
    
    Misc widgets...

commit f150b075127deaa3c257ebdacf44b3bc8b8117f9
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 04:18:15 2017 +0900

    Gnome-Shell: Re-define transitions for 3.23.x (2)
    
    Looking-glass, too...

commit 587d6cf8e1e419e8a431add88d92fd5bf7f9d04e
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 04:00:44 2017 +0900

    Gnome-Shell: Re-define transitions for 3.23.x
    
    In 3.23.90 or higher, most of widgets can apply transitions, so
    let's re-define to get the well balance with rendering speed and
    response...

commit 0ba59b874830e92f960fe4bf84c0c48d1b9cb9a1
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 01:02:15 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkFileChooserDialog] Drop workaround for .default styling
    
    That workaround was for Evince, but it also causes unwanted raised materials
    in 'Cancel' button because .default style-class can be moved to 'Cancel'
    button once button_press_event was triggered in 'Cancel' button...

commit 6fa526afdada7dc16c4e4d73df9a82e770e7c7fa
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 00:30:19 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Update title-button sizes
    
    Apply the same way to compute padding like other circular buttons.

commit 542a259f3b52cd798f6861c4ab765fca3ce97658
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 19 00:08:07 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [Budgie-desktop] Use more vivid colour in notification 'bell'

commit 86e6993ba3d2b7b88e993866cad96d2d2f5a1475
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 18 00:19:11 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-todo] Remove roundness from colorswatch completely
    
    That roundness caused artifacts on each corners of colorswatch node.

commit 0f8a394a5159b0d84e6f34245f8d911606bbac81
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 14:15:27 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListRow] Add remained changes in transition-durations

commit 36b5bb3032d3e218ce62ee25000cfaa47cc6eb5e
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 14:01:32 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkMenuBar] Revert commit: 5c85e28

commit 7d4c12a00e8f789e1bb87ab0a45c20e7a2987057
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 13:11:52 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkSpinButton] Use .up/.down style-class in horizontal layout as well

commit fe2f66b5e9301d14bf10be9d5ab3b0738c392356
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 12:59:36 2017 +0900

    Gtk-3.22&4.0: [GtkFlowBoxChild] Enforce 'selection-mode-check' icons for customed selection-mode 3.23.x (2)
    
    Fix missing specific icons in R-to-L locales.

commit 7da7c42c2042586226df2bef9bbb467af13b4455
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 12:54:10 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Fix unwanted displacement of title-buttons in R-to-L locales

commit 2014632eab999a397d1fae7d9fbcc123023726c5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 08:08:09 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Revert to symmetrical margins for .title/.subtitle (2)
    
    Ugghh, it might be better adding negative margins only for .subtitle...

commit e53865825795a31646139a09d7cbebce18f8dfa5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 07:45:49 2017 +0900

    Chrome(ium): Polish after merge
    
    75% fg-color & bg-color...

commit 1bfe89bd39c337f7ec43f69f266c4d6900032285
Merge: 81a76166 ad6368dc
Author: Tista <tista.gma500@gmail.com>
Date:   Fri Feb 17 07:41:55 2017 +0900

    Merge pull request #354 from tadfisher/chrome-nokto-fix-buttons
    
    Chrome: Fix button visibility in Nokto theme

commit 81a761669397d1acaba6bcd8b0eb2b770c7eb584
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 06:36:20 2017 +0900

    Gtk-3.22&4.0: [GtkFlowBoxChild] Enforce 'selection-mode-check' icons for customed selection-mode 3.23.x
    
    Currently Gnome-Photos seems to employ its own selection-mode as well,
    So the rule was changed...

commit ad6368dca4d7aac41e87428fd6b90d5f20510792
Author: Tad Fisher <tad@simple.com>
Date:   Thu Feb 16 13:19:53 2017 -0800

    Chrome: Fix button visibility in Nokto theme

commit 53819b56528314fbde75eab21e199404c397b195
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 17 05:26:58 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Revert to symmetrical margins for .title/.subtitle
    
    Hmm, asymmetrical margins brought unwanted shifting of titles...

commit cf2162404994361818911a4ea1f4eca57938cdab
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 16 22:53:48 2017 +0900

    Gtk-3.22&34.0: [Epiphany] Enforce action-area buttons in 'Preferences' -> 'Language'
    
    Raised vertical button array looks too heavy...

commit 0b0a4763d1e5f26c969e3cd5edf654605a028eb0
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 16 22:37:09 2017 +0900

    Gtk-3.22&4.0: [Gnome-music] Update styling for 3.23.x
    
    * Add vertical spacing for flowboxchild node in AlbumWidget.
    * Drop outdated workaround.

commit d48927d2a5d2ec6c892a75097566e038f9ee0387
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 16 19:33:28 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkListRow] Update ripple-effect animations

commit a3304eb0be33912ca6e18baef7ebd61b917099de
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 16 00:45:52 2017 +0900

    Gtk-3.22&4.0: [Gnome-control-center] Update styling for 3.23.x

commit c001ac0cfc11ddeeeb753572f80e42da543e9205
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 15 22:53:54 2017 +0900

    Gtk-3.20&3.22&4.0: [Corebird] Try improving rendering performance for GtkList
    
    It would reduce some lagging while scrolling in case users run it
    on poor-performance machines...

commit 6cd96de334e69a7bd9bd17dda98ab2bb011d5999
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 15 22:12:15 2017 +0900

    Gtk-3.22&4.0: [Gnome-mpv] Drop workaround for scale node
    
    Upstream (ver.0.11) seemed to change those scales to 'without' marks style,
    so let's drop workaround.

commit e04bcfdeef3b3f177ffbd3042a7f5fb122ba0b64
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 14 19:49:57 2017 +0900

    Telegram: [History] Stop dimming normal text colours

commit f3beb1da266a4dd1df1e2fa6682bc1197045e116
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 14 18:56:34 2017 +0900

    Telegram: Fix attentionButton background colour (2)
    
    Oops, wrong colour-names...

commit b0c284f5c633783da9fa61a9c96390c993f6a78f
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 14 18:51:25 2017 +0900

    Telegram: Fix attentionButton background colour
    
    Hmm, it's better using flat button styling with alpha-blended
    fill colours...

commit 9cc7d4314d6829ad13ea7a477243c117c419a0f0
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 14 14:23:20 2017 +0900

    Gtk-3.20&3.22&4.0: [Electron] Add GtkWindow node name for theming
    
    '.popup' style-class is used in many places...

commit a9e200e3525c1ed734a6c4229224bbf5864788a1
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Feb 14 13:56:11 2017 +0900

    Configure.ac: Bump version to 3.89.4

commit b63e0f80e7973236b27c441d70c1d4597228d4aa
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 13 21:25:37 2017 +0900

    README.md: Code cosmetics

commit 147adfa069e9e1eea99b4000fa756918ee6f7886
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 12 21:03:45 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit c6ef0e89fa7f677d5f2da6adaef1be146ad56d7f
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 12 19:53:51 2017 +0900

    Gtk-3.20&3.22&4.0: [Network-manager-gnome] Add special case for context-menu of nm-applet
    
    Nm-applet uses weird GtkBox contained "separator + label + separator"
    instead of using label.separator style-class...

commit d390c8160f86386f2360f501502982a125599846
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 12 18:53:32 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkPrintDialog] Switch to variant-sensitive paper node

commit 3b678a6b9029e232958a417538846723108d7866
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 10 13:05:52 2017 +0900

    Gtk-3.18: [Budgie-desktop] Backport recent changes from 3.2x
    
    * Insert slight lateral padding into the label in ClockApplet.

commit d59e20f1697e01befb7e5f103dc8a916c287e5fe
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 10 13:03:40 2017 +0900

    Gtk-3.18: [Budgie-desktop] Update wnck tasklist styling
    
    I've completely forgotten updating that styling, sorry...

commit c1f58283d29e11a161cb376674f5f185d316dbb2
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 10 12:46:13 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Update wnck tasklist styling
    
    I've completely forgotten updating that styling, sorry...
    
    * Use proper node-ID for buttons.
    * Set orientation specific underline-indicators.
    * Refine alpha values for focused/unfocused tasks.

commit 5ac3440fc8def344d625ce8487f877d0e8143303
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 9 23:18:09 2017 +0900

    Gtk-3.22&4.0: [Epiphany] Add standard borders to viewport in 'bookmarks' popover

commit 96c3d352d2aeadbe56ed431abd022bad2d9c5d97
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 9 22:45:22 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkNotebook] Stop enforcing circular buttons outside the tabs
    
    The allocation sizes of those buttons strongly depend on the
    size-grouping of the parent header node. If vertically expanded,
    we can not draw the perfect circular buttons anymore...

commit d63dbb4ca48b0675910ef6f5a0d151718c3204fc
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 9 22:11:26 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkNotebook] Add underline-indicators for toggled buttons
    
    * The 'down-arrow' buttons for popups.
    * Fix incorrect allocation/radius in upcomming Ephy 3.23.x.
      - 3.23.x, 'Open a new tab' button is moved to notebook header node
      from headerbar node...

commit 7c26bde8d33540e0c29b58c7f2ab44328ee6bfa3
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 9 19:19:31 2017 +0900

    Gtk-3.20&3.22&4.0: [Geary] Polish 'floating-bar-like' bottom labels (2)
    
    Hmm, WebKitGtk renders them with its own rules, so do not override
    those backgrounds. Revert to classical bordered flat-element styling...

commit c0e4cde59ec000d14780c924dec411f2cc09cfde
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 9 19:09:05 2017 +0900

    Gtk-3.20&3.22&4.0: [Geary] Polish 'floating-bar-like' bottom labels
    
    Let's mimic our floating-bar styling for that label nodes.

commit 46e08e526ad9eba7954ab29541697c23fbcd54e9
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Feb 9 00:21:17 2017 +0900

    Makefile.am: [Wm] Clean up the installation for Metacity-1

commit 665ad5aa03ce6a81b27734dae5a5a0fabbf3ec7c
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 8 19:59:09 2017 +0900

    Gtk-3.18: Refactor GtkButton styling (4)
    
    Fix incorrect background-colours in stand-alone image buttons in
    documents and eog...

commit 53881a20452755f20a22c7af6247bf3bdf310ccd
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 8 19:46:55 2017 +0900

    Gtk-3.18: Refactor GtkButton styling (3)
    
    When underline-indicators are drawn in :checked pseudo-class,
    stop filling backgrounds...

commit cbfce49ec3ebcdc7f1f3cdb0bd35c7814fb3b140
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 8 19:42:21 2017 +0900

    Gtk-3.18: Refactor GtkButton styling (2)
    
    Fix typo in pseudo-class definitions.

commit f3457f672b34001542c5903e533d98b3d0efb137
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 8 19:33:25 2017 +0900

    Gtk-3.18: Refactor GtkButton styling
    
    * Reduce generated CSS sizes.
    * Drop unneeded properties.
    * Code cosmetics.

commit bcda1828426dca09a5a91832a96b5bb06df528cd
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 8 17:46:12 2017 +0900

    Gtk-3.22&4.0: [Gnome-calculator] Follow upstream changes in 3.23.x
    
    In 3.23.x, upstream introduced a specific style-class for GtkGrid.
    So let's follow those changes...

commit bac67c681ffbc7cbf951f8412936f55accb1fb23
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 8 02:06:50 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-calendar] Fix some minor issues in GtkDialog
    
    * Fix truncaled drop-shadows beneath raised buttons in 'time' setting.
    * Optimize title/subtitle label spacing in GtkHeaderBar.

commit 595247bee7b210c98d18e6adfd4119cd0e9ba500
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 6 05:33:15 2017 +0900

    Autogen.sh: Disable telegram 1.0 theming support by default

commit 951a702dd1b1b733199799606becdf66b87f6b5c
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 6 05:32:24 2017 +0900

    Configure.ac: Check devel-packages/versions via pkg-config (2)

commit 26dd953d0b7e2a145eb2a4d3a9a84a2de74108b6
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Feb 6 05:17:52 2017 +0900

    Configure.ac: Check devel-packages/versions via pkg-config

commit e28a6cc7ccf8a37002be449380511af9207d765a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 5 03:36:50 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkToolBar] Fill button background in ':active' pseudo-class
    
    LibreOffice 5.3.x brings nightmare. In every releases they blow
    our efforts. And 5.2.x's '.libreoffice-toolbar' class was outdated
    in 5.3.x...
    
    "Modern design was landed in 5.3", it was a joke for me.

commit 50992c3a4418e39b3ea50f61df387242b82cc1ad
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 5 03:10:46 2017 +0900

    Gtk-3.20: Code cosmetics

commit f2b08e73004f65b21323d2a596ac47b4c8d3377a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Feb 5 02:39:23 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Increase the height of run-dialog entry

commit 808d89322b34d6b4af280d6efbc4b05df811f36e
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 4 18:14:02 2017 +0900

    Gtk-2.0: [GtkCheck/Radio] Drop menuitem specific radio/check icons

commit d76c3794b2011df8bb44eeeb241d5b58ffe2ea0c
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 4 17:43:39 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [GtkCheck/Radio] Drop menuitem specific check/radio icons (2)

commit 27f0625efffa7eb65f48b23209fe8cde8e68d401
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 4 17:34:06 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [GtkCheck/Radio] Drop menuitem specific check/radio icons

commit 57b8419fcae727efd22e3c27a8409108026f8481
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Feb 4 13:30:22 2017 +0900

    Gnome-Shell: [Legacy-tray] Clean up styling
    
    * Use style-class for StButton.
    * Drop workarounds for StButton.
    
    This fixes the issue: #205 (gnome-shell 3.18.x only).

commit a9e9343b7fc6bd12d0b09c18b082b394ac129c8e
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 3 23:22:53 2017 +0900

    Gtk-3.20&3.22&4.0: [Epiphany] Stop dimming list node inside the 'downloading' popover
    
    Those lists have the same elevation with the parent GtkPopover,
    So let's stop dimming list node...

commit ecc195b1c315d35c6e30b6c448ded63e40981ead
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 3 23:01:47 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Remove base-line padding from clock-applet

commit 887bdd60d01e7b0856813bfdad80f79221630ded
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 3 22:32:28 2017 +0900

    Gtk-3.20: [Gnome-builder] Backport recent changes from 3.22

commit a48e32549c6048c271d21158822768a075107ca5
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 3 20:40:13 2017 +0900

    Gtk-3.22&4.0: [Gnome-builder] Use vertically gradient pane-separator for layout node
    
    In gnome-builder, we use the 'fake-shadow' to draw the drop-shadows
    beneath a GtkHeaderBar. If so, we need to re-composite those pane-separators
    with alpha-blended gradients because fake-shadows are always placed/limited
    by 1px real borders of layout node...

commit 5bd7e1a762b7f6a2e17223808f9db3159e96a078
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Feb 3 18:02:08 2017 +0900

    Gtk-3.22&4.0: [Gnome-builder] Fix missing selected-row background in left/right treeview node
    
    This fixes the issue: #348.

commit dd75ce929ea425d4a267a38b54ab5b773e9f91af
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 1 19:06:56 2017 +0900

    Gtk-2.0: [XFwm4] Fix typo in tabwin foreground colours

commit acc1bfa1644952cf19d4bddb0f307e3d221722ea
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 1 18:49:10 2017 +0900

    Recolor-gtk2.sh: Add support for 'accent-color' re-colouring

commit 530652dd42c2e3dda9221ea9336b452dcb20d787
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Feb 1 18:38:44 2017 +0900

    Gtk-2.0: [XFwm4] Move 'accent-color' to global color-scheme

commit f01e5a5d4e7e72bcb368bc883b83c48d3ed72c02
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 31 00:22:55 2017 +0900

    Gtk-2.0: [Chrome(ium)] Use 'solid-white' color for troughs of scrollbar

commit fdafe8cf48c0c609b86da18dd4cdcce68751927f
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 31 00:17:22 2017 +0900

    Gtk-2.0: [GtkSideBar] Add 'secondary-dark-color' for sidebar widgets

commit 42508523ad5cf1f5d4095d653aa2f3c4150246c7
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 31 00:09:35 2017 +0900

    Gtk-2.0: [XFce4] Move 'panel-bg-color' definition to global color-scheme

commit 626f3b816aacf040689504ab0a3c7967da11dde4
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 31 00:04:28 2017 +0900

    Gtk-2.0: [Chrome(ium)] Move 'scrollbar-slider-color' definition to global color-scheme

commit 73d67d951bff3f700fad52e1737acd0e58c5912e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 30 23:58:08 2017 +0900

    Gtk-2.0: [GtkWidget] Move 'inverted_color' definition to global color-scheme

commit c148051fe7258db8f776c891711a352f4ce69539
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 30 23:45:23 2017 +0900

    Gtk-2.0: [GtkWidget] Move 'link_color' definition to global color-shceme

commit f159a2148ecec718f3886dfccac22fccead2559f
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 30 19:14:05 2017 +0900

    Gtk-2.0: [GimpSpinScale] Clean up unneeded styling
    
    * Drop unneeded image entries.
    * Drop ltr/rtl directions in spinbuttons.

commit 995e4f3565e84dc076ca73ad4d81772a89ed9f7d
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 29 22:17:56 2017 +0900

    Gtk-3.20&3.22&4.0: [Corebird] Revive transitions for image-buttons in GtkPopover
    
    It's OK to revive transitions...

commit 35f88dc92fb0e9dae06f9b8473df1cce7f6bfbb6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 29 22:05:51 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-maps] Fix huge allocation sizes for some spinners

commit ddd7360ca4359e639005040c59f53cdf142c52ca
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 29 21:49:00 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-weather] Set size-limits for 128px allocated spinner

commit 524f30710e103362e3302f67a911e5c768a7ad12
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 29 21:13:02 2017 +0900

    Configure.ac: Update wording for results of AC
    
    GtkSourceView/Gedit colour-scheme is 'always' installed by default.

commit c4e44f6abb299c00d513ae9cfc645afac5fd5e32
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 29 20:15:05 2017 +0900

    Cinnamon: [PopupMenu] Add meaningless gradient properties for separators
    
    The lack of those properties caused ton of useless St-Warning, crazy...

commit a239a3016190ba5122505205a992b59a6efa609a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 28 01:39:07 2017 +0900

    Gtk-3.20&3.22&4.0: [Geary] Reset font-weight in 'ConversationListView'

commit 84b1190ca629bf3a31fa4d1e7ccdd46985fe6315
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 27 22:28:24 2017 +0900

    Gtk-3.20: [Evince] Backport 'plugin-mode' styling from 3.22

commit e2b0e468aa0432bca9679b9f2a6219b8fdefe2c0
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 27 22:23:04 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Enlarge 'categories' spacing vertically in budgie-menu

commit 496467524a6030b1aaa2900faa4dda75f32c65fa
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 27 22:15:26 2017 +0900

    Gtk-3.20: [Firebox] Backport recent changes from 3.22

commit 31266564ca84479112505ff5abe773214d68f3a3
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 27 10:22:55 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [GtkScrolledWindow] Drop 'undershoot' effects completely (2)
    
    Drop mixin entries as well.

commit 1bade55945c6167b45ded9599125f0f7514e2468
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 27 10:05:58 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [GtkScrolledWindow] Drop 'undershoot' effects completely
    
    For a long time, I've tried to implement more modern undershoot effects
    with 'fake-fader', but it sometimes causes visual artifact especially
    on WebKitViews, Print-previews, GtkSourceViews and EvViews.
    
    In Gtk+, We can't mimic the real fading effects composited dynamically
    with adaptive/responsive alpha-blending of foreground widgets.
    So finally I've ended up and stopped using unsershoot completely...

commit 8fbda46d418fb0f5fbbd3cbb5588ac34bea7a2da
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 26 18:10:31 2017 +0900

    Gtk-4.0: [Evince] Forwardport the styling of 'plugin-mode' from 3.22

commit e34565048dba0983e81a802fdb6875573776d423
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 26 18:08:46 2017 +0900

    Gtk-3.20&3.22&44.0: [Evince] Remove undershoot from print-preview as well

commit 8186c8ce942150527dfa18bc099a5973ba521566
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 26 17:23:46 2017 +0900

    Gtk-3.22&4.0: [Gnome-builder] Update styling a bit
    
    * Stop dimming 'close file' image-button.
    * Tone down left/right pane's treeview node a bit.
    * Remove fake-shadow from bottom layoutpane.

commit 103a09c149bc02f5ea1b97686be24703ddec028d
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 26 09:49:10 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [Budgie-desktop] Show MPRIS close button as destructive-action
    
    It would be better informing 'this button destructs MPRIS applet'...

commit b61aa54698741464439f589aa8b85dd90fab5ab4
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 20:56:17 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-flashback] Set proper radius for popup-windows
    
    In some non-composited environments, careless radius of popup-windows
    causes unwanted solid-black bit on each corners, so let's re-define
    radius for that case...

commit 25a078ccadc14d142a36398f952b5a518d34890e
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 16:30:52 2017 +0900

    Metacity: Code cosmetics
    
    In metacity theming, we use 'tab' spacing instead of 8-digit space...

commit 812329ab5e9b315ad54a84ebe487c299e082ccd3
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 16:21:35 2017 +0900

    Cinnamon: Code cosmetics
    
    Remove hidden 'tab' spacing...

commit 2e297b7e94e89154148b665f087b9026287672eb
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 16:19:13 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics
    
    Remove hidden 'tab' spacing...

commit 9ff22ed179befa960cd1c2b52774259a8e6a6b6a
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 16:15:51 2017 +0900

    Gtk-3.18: Code cosmetics
    
    Remove hidden 'tab' spacing...

commit 3ffc7584511dda069b2af2aa499c62eaf3b7f480
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 15:55:00 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [Budgie-desktop] Fix indentation in 'gear' icon on RavenSettingsView
    
    It seems to need adding some more spacing between icon and left edge
    of raven-header...

commit 48a127b697a2be347345df4a2202c61f8cb4ea85
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 14:57:56 2017 +0900

    Gtk-3.20&3.22&4.0: [Epiphany] Drop unneeded workaround for subtitles
    
    Those workaround was integrated into common section.

commit 5935aa5cee8180ea0847f872a8291ed9a9943a12
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 25 14:25:19 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkHeaderBar] Use asymmetrical margins for multi-row box of titles
    
    Make more gap between .title and .subtitle labels in Eta variant...

commit 09055f35991103eff664be400424a06cc7dea74b
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 24 23:15:41 2017 +0900

    Gtk-3.20&3.22&4.0: [Gedit] Hide undershoots from 'print-preview'

commit a575b6dd1cbe0c8cd06bfd43ca7b5b8defd8b79a
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 24 19:45:12 2017 +0900

    Gtk-3.20&3.22&4.0: [Budgie-desktop] Drop unneeded styling
    
    NaTray is almost out of control now...

commit ef2274650f3dbf5eade63e5b85e129d82a195835
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 24 18:18:48 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-todo] Tweak button size a bit
    
    Hmm, this commit might fix unwanted 2px increasement vertically.

commit ee50e2e1ecdc3ef1d0a2d12d4a095dfc38d9c8ef
Author: tista500 <tista.gma500@gmail.com>
Date:   Tue Jan 24 17:05:53 2017 +0900

    Gtk-3.18&3.20&3.22&4.0: [Budgie-desktop] Fix some minor issues
    
    * Reduce base-line padding to sub-pixel values.
    * Use more readable accent-color for notification 'bell' indicator.

commit d2cd0fdb0e6a13082a43629b7115d4f4ed30501d
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 23:55:36 2017 +0900

    Gtk-3.20&3.22&4.0: [Nemo] Update styling in GtkToolBar
    
    I gave up to polish that GtkToolBar.
     * Back to square buttons.
     * Shrink button size a bit.
    
    Upstream does not seem to optimize/rebase for Gtk+ 3.2x, So polishing
    Nemo is just wasting our precious time.

commit af099424b94d7e33e376e2db6e615012a9befc1f
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 22:50:25 2017 +0900

    Gtk-3.20: [Corebird] Tweak scrolledwindow node on media popups
    
    It seems OK to backport to Gtk+ 3.20 and Corebird 1.3.x

commit 43924da731790b502970d8c4a60f6373947e0307
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 20:42:57 2017 +0900

    Gtk-3.22&4.0: [Corebird] Tweak scrolledwindow node on media popups

commit 5299d50cf0a9b07d0e26dc34d87d95c2d1b1ee07
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 16:44:02 2017 +0900

    Makefile.am: [Wm] Code cosmetics

commit fdaa19563d411e8ba565aa9452ca2fa474146a8e
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 16:37:39 2017 +0900

    Makefile.am: [Gtk] Drop unneeded entries for assets
    
    Those images were embedded into gresource file already.

commit aaab60e02b327781007c75210abb9a05254b8f12
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 16:06:52 2017 +0900

    Gtk-3.20&3.22&4.0: [Evince] Drop a part of conflict with Gnome-calclator
    
    That styling broke the elements of popup-window on Gnome-calclator.

commit 5c85e28c2a9543b4dfb2ed282dd392f0f2aea578
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 15:04:18 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkMenuBar] Add special case for .unity-csd
    
    Any ideas Why Unity7 devs attack our standard GNOME widget design...
    This fixes the appearance in case GtkMenuBar was embedded in GtkGrid
    inside the GtkWindow.

commit 175b825e7ffaed0f5b9c1407f625be599fe03d32
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 14:45:31 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-calclator] Update styling
    
    * Improve 'programming-mode' as well.
    * Optimize toggle-button in GtkHeaderBar.

commit 6360b39f2b52dc15f59fa504794d0fd7446db927
Author: tista500 <tista.gma500@gmail.com>
Date:   Mon Jan 23 12:38:05 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkToolBar] Fix minor issue in hovered text-buttons
    
    In '.breadcrumbs' linked array, hovered text-buttons had sricular roundness...

commit 32be7dbd4e5158f2e2bf0302d54f68a5b8b37fab
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 22 19:08:19 2017 +0900

    Gtk-3.22&4.0: Code cosmetics (3)
    
    Use 'image' more and more...

commit 5abbe937cf7af9f6cdf571bcd4ff6a2f532509a4
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 22 19:02:11 2017 +0900

    Gtk-3.22&4.0: Code cosmetics (2)
    
    Replace 2-stop linear-gradient to simpler 'image'.

commit 00cd0ff58495084789be4dfbd971e6108ab3ece5
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 22 18:53:57 2017 +0900

    Gtk-3.20: Code cosmetics

commit 3a1fe5e1ee9da94efc9c7679d72fb2c91b4e85ee
Author: tista500 <tista.gma500@gmail.com>
Date:   Sun Jan 22 18:51:02 2017 +0900

    Gtk-3.22&4.0: Code cosmetics

commit f1401baaf12167bc15d862af7157c9449c21b16a
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 15:48:16 2017 +0900

    README.md: Add comments for unsupported styling in color-changer option
    
    Openbox-3 and Telegram theming were created by embedding HEX codes directly,
    So we can not implement/support color-changer option for them.
    Especially in Telegram theming, I've tried 8-digit HEXs for alpha-blending
    (Color Module Lv.4 feature)...

commit 22bab8b288b5ee140c3c56ced9fd5b7a38c0db30
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 15:12:50 2017 +0900

    Makefile.am: [Extra] Bundle README.md as well
    
    Locally installed README might help users to copy the theme file
    to proper place without seeing online github pages...

commit a973c2876be6c44b6b1089390c6a193049d889eb
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 15:11:02 2017 +0900

    Makefile.am: [Shell] Code cosmetics

commit 13582479fbc7083d71e8c1760069f79ce6a01b44
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 15:08:37 2017 +0900

    Makefile.am: [Extra] Code cosmetics

commit 59f598721d7fc4aa89e4d8dedad6fe4ed8fc03b6
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 14:47:01 2017 +0900

    README.md: Update wording

commit 4605c164a9e9f2b320203c97ab87b110d0d1f7ef
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 00:51:27 2017 +0900

    README.md: Fix typo

commit b05161d9408ce71c412d0493fa2f96c60fc4752f
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 00:48:47 2017 +0900

    README.md: Add comments for GtkSourceView/Gedit color scheme

commit d026731525cf9af1dfa8f6c1ceaeb80902f10d55
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 00:40:15 2017 +0900

    Configure.ac: Always install GtkSouceView/Gedit color-scheme file by default

commit b2eaede2b81fc120f13b957a13630036c894af12
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 00:36:50 2017 +0900

    Makefile.am: [Extra] Install GtkSourceView/Gedit file

commit cee5d92c9bba8df406cb09fe2056246536763330
Author: tista500 <tista.gma500@gmail.com>
Date:   Sat Jan 21 00:32:50 2017 +0900

    README.md: [Gedit] Move screenshot image to our resource repo

commit ffea12cc4304a39fdbf376f8270470b61534c241
Merge: d715f754 3abff310
Author: Tista <tista.gma500@gmail.com>
Date:   Sat Jan 21 00:25:39 2017 +0900

    Merge pull request #337 from systematicat/master
    
    Fixed README.md and paths

commit 3abff3102d880f0761e5bad39f6838a6e93db382
Author: systematicat <systematicat@gmail.com>
Date:   Fri Jan 20 22:21:12 2017 +0700

    Fixed README.md and paths

commit d715f7546b2eab31d5080887d0bba1150eabbb98
Merge: 41f64b04 9d56060c
Author: Tista <tista.gma500@gmail.com>
Date:   Sat Jan 21 00:02:58 2017 +0900

    Merge pull request #336 from systematicat/master
    
    Added Gedit Adapta theme

commit 9d56060c260bfddeca86a436a9228d904814e705
Author: systematicat <systematicat@gmail.com>
Date:   Fri Jan 20 21:57:53 2017 +0700

    Added Gedit Adapta theme

commit 41f64b04dc6588ad8404d7dea965f0148568a3c7
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 20 12:11:26 2017 +0900

    Telegram: [LightButton] Switch to 'tealized' flat button colours
    
    Set variant-sensitive accent-label-color for LightButtons.

commit 7dc0a7a4c0867716708c6c26f6777f2138e903c9
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 20 10:49:58 2017 +0900

    Telegram: [ActiveButton] Define foregrounds more precisely in ActiveButtons

commit 5df0080d01907f85a0bc58c59742389f0a50a83b
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 20 10:38:49 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkButton] Tone down foregrounds in normal 'destructive/suggested action' buttons

commit 85d9b4284f3e5c180879d6af9c48d489b2fbd781
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 20 10:28:22 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit f561c5a2a7ec1dc4e3daaa948baa8ec294063130
Author: tista500 <tista.gma500@gmail.com>
Date:   Fri Jan 20 10:17:59 2017 +0900

    Gtk-4.0: Code cosmetics
    
    Upstream dropped deprecated number-as-pixels compat. So it would be
    safe to add 'px' unit to Gtk+ specific options...

commit 6a33c0d21ca946923430bc7db4d918eeac05beaf
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 19:13:37 2017 +0900

    Gtk-3.20&3.22&4.0: [GtkMessageDialog] Tone up default text colours

commit 0c1c3d052cf6d4c53bf20f3cdfa3bfc6976ec4a4
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 19:04:15 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-software] Fix weird height/width of 'categories-expanler' button
    
    Hmm, hard-coded crazy 16px roundness... damned.

commit 31bbaeae5ce6a21f9afe5670c165bc1b0fe74eda
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 15:46:38 2017 +0900

    Gtk-3.18: [GtkListBox] Set specific foreground-colours in a selected-row
    
    This commit prevents some careless styling for button nodes in the
    selected-row...

commit 53e30c5c2c744b7c1c1121d4dcf42df2fad88466
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 15:40:06 2017 +0900

    Gtk0-3.20&3.22&4.0: [GtkListBox] Set specific foreground-colours in a selected-row
    
    This commit prevents some careless styling for button nodes in the
    selected-row...

commit d71161245a20d641fa0b12611c373e4f08bce48e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 15:17:05 2017 +0900

    Gtk-3.18: [Gnome-tweak-tool] Fix incorrect undershoot colours

commit 722a7b3f7dfd5a1bc9af08a7e0845a98ab705622
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 15:13:28 2017 +0900

    Gtk-3.20&3.22&4.0: [Gnome-tweak-tool] Fix incorrect undershoot colours

commit cefe3f0d2510b818219b89c60e9b156665e493dd
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 14:15:59 2017 +0900

    Gtk-3.22&4.0: [Firefox] Fix some missing elements in context-menu
    
    * Revive standard (full-width) separators.
    * Set specific radiobutton styling.

commit f495180eff1646abaef221c01641b86fd1e163f6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 13:08:17 2017 +0900

    Gtk-3.20&3.22&4.0: Code cosmetics

commit 3db63d5c22ab4c8cebfe23bf706d49e6fb21c02e
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 12:54:03 2017 +0900

    Telegram: Code cosmetics

commit 89a2dfa32c21f901e710d721e9f1e38a8bb0d2ef
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 12:49:57 2017 +0900

    Wm: Tone up 'accent-label-color' around 20% in dark-variants

commit 218974e54fdf1e09d99ee5903b7cdb75b3bcdfc6
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 11:32:22 2017 +0900

    Shell: Tone up 'accent-label-color' around 20% in dark-variants

commit eb9c950a08024d2d01dad516516bb2a41438af13
Author: tista500 <tista.gma500@gmail.com>
Date:   Thu Jan 19 11:31:31 2017 +0900

    Gtk: Tone up 'accent-label-color' around 20% in dark-variants

commit 60c660e290841299c382efb190f543c4c9d788ec
Author: tista500 <tista.gma500@gmail.com>
Date:   Wed Jan 18 21:28:45 2017 +0900

    Gtk-3.18: [Budgie-desktop] Follow upstream changes
    
    In "Places" indicator, some new style-classes were added...

